# -*- coding: utf-8 -*-"

"""The Gyoto standard plug-in"""

# Make sure the stdplug plug-in is loaded before attempting to load
# the Python bindings
from gyoto.core import requirePlugin as __gyoto_tmp_requirePlugin
__gyoto_tmp_requirePlugin("stdplug")
del __gyoto_tmp_requirePlugin

# This file was automatically generated by SWIG (https://www.swig.org).
# Version 4.2.0
#
# Do not make changes to this file unless you know what you are doing - modify
# the SWIG interface file instead.

"""The Gyoto standard plug-in"""

from sys import version_info as _swig_python_version_info
# Import the low-level C/C++ module
if __package__ or "." in __name__:
    from . import _std
else:
    import _std

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)


def _swig_setattr_nondynamic_instance_variable(set):
    def set_instance_attr(self, name, value):
        if name == "this":
            set(self, name, value)
        elif name == "thisown":
            self.this.own(value)
        elif hasattr(self, name) and isinstance(getattr(type(self), name), property):
            set(self, name, value)
        else:
            raise AttributeError("You cannot add instance attributes to %s" % self)
    return set_instance_attr


def _swig_setattr_nondynamic_class_variable(set):
    def set_class_attr(cls, name, value):
        if hasattr(cls, name) and not isinstance(getattr(cls, name), property):
            set(cls, name, value)
        else:
            raise AttributeError("You cannot add class attributes to %s" % cls)
    return set_class_attr


def _swig_add_metaclass(metaclass):
    """Class decorator for adding a metaclass to a SWIG wrapped class - a slimmed down version of six.add_metaclass"""
    def wrapper(cls):
        return metaclass(cls.__name__, cls.__bases__, cls.__dict__.copy())
    return wrapper


class _SwigNonDynamicMeta(type):
    """Meta class to enforce nondynamic attributes (no new attributes) for a class"""
    __setattr__ = _swig_setattr_nondynamic_class_variable(type.__setattr__)


import gyoto.core
class UniformSphere(gyoto.core.StandardAstrobj):
    r"""


    Optically thick or thin, spherical objects.

    Gyoto::Astrobj::UniformSphere is an abstract type from which uniform,
    spherical objects inherit (in particular, the Gyoto::Astrobj::Star and
    Gyoto::Astrobj::FixedStar classes).

    These objects are coordinate-spherical: they comprise all the points
    within a given radius from a centre. The distance is the usual
    Euclidian distance in a Cartesian coordinate system which is trivially
    determined by the coordinate system in which the Metric is expressed.

    The sphere is in solid motion: all the points have the same
    4-velocity. The centre of the sphere may move. This motion and the
    velocity are provided by the derived classes through the
    getCartesian() and getVelocity() methods.

    The spheres can be optically thick or optically thin. In the optically
    thin case, the opacity law provided as a Gyoto::Spectrum also sets
    both the emissivity. Another Gyoto::Spectrum provides the emission law
    of the source, which is uniform.

    Gyoto::Astrobj::UniformSphere::setParameters() take care of
    interpreting the XML elements describing the parameters of the sphere:
    setGenericParameters() also takes care of calling setParameter().

    C++ includes: GyotoUniformSphere.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(UniformSphere self) -> Property
        Gyoto::Astrobj::UniformSphere::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.UniformSphere_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(UniformSphere self, vector_string plugname)
        plugins(UniformSphere self) -> vector_string
        """
        return _std.UniformSphere_plugins(self, *args)
    __swig_destroy__ = _std.delete_UniformSphere

    def className(self):
        r"""
        className(UniformSphere self) -> std::string
        Gyoto::Astrobj::UniformSphere::className "UniformSphere" 
        """
        return _std.UniformSphere_className(self)

    def className_l(self):
        r"""
        className_l(UniformSphere self) -> std::string
        Gyoto::Astrobj::UniformSphere::className_l "uniformsphere" 
        """
        return _std.UniformSphere_className_l(self)

    def spectrum(self, *args):
        r"""
        spectrum(UniformSphere self, Gyoto::SmartPointer< Gyoto::Spectrum::Generic > arg2)
        spectrum(UniformSphere self) -> Gyoto::SmartPointer< Gyoto::Spectrum::Generic >
        Gyoto::Astrobj::UniformSphere::spectrum Get spectrum_. 
        """
        return _std.UniformSphere_spectrum(self, *args)

    def opacity(self, *args):
        r"""
        opacity(UniformSphere self, Gyoto::SmartPointer< Gyoto::Spectrum::Generic > arg2)
        opacity(UniformSphere self) -> Gyoto::SmartPointer< Gyoto::Spectrum::Generic >
        Gyoto::Astrobj::UniformSphere::opacity Get opacity_. 
        """
        return _std.UniformSphere_opacity(self, *args)

    def radius(self, *args):
        r"""
        radius(UniformSphere self) -> double
        radius(UniformSphere self, double arg2)
        radius(UniformSphere self, std::string const & arg2) -> double
        radius(UniformSphere self, double arg2, std::string const & arg3)
        Gyoto::Astrobj::UniformSphere::radius Set radius_ in specified unit.

        """
        return _std.UniformSphere_radius(self, *args)

    def deltaMaxOverRadius(self, *args):
        r"""
        deltaMaxOverRadius(UniformSphere self) -> double
        deltaMaxOverRadius(UniformSphere self, double f)
        Gyoto::Astrobj::UniformSphere::deltaMaxOverRadius Set dltmor_. 
        """
        return _std.UniformSphere_deltaMaxOverRadius(self, *args)

    def deltaMaxOverDistance(self, *args):
        r"""
        deltaMaxOverDistance(UniformSphere self) -> double
        deltaMaxOverDistance(UniformSphere self, double f)
        Gyoto::Astrobj::UniformSphere::deltaMaxOverDistance Set dltmod_. 
        """
        return _std.UniformSphere_deltaMaxOverDistance(self, *args)

    def isotropic(self, *args):
        r"""
        isotropic(UniformSphere self) -> bool
        isotropic(UniformSphere self, bool arg2)
        Gyoto::Astrobj::UniformSphere::isotropic
        """
        return _std.UniformSphere_isotropic(self, *args)

    def alpha(self, *args):
        r"""
        alpha(UniformSphere self) -> double
        alpha(UniformSphere self, double arg2)
        Gyoto::Astrobj::UniformSphere::alpha
        """
        return _std.UniformSphere_alpha(self, *args)

    def __call__(self, coord):
        r"""__call__(UniformSphere self, double const [4] coord) -> double"""
        return _std.UniformSphere___call__(self, coord)

    def deltaMax(self, coord):
        r"""
        deltaMax(UniformSphere self, double * coord) -> double
        Gyoto::Astrobj::Generic::deltaMax Get max step constraint for adaptive
        integration.

        Parameters:
        -----------

        coord:  position

        max step to find this object reliably 
        """
        return _std.UniformSphere_deltaMax(self, coord)

    def __init__(self, *args):
        r"""
        __init__(UniformSphere self, Astrobj base) -> UniformSphere
        __init__(UniformSphere self, long address) -> UniformSphere
        Gyoto::Astrobj::UniformSphere::UniformSphere Copy constructor. 
        """
        _std.UniformSphere_swiginit(self, _std.new_UniformSphere(*args))

# Register UniformSphere in _std:
_std.UniformSphere_swigregister(UniformSphere)
cvar = _std.cvar
UniformSphere.properties = _std.cvar.UniformSphere_properties
UniformSphere.builtinPluginValue = _std.cvar.UniformSphere_builtinPluginValue

class myCplxIdxExcept(object):
    r"""Proxy of C++ myCplxIdxExcept class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def __init__(self):
        r"""__init__(myCplxIdxExcept self) -> myCplxIdxExcept"""
        _std.myCplxIdxExcept_swiginit(self, _std.new_myCplxIdxExcept())
    __swig_destroy__ = _std.delete_myCplxIdxExcept

# Register myCplxIdxExcept in _std:
_std.myCplxIdxExcept_swigregister(myCplxIdxExcept)
class ComplexAstrobj(gyoto.core.Astrobj):
    r"""


    Complex astronomical object.

    A Gyoto::Astrobj::Generic whic contain several Gyoto::Astrobj::Generic
    instances. It is essentially a SmartPointer<Astrobj::Generic> array,
    which some methods around. Indeed, the operator[](size_t i) method is
    implemented to retrieve the i-th element.

    In an XML description, the < Astrobj> section must be unique, its kind
    is "Complex". Each sub-astrobj then appears as a <SubAstrobj>
    subsection:

    C++ includes: GyotoComplexAstrobj.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def isThreadSafe(self):
        r"""
        isThreadSafe(ComplexAstrobj self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ComplexAstrobj_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ComplexAstrobj self) -> ComplexAstrobj
        Gyoto::Astrobj::Complex::clone "Virtual" copy constructor 
        """
        return _std.ComplexAstrobj_clone(self)

    def deltaMax(self, coord):
        r"""
        deltaMax(ComplexAstrobj self, double [8] coord) -> double
        Gyoto::Astrobj::Complex::deltaMax Get max step constraint for adaptive
        integration.

        Parameters:
        -----------

        coord:  position

        max step to find this object reliably 
        """
        return _std.ComplexAstrobj_deltaMax(self, coord)

    def rMax(self):
        r"""
        rMax(ComplexAstrobj self) -> double
        Gyoto::Astrobj::Generic::rMax Set maximal distance from center of
        coordinate system.

        Call Generic::rMax(double val) after converting val from unit to
        geometrical units.

        Parameters:
        -----------

        val:   rmax_ expressed in unit "unit";

        unit:  string... 
        """
        return _std.ComplexAstrobj_rMax(self)
    __swig_destroy__ = _std.delete_ComplexAstrobj

    def append(self, element):
        r"""
        append(ComplexAstrobj self, Gyoto::SmartPointer< Gyoto::Astrobj::Generic > element)
        Gyoto::Astrobj::Complex::append Add element at the end of the array.

        If the Astrobj::Complex itself does not have a metric already
        assigned, it takes it from the new element. Else, it sets the metric
        in the new element to its own. This ensures that all elements use the
        same metric (this heuristic is not entirely fool-proof, it's safer to
        set the metric directly in the Astrobj::Complex). 
        """
        return _std.ComplexAstrobj_append(self, element)

    def remove(self, i):
        r"""
        remove(ComplexAstrobj self, size_t i)
        Gyoto::Astrobj::Complex::remove Remove i-th element from the array. 
        """
        return _std.ComplexAstrobj_remove(self, i)

    def getCardinal(self):
        r"""
        getCardinal(ComplexAstrobj self) -> size_t
        Gyoto::Astrobj::Complex::getCardinal Get the number of elements in the
        array. 
        """
        return _std.ComplexAstrobj_getCardinal(self)

    def metric(self, *args):
        r"""
        metric(ComplexAstrobj self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(ComplexAstrobj self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::Complex::metric Set the Metric gg_. 
        """
        return _std.ComplexAstrobj_metric(self, *args)

    def fillElement(self, fmp):
        r"""
        fillElement(ComplexAstrobj self, FactoryMessenger fmp)
        Gyoto::Astrobj::Complex::fillElement Fill the XML element for this
        Object.

        The base implementation simply calls fillProperty() for each Property
        defined for the Object.

        Derived classes should avoid overriding fillElement(). It may make
        sense occasionally, e.g. to make sure that the metric is output first.

        To customize how a given Property is rendered, it is better to
        override fillProperty().

        If this method is overridden, the implementation should in general
        call fillElement() on the direct base. 
        """
        return _std.ComplexAstrobj_fillElement(self, fmp)

    def setParameters(self, fmp):
        r"""
        setParameters(ComplexAstrobj self, FactoryMessenger fmp)
        Gyoto::Astrobj::Complex::setParameters Main loop in Subcontractor_t
        function.

        The Subcontractor_t function for each Astrobj kind should look
        somewhat like this (templated as
        Gyoto::Astrobj::Subcontractor<MyKind>):

        Each object kind should implement setParameter(string name, string
        content, string unit) to interpret the individual XML elements.
        setParameters() can be overloaded in case the specific Astrobj class
        needs low level access to the FactoryMessenger. See
        UniformSphere::setParameters(). 
        """
        return _std.ComplexAstrobj_setParameters(self, fmp)

    def Impact(self, ph, index, data=None):
        r"""
        Impact(ComplexAstrobj self, Photon ph, size_t index, AstrobjProperties data=None) -> int
        Gyoto::Astrobj::Complex::Impact Call Impact() for each of the
        elements.

        Astrobj::Complex::Impact(Gyoto::Photon* ph, size_t index,
        Astrobj::Properties *data) calls the specific implementation of
        Astrobj::Generic::Impact() for each of its elements twice: the first
        time, data is set to NULL so that Astrobj::Complex::Impact() only
        knows whether each object is hit by the Photon. If no object is hit,
        return. If a single object is hit, call Impact() again only for this
        object, passing data this time. If several objects are hit, the
        Photon's trajectory is refined so that the step is at most step_max_
        and the Impact() methods for each of the hit objects are called again
        for each step, passing data. It is therefore important that the
        transmission of the Photon is not touched by Impact() when data==NULL.

        """
        return _std.ComplexAstrobj_Impact(self, ph, index, data)

    def __getitem__(self, i):
        r"""__getitem__(ComplexAstrobj self, size_t i) -> Gyoto::SmartPointer< Gyoto::Astrobj::Generic >"""
        return _std.ComplexAstrobj___getitem__(self, i)

    def __setitem__(self, i, p):
        r"""__setitem__(ComplexAstrobj self, int i, Astrobj p)"""
        return _std.ComplexAstrobj___setitem__(self, i, p)

    def __init__(self, *args):
        r"""
        Complex() -> ComplexAstrobj
        Complex(ComplexAstrobj arg1) -> ComplexAstrobj
        Complex(Astrobj base) -> ComplexAstrobj
        __init__(ComplexAstrobj self, long address) -> ComplexAstrobj
        Gyoto::Astrobj::Complex::Complex Copy constructor. 
        """
        _std.ComplexAstrobj_swiginit(self, _std.new_ComplexAstrobj(*args))

# Register ComplexAstrobj in _std:
_std.ComplexAstrobj_swigregister(ComplexAstrobj)
class Star(UniformSphere, gyoto.core.Worldline):
    r"""


    Mass-less, spherical object following a timelike geodesic.

    Gyoto can compute the Star's orbit in a Gyoto::Metric and perform ray-
    tracing on this target. The XML description of a Star looks like:

    Star supports exactly the union of the parameters supported by
    Gyoto::Astrobj::UniformSphere and Gyoto::Worldline.

    The Metric element can be of any kind. This Metric sets the coordinate
    system.

    The Star is a coordinate sphere of radius Radius in solid motion.

    Position sets the initial 4-coordinate of the centre of the sphere.
    Velocity contains its initial 3-velocity (the time derivatives of the
    3 space coordinates).

    Like many Astrobj::Generic impementations, a Star can be OpticallyThin
    or OpticallyThick.

    Spectrum and Opacity (if OpticallyThin) are the descriptions of two
    Gyoto::Spectrum::Generic sub-classes.

    C++ includes: GyotoStar.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Star self) -> Property
        Gyoto::Astrobj::Star::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Star_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Star self, vector_string plugname)
        plugins(Star self) -> vector_string
        """
        return _std.Star_plugins(self, *args)

    def clone(self):
        r"""
        clone(Star self) -> Star
        Gyoto::Astrobj::Star::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.Star_clone(self)
    __swig_destroy__ = _std.delete_Star

    def className(self):
        r"""
        className(Star self) -> std::string
        Gyoto::Astrobj::Star::className "Star" 
        """
        return _std.Star_className(self)

    def className_l(self):
        r"""
        className_l(Star self) -> std::string
        Gyoto::Astrobj::Star::className_l "star" 
        """
        return _std.Star_className_l(self)

    def metric(self, *args):
        r"""
        metric(Star self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        metric(Star self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        Gyoto::Astrobj::Star::metric Get the Metric gg_. 
        """
        return _std.Star_metric(self, *args)

    def getMass(self):
        r"""
        getMass(Star self) -> double
        Gyoto::Astrobj::Star::getMass Return 1.

        The mass of a Star is always 1. Stars do not perturb the metric. The
        only relevant point is that Stars are massive particules, their exact
        mass is of no importance. 
        """
        return _std.Star_getMass(self)

    def rMax(self, *args):
        r"""
        rMax(Star self) -> double
        rMax(Star self, std::string const & unit) -> double
        rMax(Star self, std::string const & unit) -> double
        rMax(Star self, double val)
        rMax(Star self, double val, std::string const & unit)
        rMax(Star self) -> double
        Gyoto::Astrobj::Generic::rMax Set maximal distance from center of
        coordinate system.

        Call Generic::rMax(double val) after converting val from unit to
        geometrical units.

        Parameters:
        -----------

        val:   rmax_ expressed in unit "unit";

        unit:  string... 
        """
        return _std.Star_rMax(self, *args)

    def setInitialCondition(self, coord):
        r"""
        setInitialCondition(Star self, double const [8] coord)
        Gyoto::Worldline::setInitialCondition Set or re-set the initial
        condition prior to integration.

        Parameters:
        -----------

        gg:   Gyoto::SmartPointer to the Gyoto::Metric in this universe;

        coord:  8 element array containing the initial condition, i.e. the
        4-position and the 4-velocity of the Photon at the receiving end;

        dir:  direction: 1 for future, -1 for past. 
        """
        return _std.Star_setInitialCondition(self, coord)

    def setParameter(self, name, content, unit):
        r"""
        setParameter(Star self, std::string name, std::string content, std::string unit) -> int
        Gyoto::Object::setParameter Set parameter by Property (and name)

        This function is used when parsing an XML description, if Property (
        p) of this name is found (i.e. either p.name or p.name_false is equal
        to name). Implementation should fall-back on calling the direct's
        parent implementation:

        Parameters:
        -----------

        p:   Property that matches name ( p.name == name or p.name_false ==
        name)

        name:  XML name of the parameter (XML entity)

        content:  string representation of the value

        unit:  string representation of the unit 
        """
        return _std.Star_setParameter(self, name, content, unit)

    def setParameters(self, fmp):
        r"""
        setParameters(Star self, FactoryMessenger fmp)
        Gyoto::Astrobj::Star::setParameters Main loop in Subcontractor_t
        function.

        The Subcontractor_t function for each Astrobj kind should look
        somewhat like this (templated as
        Gyoto::Astrobj::Subcontractor<MyKind>):

        Each object kind should implement setParameter(string name, string
        content, string unit) to interpret the individual XML elements.
        setParameters() can be overloaded in case the specific Astrobj class
        needs low level access to the FactoryMessenger. See
        UniformSphere::setParameters(). 
        """
        return _std.Star_setParameters(self, fmp)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(Star self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::Star::fillProperty Output a single Property to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.Star_fillProperty(self, fmp, p)

    def _delta(self, *args):
        r"""
        _delta(Star self, double const delta)
        _delta(Star self, double arg2, std::string const & unit)
        _delta(Star self) -> double
        _delta(Star self, std::string const & unit) -> double
        """
        return _std.Star__delta(self, *args)

    def _tMin(self, *args):
        r"""
        _tMin(Star self, double const tmin)
        _tMin(Star self, double arg2, std::string const & unit)
        _tMin(Star self) -> double
        _tMin(Star self, std::string const & unit) -> double
        """
        return _std.Star__tMin(self, *args)

    def _adaptive(self, *args):
        r"""
        _adaptive(Star self, bool mode)
        _adaptive(Star self) -> bool
        """
        return _std.Star__adaptive(self, *args)

    def _secondary(self, *args):
        r"""
        _secondary(Star self, bool sec)
        _secondary(Star self) -> bool
        """
        return _std.Star__secondary(self, *args)

    def _integ31(self, *args):
        r"""
        _integ31(Star self, bool sec)
        _integ31(Star self) -> bool
        """
        return _std.Star__integ31(self, *args)

    def _parallelTransport(self, *args):
        r"""
        _parallelTransport(Star self, bool sec)
        _parallelTransport(Star self) -> bool
        """
        return _std.Star__parallelTransport(self, *args)

    def _maxiter(self, *args):
        r"""
        _maxiter(Star self, size_t miter)
        _maxiter(Star self) -> size_t
        """
        return _std.Star__maxiter(self, *args)

    def _integrator(self, *args):
        r"""
        _integrator(Star self, std::string const & type)
        _integrator(Star self) -> std::string
        """
        return _std.Star__integrator(self, *args)

    def _deltaMin(self, *args):
        r"""
        _deltaMin(Star self) -> double
        _deltaMin(Star self, double h1)
        """
        return _std.Star__deltaMin(self, *args)

    def _absTol(self, *args):
        r"""
        _absTol(Star self, double arg2)
        _absTol(Star self) -> double
        """
        return _std.Star__absTol(self, *args)

    def _maxCrossEqplane(self, *args):
        r"""
        _maxCrossEqplane(Star self, double arg2)
        _maxCrossEqplane(Star self) -> double
        """
        return _std.Star__maxCrossEqplane(self, *args)

    def _relTol(self, *args):
        r"""
        _relTol(Star self, double arg2)
        _relTol(Star self) -> double
        """
        return _std.Star__relTol(self, *args)

    def _deltaMax(self, *args):
        r"""
        _deltaMax(Star self, double h1)
        _deltaMax(Star self) -> double
        """
        return _std.Star__deltaMax(self, *args)

    def _deltaMaxOverR(self, *args):
        r"""
        _deltaMaxOverR(Star self) -> double
        _deltaMaxOverR(Star self, double t)
        """
        return _std.Star__deltaMaxOverR(self, *args)

    def _initCoord(self, *args):
        r"""
        _initCoord(Star self) -> vector_double
        _initCoord(Star self, vector_double f)
        """
        return _std.Star__initCoord(self, *args)

    def _metric(self, *args):
        r"""
        _metric(Star self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        _metric(Star self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        """
        return _std.Star__metric(self, *args)

    def deltaMax(self, *args):
        r"""
        deltaMax(Star self) -> double
        deltaMax(Star self, double const [8] pos, double delta_max_external) -> double
        deltaMax(Star self, double h1)
        deltaMax(Star self, double * coord) -> double
        Gyoto::Astrobj::Generic::deltaMax Get max step constraint for adaptive
        integration.

        Parameters:
        -----------

        coord:  position

        max step to find this object reliably 
        """
        return _std.Star_deltaMax(self, *args)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(Star self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::Star::getVelocity Yield velocity of the center of the
        sphere. 
        """
        return _std.Star_getVelocity(self, pos, vel)

    def radiativeQ(self, Inu, Qnu, Unu, Vnu, Onu, nuem, nbnu, dsem, cph, co):
        r"""
        radiativeQ(Star self, double * Inu, double * Qnu, double * Unu, double * Vnu, Eigen::Matrix4d * Onu, double const * nuem, size_t nbnu, double dsem, vector_double cph, double const * co)
        Gyoto::Astrobj::Generic::radiativeQ
        """
        return _std.Star_radiativeQ(self, Inu, Qnu, Unu, Vnu, Onu, nuem, nbnu, dsem, cph, co)

    def __init__(self, *args):
        r"""
        __init__(Star self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg, double radius, double const [4] pos, double const [3] v) -> Star
        __init__(Star self) -> Star
        __init__(Star self, Star orig) -> Star
        __init__(Star self, Astrobj base) -> Star
        __init__(Star self, long address) -> Star
        Gyoto::Astrobj::Star::Star Copy constructor. 
        """
        _std.Star_swiginit(self, _std.new_Star(*args))

# Register Star in _std:
_std.Star_swigregister(Star)
Star.properties = _std.cvar.Star_properties
Star.builtinPluginValue = _std.cvar.Star_builtinPluginValue

class StarTrace(Star):
    r"""


    Like a Star that would be on all points of its orbit at all time.

    StarTrace inherits all the members and methods from Star. It has two
    additional members, tmin_ and tmax_, which specify the time interval
    of the Star's orbit that is to be considerred illuminated.

    A StarTrace is not (necessarily) continuous: the Star is considerred
    to be present at all the locations computed by xFill(), meaning that
    if the integration step is large compared to radius_, the object will
    be a collection of discrete blobs. To ensure continuity, one should
    use a non-adaptive step and specify a reasonable step. Computation is
    also faster in optically thick mode.

    C++ includes: GyotoStarTrace.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(StarTrace self) -> Property
        Gyoto::Astrobj::StarTrace::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.StarTrace_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(StarTrace self, vector_string plugname)
        plugins(StarTrace self) -> vector_string
        """
        return _std.StarTrace_plugins(self, *args)

    def clone(self):
        r"""
        clone(StarTrace self) -> StarTrace
        Gyoto::Astrobj::StarTrace::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.StarTrace_clone(self)
    __swig_destroy__ = _std.delete_StarTrace

    def xAllocate(self, *args):
        r"""
        xAllocate(StarTrace self)
        xAllocate(StarTrace self, size_t arg2)
        Gyoto::Astrobj::StarTrace::xAllocate Allocate x0, x1 etc. with a
        specified size.

        Parameters:
        -----------

        size:  : number of cells in each array x0, x1 etc. 
        """
        return _std.StarTrace_xAllocate(self, *args)

    def xAllocateXYZ(self):
        r"""
        xAllocateXYZ(StarTrace self)
        Gyoto::Astrobj::StarTrace::xAllocateXYZ Allocate x_, y_, z_. 
        """
        return _std.StarTrace_xAllocateXYZ(self)

    def xExpand(self, *args):
        r"""
        xExpand(StarTrace self, double *& x, int dir)
        xExpand(StarTrace self, int arg2) -> size_t
        Gyoto::Astrobj::StarTrace::xExpand Expand x0, x1 etc... to hold more
        elements.

        Double the size of arrays x0, x1 etc. and copy old version of the
        array in the first half if dir =1 and in the second half if dir =-1.

        Parameters:
        -----------

        dir:  : 1 to expand after last element, -1 to expand before first
        element

        ind : if dir=1, new index of old last element, if dir=-1, new index of
        old first element 
        """
        return _std.StarTrace_xExpand(self, *args)

    def computeXYZ(self, *args):
        r"""
        computeXYZ(StarTrace self, size_t i)
        computeXYZ(StarTrace self)
        Gyoto::Astrobj::StarTrace::computeXYZ Compute (and cache) x_, y_ and
        z_. 
        """
        return _std.StarTrace_computeXYZ(self, *args)

    def setInitCoord(self, *args):
        r"""
        setInitCoord(StarTrace self, double const [8] coord, int dir, double const [4] Ephi, double const [4] Etheta)
        setInitCoord(StarTrace self, double const [4] pos, double const [3] vel, int dir=0)
        setInitCoord(StarTrace self, double const [4] pos, double const [3] vel)
        setInitCoord(StarTrace self, double const [8] coord, int dir=0)
        Gyoto::Worldline::setInitCoord Set initial coordinate.

        Parameters:
        -----------

        pos:  initial 4-position

        vel:  initial 3-velocity

        dir:  direction of integration 
        """
        return _std.StarTrace_setInitCoord(self, *args)

    def metric(self, *args):
        r"""
        metric(StarTrace self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(StarTrace self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::StarTrace::metric Set the Metric gg_. 
        """
        return _std.StarTrace_metric(self, *args)

    def xStore(self, ind, coord, tau):
        r"""
        xStore(StarTrace self, size_t ind, vector_double coord, double tau)
        Gyoto::Worldline::xStore Obsolete, update your code. 
        """
        return _std.StarTrace_xStore(self, ind, coord, tau)

    def className(self):
        r"""
        className(StarTrace self) -> std::string
        Gyoto::Astrobj::StarTrace::className "StarTrace" 
        """
        return _std.StarTrace_className(self)

    def className_l(self):
        r"""
        className_l(StarTrace self) -> std::string
        Gyoto::Astrobj::StarTrace::className_l "startrace" 
        """
        return _std.StarTrace_className_l(self)

    def TMin(self, *args):
        r"""
        TMin(StarTrace self) -> double
        TMin(StarTrace self, double arg2)
        Gyoto::Astrobj::StarTrace::TMin Set tmin_. 
        """
        return _std.StarTrace_TMin(self, *args)

    def TMax(self, *args):
        r"""
        TMax(StarTrace self) -> double
        TMax(StarTrace self, double arg2)
        Gyoto::Astrobj::StarTrace::TMax Set tmax_. 
        """
        return _std.StarTrace_TMax(self, *args)

    def setInitialCondition(self, coord):
        r"""
        setInitialCondition(StarTrace self, double const [8] coord)
        Gyoto::Worldline::setInitialCondition Set or re-set the initial
        condition prior to integration.

        Parameters:
        -----------

        gg:   Gyoto::SmartPointer to the Gyoto::Metric in this universe;

        coord:  8 element array containing the initial condition, i.e. the
        4-position and the 4-velocity of the Photon at the receiving end;

        dir:  direction: 1 for future, -1 for past. 
        """
        return _std.StarTrace_setInitialCondition(self, coord)

    def __call__(self, coord):
        r"""__call__(StarTrace self, double const [4] coord) -> double"""
        return _std.StarTrace___call__(self, coord)

    def __init__(self, *args):
        r"""
        __init__(StarTrace self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg, double radius, double const [4] pos, double const [3] v) -> StarTrace
        __init__(StarTrace self) -> StarTrace
        __init__(StarTrace self, StarTrace orig) -> StarTrace
        __init__(StarTrace self, Star o, double tmin, double tmax) -> StarTrace
        __init__(StarTrace self, Astrobj base) -> StarTrace
        __init__(StarTrace self, long address) -> StarTrace
        Gyoto::Astrobj::StarTrace::StarTrace Build StarTrace from Star. 
        """
        _std.StarTrace_swiginit(self, _std.new_StarTrace(*args))

# Register StarTrace in _std:
_std.StarTrace_swigregister(StarTrace)
StarTrace.properties = _std.cvar.StarTrace_properties
StarTrace.builtinPluginValue = _std.cvar.StarTrace_builtinPluginValue

class FixedStar(UniformSphere):
    r"""


    Fixed (i.e. non-moving) star (or spherical blob)

    The target of ray-traced Gyoto::Photon

    C++ includes: GyotoFixedStar.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(FixedStar self) -> Property
        Gyoto::Astrobj::FixedStar::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.FixedStar_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(FixedStar self, vector_string plugname)
        plugins(FixedStar self) -> vector_string
        """
        return _std.FixedStar_plugins(self, *args)

    def clone(self):
        r"""
        clone(FixedStar self) -> FixedStar
        Gyoto::Astrobj::FixedStar::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.FixedStar_clone(self)
    __swig_destroy__ = _std.delete_FixedStar

    def getPos(self, *args):
        r"""
        getPos(FixedStar self) -> double const
        getPos(FixedStar self, double * dst)
        Gyoto::Astrobj::FixedStar::getPos Get a copy of the pos_ array. 
        """
        return _std.FixedStar_getPos(self, *args)

    def position(self, *args):
        r"""
        position(FixedStar self) -> vector_double
        position(FixedStar self, vector_double arg2)
        Gyoto::Astrobj::FixedStar::position Set pos_ from vector. 
        """
        return _std.FixedStar_position(self, *args)

    def rMax(self):
        r"""
        rMax(FixedStar self) -> double
        Gyoto::Astrobj::Generic::rMax Set maximal distance from center of
        coordinate system.

        Call Generic::rMax(double val) after converting val from unit to
        geometrical units.

        Parameters:
        -----------

        val:   rmax_ expressed in unit "unit";

        unit:  string... 
        """
        return _std.FixedStar_rMax(self)

    def rotating(self, *args):
        r"""
        rotating(FixedStar self) -> bool
        rotating(FixedStar self, bool arg2)
        Gyoto::Astrobj::FixedStar::rotating
        """
        return _std.FixedStar_rotating(self, *args)

    def metric(self, *args):
        r"""
        metric(FixedStar self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(FixedStar self, Gyoto::SmartPointer< Gyoto::Metric::Generic > metric)
        Gyoto::Astrobj::FixedStar::metric Set the Metric gg_. 
        """
        return _std.FixedStar_metric(self, *args)

    def radius(self, *args):
        r"""
        radius(FixedStar self) -> double
        radius(FixedStar self, std::string const & arg2) -> double
        radius(FixedStar self, double arg2, std::string const & arg3)
        radius(FixedStar self, double radius)
        Gyoto::Astrobj::FixedStar::radius Set radius_ in specified unit. 
        """
        return _std.FixedStar_radius(self, *args)

    def setPos(self, arg2):
        r"""
        setPos(FixedStar self, double const [3] arg2)
        Gyoto::Astrobj::FixedStar::setPos Set pos_ array. 
        """
        return _std.FixedStar_setPos(self, arg2)

    def __init__(self, *args):
        r"""
        __init__(FixedStar self) -> FixedStar
        __init__(FixedStar self, FixedStar orig) -> FixedStar
        __init__(FixedStar self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg, double [3] StPsn, double radius) -> FixedStar
        __init__(FixedStar self, Astrobj base) -> FixedStar
        __init__(FixedStar self, long address) -> FixedStar
        Gyoto::Astrobj::FixedStar::FixedStar  Standard constructor. 
        """
        _std.FixedStar_swiginit(self, _std.new_FixedStar(*args))

# Register FixedStar in _std:
_std.FixedStar_swigregister(FixedStar)
FixedStar.properties = _std.cvar.FixedStar_properties
FixedStar.builtinPluginValue = _std.cvar.FixedStar_builtinPluginValue

class FreeStar(UniformSphere):
    r"""


    UniformShere following a trajectory specified in getVelocity (non-
    geodesic) with a constant velocity.

    C++ includes: GyotoFreeStar.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(FreeStar self) -> Property
        Gyoto::Astrobj::FreeStar::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.FreeStar_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(FreeStar self, vector_string plugname)
        plugins(FreeStar self) -> vector_string
        """
        return _std.FreeStar_plugins(self, *args)

    def clone(self):
        r"""
        clone(FreeStar self) -> FreeStar
        Gyoto::Astrobj::FreeStar::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.FreeStar_clone(self)
    __swig_destroy__ = _std.delete_FreeStar

    def className(self):
        r"""
        className(FreeStar self) -> std::string
        Gyoto::Astrobj::FreeStar::className "FreeStar" 
        """
        return _std.FreeStar_className(self)

    def className_l(self):
        r"""
        className_l(FreeStar self) -> std::string
        Gyoto::Astrobj::FreeStar::className_l "free_star" 
        """
        return _std.FreeStar_className_l(self)

    def initPosition(self, *args):
        r"""
        initPosition(FreeStar self, vector_double v)
        initPosition(FreeStar self) -> vector_double
        Gyoto::Astrobj::FreeStar::initPosition
        """
        return _std.FreeStar_initPosition(self, *args)

    def initVelocity(self, *args):
        r"""
        initVelocity(FreeStar self, vector_double v)
        initVelocity(FreeStar self) -> vector_double
        Gyoto::Astrobj::FreeStar::initVelocity
        """
        return _std.FreeStar_initVelocity(self, *args)

    def initCoord(self, *args):
        r"""
        initCoord(FreeStar self, vector_double v)
        initCoord(FreeStar self) -> vector_double
        Gyoto::Astrobj::FreeStar::initCoord
        """
        return _std.FreeStar_initCoord(self, *args)

    def getCartesian(self, dates, n_dates, x, y, z, xprime=None, yprime=None, zprime=None):
        r"""
        getCartesian(FreeStar self, double const *const dates, size_t const n_dates, double *const x, double *const y, double *const z, double *const xprime=None, double *const yprime=None, double *const zprime=None)
        Gyoto::Astrobj::FreeStar::getCartesian Yield the Cartesian coordinates
        of the center of the sphere.

        If the coordinate system of the Metric object is spherical, use a
        trivial conversion. 
        """
        return _std.FreeStar_getCartesian(self, dates, n_dates, x, y, z, xprime, yprime, zprime)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(FreeStar self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::FreeStar::getVelocity Yield velocity of the center of
        the sphere. 
        """
        return _std.FreeStar_getVelocity(self, pos, vel)

    def __init__(self, *args):
        r"""
        __init__(FreeStar self) -> FreeStar
        __init__(FreeStar self, FreeStar orig) -> FreeStar
        __init__(FreeStar self, Astrobj base) -> FreeStar
        __init__(FreeStar self, long address) -> FreeStar
        Gyoto::Astrobj::FreeStar::FreeStar Copy constructor. 
        """
        _std.FreeStar_swiginit(self, _std.new_FreeStar(*args))

# Register FreeStar in _std:
_std.FreeStar_swigregister(FreeStar)
FreeStar.properties = _std.cvar.FreeStar_properties
FreeStar.builtinPluginValue = _std.cvar.FreeStar_builtinPluginValue

class InflateStar(Star):
    r"""


    An Astrobj::Star with growing size.

    C++ includes: GyotoInflateStar.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(InflateStar self) -> Property
        Gyoto::Astrobj::InflateStar::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.InflateStar_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(InflateStar self, vector_string plugname)
        plugins(InflateStar self) -> vector_string
        """
        return _std.InflateStar_plugins(self, *args)

    def clone(self):
        r"""
        clone(InflateStar self) -> InflateStar
        Gyoto::Astrobj::InflateStar::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.InflateStar_clone(self)
    __swig_destroy__ = _std.delete_InflateStar

    def timeInflateInit(self, *args):
        r"""
        timeInflateInit(InflateStar self, double arg2)
        timeInflateInit(InflateStar self) -> double
        timeInflateInit(InflateStar self, double arg2, std::string const & arg3)
        timeInflateInit(InflateStar self, std::string const & arg2) -> double
        """
        return _std.InflateStar_timeInflateInit(self, *args)

    def timeInflateStop(self, *args):
        r"""
        timeInflateStop(InflateStar self, double arg2)
        timeInflateStop(InflateStar self) -> double
        timeInflateStop(InflateStar self, double arg2, std::string const & arg3)
        timeInflateStop(InflateStar self, std::string const & arg2) -> double
        """
        return _std.InflateStar_timeInflateStop(self, *args)

    def radiusStop(self, *args):
        r"""
        radiusStop(InflateStar self, double arg2)
        radiusStop(InflateStar self) -> double
        radiusStop(InflateStar self, double arg2, std::string const & arg3)
        radiusStop(InflateStar self, std::string const & arg2) -> double
        """
        return _std.InflateStar_radiusStop(self, *args)

    def radius(self, *args):
        r"""
        radius(InflateStar self) -> double
        radius(InflateStar self, double arg2)
        radius(InflateStar self, std::string const & arg2) -> double
        radius(InflateStar self, double arg2, std::string const & arg3)
        Gyoto::Astrobj::UniformSphere::radius Set radius_ in specified unit.

        """
        return _std.InflateStar_radius(self, *args)

    def radiusAt(self, *args):
        r"""
        radiusAt(InflateStar self, double t) -> double
        radiusAt(InflateStar self, double t, std::string const & t_unit) -> double
        radiusAt(InflateStar self, double t, std::string const & t_unit, std::string const & r_unit) -> double
        Gyoto::Astrobj::InflateStar::radiusAt Radius at a given time. 
        """
        return _std.InflateStar_radiusAt(self, *args)

    def className(self):
        r"""
        className(InflateStar self) -> std::string
        Gyoto::Astrobj::InflateStar::className "InflateStar" 
        """
        return _std.InflateStar_className(self)

    def className_l(self):
        r"""
        className_l(InflateStar self) -> std::string
        Gyoto::Astrobj::InflateStar::className_l "inflate_star" 
        """
        return _std.InflateStar_className_l(self)

    def Impact(self, ph, index, data=None):
        r"""
        Impact(InflateStar self, Photon ph, size_t index, AstrobjProperties data=None) -> int
        Gyoto::Astrobj::InflateStar::Impact Does a photon at these coordinates
        impact the object?

        Impact() checks whether a Photon impacts the object between two
        integration steps of the photon's trajectory (those two steps are
        photon->getCoord(index, coord1) and photon->getCoord(index+1,
        coord2)). Impact returns 1 if the photon impacts the object between
        these two steps, else 0. In many cases of geometrically thick obects,
        the implementation Astrobj::Standard::Impact() will be fine.

        Impact will call Generic::processHitQuantities() (which is virtual and
        may be re-implemented) to compute observable properties on demand: if
        the data pointer is non-NULL, the object will look in it for pointers
        to properties which apply to its kind. If a pointer to a property
        known to this object is present, then the property is computed and
        store at the pointed-to address. For instance, all objects know the
        "intensity" property. If data->intensity != NULL, the instensity is
        computed and stored in *data->intensity.

        If data is non-NULL and only in this case, processHitQuantities() will
        also call ph->transmit() to update the transmissions of the Photon
        (see Photon::transmit(size_t, double)). This must not be done if data
        is NULL (see Astrobj::Complex::Impact() for an explanation).

        Impact() may not extend the ph Worldline. The only two dates that are
        guaranteed to be defined are at indices index and index+1.

        Parameters:
        -----------

        ph:   Gyoto::Photon aimed at the object;

        index:  Index of the last photon step;

        data:  Pointer to a structure to hold the observables at impact.

        1 if impact, 0 if not. 
        """
        return _std.InflateStar_Impact(self, ph, index, data)

    def emission(self, nu_em, dsem, cp, co=0):
        r"""
        emission(InflateStar self, double nu_em, double dsem, vector_double cp, double const [8] co=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.InflateStar_emission(self, nu_em, dsem, cp, co)

    def __init__(self, *args):
        r"""
        __init__(InflateStar self) -> InflateStar
        __init__(InflateStar self, InflateStar orig) -> InflateStar
        __init__(InflateStar self, Astrobj base) -> InflateStar
        __init__(InflateStar self, long address) -> InflateStar
        Gyoto::Astrobj::InflateStar::InflateStar Copy constructor. 
        """
        _std.InflateStar_swiginit(self, _std.new_InflateStar(*args))

# Register InflateStar in _std:
_std.InflateStar_swigregister(InflateStar)
InflateStar.properties = _std.cvar.InflateStar_properties
InflateStar.builtinPluginValue = _std.cvar.InflateStar_builtinPluginValue

class Torus(gyoto.core.StandardAstrobj):
    r"""


    Optically thin or thick torus in circular rotation.

    Any Metric::Generic is acceptable as long as it implements
    Metric::Generic::circularVelocity().

    C++ includes: GyotoTorus.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Torus self) -> Property
        Gyoto::Astrobj::Torus::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Torus_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Torus self, vector_string plugname)
        plugins(Torus self) -> vector_string
        """
        return _std.Torus_plugins(self, *args)

    def clone(self):
        r"""
        clone(Torus self) -> Torus
        Gyoto::Astrobj::Torus::clone "Virtual" copy constructor 
        """
        return _std.Torus_clone(self)
    __swig_destroy__ = _std.delete_Torus

    def largeRadius(self, *args):
        r"""
        largeRadius(Torus self) -> double
        largeRadius(Torus self, std::string unit) -> double
        largeRadius(Torus self, double c)
        largeRadius(Torus self, double c, std::string unit)
        Gyoto::Astrobj::Torus::largeRadius Set large radius Torus::c_ in
        specified unit. 
        """
        return _std.Torus_largeRadius(self, *args)

    def smallRadius(self, *args):
        r"""
        smallRadius(Torus self) -> double
        smallRadius(Torus self, std::string unit) -> double
        smallRadius(Torus self, double a)
        smallRadius(Torus self, double a, std::string unit)
        Gyoto::Astrobj::Torus::smallRadius Set small radius in specified unit.

        """
        return _std.Torus_smallRadius(self, *args)

    def spectrum(self, *args):
        r"""
        spectrum(Torus self, Gyoto::SmartPointer< Gyoto::Spectrum::Generic > arg2)
        spectrum(Torus self) -> Gyoto::SmartPointer< Gyoto::Spectrum::Generic >
        Gyoto::Astrobj::Torus::spectrum Get Torus::spectrum_. 
        """
        return _std.Torus_spectrum(self, *args)

    def opacity(self, *args):
        r"""
        opacity(Torus self, Gyoto::SmartPointer< Gyoto::Spectrum::Generic > arg2)
        opacity(Torus self) -> Gyoto::SmartPointer< Gyoto::Spectrum::Generic >
        Gyoto::Astrobj::Torus::opacity Get Torus::opacity_. 
        """
        return _std.Torus_opacity(self, *args)

    def rMax(self, *args):
        r"""
        rMax(Torus self) -> double
        rMax(Torus self, std::string const & unit) -> double
        rMax(Torus self, std::string const & unit) -> double
        rMax(Torus self, double val)
        rMax(Torus self, double val, std::string const & unit)
        rMax(Torus self) -> double
        Gyoto::Astrobj::Generic::rMax Set maximal distance from center of
        coordinate system.

        Call Generic::rMax(double val) after converting val from unit to
        geometrical units.

        Parameters:
        -----------

        val:   rmax_ expressed in unit "unit";

        unit:  string... 
        """
        return _std.Torus_rMax(self, *args)

    def __call__(self, coord):
        r"""__call__(Torus self, double const [4] coord) -> double"""
        return _std.Torus___call__(self, coord)

    def deltaMax(self, arg2):
        r"""
        deltaMax(Torus self, double * arg2) -> double
        Gyoto::Astrobj::Generic::deltaMax Get max step constraint for adaptive
        integration.

        Parameters:
        -----------

        coord:  position

        max step to find this object reliably 
        """
        return _std.Torus_deltaMax(self, arg2)

    def __init__(self, *args):
        r"""
        __init__(Torus self) -> Torus
        __init__(Torus self, Torus arg2) -> Torus
        __init__(Torus self, Astrobj base) -> Torus
        __init__(Torus self, long address) -> Torus
        Gyoto::Astrobj::Torus::Torus Copy constructor. 
        """
        _std.Torus_swiginit(self, _std.new_Torus(*args))

# Register Torus in _std:
_std.Torus_swigregister(Torus)
Torus.properties = _std.cvar.Torus_properties
Torus.builtinPluginValue = _std.cvar.Torus_builtinPluginValue

class OscilTorus(gyoto.core.StandardAstrobj, gyoto.core.Listener):
    r"""Proxy of C++ Gyoto::Astrobj::OscilTorus class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(OscilTorus self) -> Property
        Gyoto::Astrobj::OscilTorus::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.OscilTorus_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(OscilTorus self, vector_string plugname)
        plugins(OscilTorus self) -> vector_string
        """
        return _std.OscilTorus_plugins(self, *args)
    __swig_destroy__ = _std.delete_OscilTorus

    def clone(self):
        r"""
        clone(OscilTorus self) -> OscilTorus
        Gyoto::Astrobj::OscilTorus::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.OscilTorus_clone(self)

    def largeRadius(self, *args):
        r"""
        largeRadius(OscilTorus self, double arg2)
        largeRadius(OscilTorus self) -> double
        largeRadius(OscilTorus self, double arg2, std::string const & arg3)
        largeRadius(OscilTorus self, std::string const & arg2) -> double
        """
        return _std.OscilTorus_largeRadius(self, *args)

    def mode(self, *args):
        r"""
        mode(OscilTorus self, unsigned long arg2)
        mode(OscilTorus self) -> unsigned long
        """
        return _std.OscilTorus_mode(self, *args)

    def polyCst(self, *args):
        r"""
        polyCst(OscilTorus self, double arg2)
        polyCst(OscilTorus self) -> double
        """
        return _std.OscilTorus_polyCst(self, *args)

    def polyIndex(self, *args):
        r"""
        polyIndex(OscilTorus self, double arg2)
        polyIndex(OscilTorus self) -> double
        """
        return _std.OscilTorus_polyIndex(self, *args)

    def centralDensity(self, *args):
        r"""
        centralDensity(OscilTorus self, double arg2)
        centralDensity(OscilTorus self) -> double
        """
        return _std.OscilTorus_centralDensity(self, *args)

    def perturbKind(self, *args):
        r"""
        perturbKind(OscilTorus self, std::string const & arg2)
        perturbKind(OscilTorus self) -> std::string
        """
        return _std.OscilTorus_perturbKind(self, *args)

    def perturbIntens(self, *args):
        r"""
        perturbIntens(OscilTorus self, double arg2)
        perturbIntens(OscilTorus self) -> double
        """
        return _std.OscilTorus_perturbIntens(self, *args)

    def emittingArea(self, *args):
        r"""
        emittingArea(OscilTorus self, std::string const & arg2)
        emittingArea(OscilTorus self) -> std::string
        """
        return _std.OscilTorus_emittingArea(self, *args)

    def metric(self, *args):
        r"""
        metric(OscilTorus self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(OscilTorus self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::OscilTorus::metric Set the Metric gg_. 
        """
        return _std.OscilTorus_metric(self, *args)

    def __call__(self, coord):
        r"""__call__(OscilTorus self, double const [4] coord) -> double"""
        return _std.OscilTorus___call__(self, coord)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(OscilTorus self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::OscilTorus::getVelocity Fluid velocity field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.OscilTorus_getVelocity(self, pos, vel)

    def emission(self, nuem, arg3, arg4, arg5):
        r"""
        emission(OscilTorus self, double nuem, double arg3, vector_double arg4, double const * arg5) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.OscilTorus_emission(self, nuem, arg3, arg4, arg5)

    def setParameters(self, fmp):
        r"""
        setParameters(OscilTorus self, FactoryMessenger fmp)
        Gyoto::Astrobj::OscilTorus::setParameters Main loop in Subcontractor_t
        function.

        The Subcontractor_t function for each Astrobj kind should look
        somewhat like this (templated as
        Gyoto::Astrobj::Subcontractor<MyKind>):

        Each object kind should implement setParameter(string name, string
        content, string unit) to interpret the individual XML elements.
        setParameters() can be overloaded in case the specific Astrobj class
        needs low level access to the FactoryMessenger. See
        UniformSphere::setParameters(). 
        """
        return _std.OscilTorus_setParameters(self, fmp)

    def updateCachedValues(self):
        r"""
        updateCachedValues(OscilTorus self)
        Gyoto::Astrobj::OscilTorus::updateCachedValues
        """
        return _std.OscilTorus_updateCachedValues(self)

    def computeXbYb(self, pos, xb, yb):
        r"""
        computeXbYb(OscilTorus self, double const * pos, double & xb, double & yb)
        Gyoto::Astrobj::OscilTorus::computeXbYb
        """
        return _std.OscilTorus_computeXbYb(self, pos, xb, yb)

    def tell(self, msg):
        r"""
        tell(OscilTorus self, Teller msg)
        Gyoto::Astrobj::OscilTorus::tell Update cached values.

        Calls updateCachedValues().

        See Hook::Listener::tell() 
        """
        return _std.OscilTorus_tell(self, msg)

    def __init__(self, *args):
        r"""
        __init__(OscilTorus self) -> OscilTorus
        __init__(OscilTorus self, OscilTorus o) -> OscilTorus
        __init__(OscilTorus self, Astrobj base) -> OscilTorus
        __init__(OscilTorus self, long address) -> OscilTorus
        Gyoto::Astrobj::OscilTorus::OscilTorus
        """
        _std.OscilTorus_swiginit(self, _std.new_OscilTorus(*args))

# Register OscilTorus in _std:
_std.OscilTorus_swigregister(OscilTorus)
OscilTorus.properties = _std.cvar.OscilTorus_properties
OscilTorus.builtinPluginValue = _std.cvar.OscilTorus_builtinPluginValue

class PageThorneDisk(gyoto.core.ThinDisk, gyoto.core.Listener):
    r"""


    Geometrically thin disk in Kerr metric.

    This class describes a disk contained in the z=0 (equatorial) plane,
    extending from r=r_ISCO to r=infinity. The flux emitted at radius r is
    given by Page & Thorne (1974, ApJ 191:499, Eqs. 11b, 14, 15).

    The metric must be either KerrBL or KerrKS. Emission, Spectrum and
    BinSpectrum are not provide, the only intensity provided is provided,
    as quantity User4 and it is the default quantity returned if nothing
    is requested. The other quantities implemented in ThinDisk are also
    provided.

    C++ includes: GyotoPageThorneDisk.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PageThorneDisk self) -> Property
        Gyoto::Astrobj::PageThorneDisk::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PageThorneDisk_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PageThorneDisk self, vector_string plugname)
        plugins(PageThorneDisk self) -> vector_string
        """
        return _std.PageThorneDisk_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(PageThorneDisk self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.PageThorneDisk_isThreadSafe(self)

    def clone(self):
        r"""
        clone(PageThorneDisk self) -> PageThorneDisk
        Gyoto::Astrobj::PageThorneDisk::clone Cloner. 
        """
        return _std.PageThorneDisk_clone(self)
    __swig_destroy__ = _std.delete_PageThorneDisk

    def metric(self, *args):
        r"""
        metric(PageThorneDisk self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(PageThorneDisk self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::Generic::metric Get the Metric gg_. 
        """
        return _std.PageThorneDisk_metric(self, *args)

    def mdot(self, *args):
        r"""
        mdot(PageThorneDisk self, double v)
        mdot(PageThorneDisk self) -> double
        Gyoto::Astrobj::PageThorneDisk::mdot
        """
        return _std.PageThorneDisk_mdot(self, *args)

    def uniFlux(self, *args):
        r"""
        uniFlux(PageThorneDisk self, bool t)
        uniFlux(PageThorneDisk self) -> bool
        Gyoto::Astrobj::PageThorneDisk::uniFlux
        """
        return _std.PageThorneDisk_uniFlux(self, *args)

    def emission(self, *args):
        r"""
        emission(PageThorneDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(PageThorneDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(PageThorneDisk self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.PageThorneDisk_emission(self, *args)

    def bolometricEmission(self, nuem, dsem, c_obj):
        r"""
        bolometricEmission(PageThorneDisk self, double nuem, double dsem, double const [8] c_obj) -> double
        Gyoto::Astrobj::PageThorneDisk::bolometricEmission Bolometric
        emission.

        Similar to Generic::emission(), but bolometric. 
        """
        return _std.PageThorneDisk_bolometricEmission(self, nuem, dsem, c_obj)

    def processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data):
        r"""
        processHitQuantities(PageThorneDisk self, Photon ph, vector_double coord_ph_hit, double const * coord_obj_hit, double dt, AstrobjProperties data)
        Gyoto::Astrobj::Generic::processHitQuantities
        """
        return _std.PageThorneDisk_processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data)

    def getDefaultQuantities(self):
        r"""
        getDefaultQuantities(PageThorneDisk self) -> Gyoto::Quantity_t
        Gyoto::Astrobj::PageThorneDisk::getDefaultQuantities Which quantities
        to compute if know was requested.

        Return a Gyoto::Quantity_t suitable as input to
        Gyoto::Scenery::setRequestedQuantities() to set de default quantities
        to compute for this object. The default of these defaults
        GYOTO_QUANTITY_INTENSITY. 
        """
        return _std.PageThorneDisk_getDefaultQuantities(self)

    def tell(self, msg):
        r"""
        tell(PageThorneDisk self, Teller msg)
        Gyoto::Astrobj::PageThorneDisk::tell Update PageThorneDisk::aa_.

        Calls updateSpin().

        See Hook::Listener::tell() 
        """
        return _std.PageThorneDisk_tell(self, msg)

    def radiativeQ(self, Inu, Qnu, Unu, Vnu, Onu, nuem, nbnu, dsem, cph, co):
        r"""
        radiativeQ(PageThorneDisk self, double * Inu, double * Qnu, double * Unu, double * Vnu, Eigen::Matrix4d * Onu, double const * nuem, size_t nbnu, double dsem, vector_double cph, double const * co)
        Gyoto::Astrobj::Generic::radiativeQ
        """
        return _std.PageThorneDisk_radiativeQ(self, Inu, Qnu, Unu, Vnu, Onu, nuem, nbnu, dsem, cph, co)

    def __init__(self, *args):
        r"""
        __init__(PageThorneDisk self) -> PageThorneDisk
        __init__(PageThorneDisk self, PageThorneDisk arg2) -> PageThorneDisk
        __init__(PageThorneDisk self, Astrobj base) -> PageThorneDisk
        __init__(PageThorneDisk self, long address) -> PageThorneDisk
        Gyoto::Astrobj::PageThorneDisk::PageThorneDisk Copy constructor. 
        """
        _std.PageThorneDisk_swiginit(self, _std.new_PageThorneDisk(*args))

# Register PageThorneDisk in _std:
_std.PageThorneDisk_swigregister(PageThorneDisk)
PageThorneDisk.properties = _std.cvar.PageThorneDisk_properties
PageThorneDisk.builtinPluginValue = _std.cvar.PageThorneDisk_builtinPluginValue

class ThinDiskPL(gyoto.core.ThinDisk):
    r"""


    Geometrically thin disk with black-body emission.

    Temperature varies with a power-law from the inner radius outwards:

    &T; = &T;0 (rcur/rinner)

    C++ includes: GyotoThinDiskPL.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThinDiskPL self) -> Property
        Gyoto::Astrobj::ThinDiskPL::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThinDiskPL_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThinDiskPL self, vector_string plugname)
        plugins(ThinDiskPL self) -> vector_string
        """
        return _std.ThinDiskPL_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(ThinDiskPL self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ThinDiskPL_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ThinDiskPL self) -> ThinDiskPL
        Gyoto::Astrobj::ThinDiskPL::clone Cloner. 
        """
        return _std.ThinDiskPL_clone(self)
    __swig_destroy__ = _std.delete_ThinDiskPL

    def Slope(self, *args):
        r"""
        Slope(ThinDiskPL self, double arg2)
        Slope(ThinDiskPL self) -> double
        Gyoto::Astrobj::ThinDiskPL::Slope
        """
        return _std.ThinDiskPL_Slope(self, *args)

    def Tinner(self, *args):
        r"""
        Tinner(ThinDiskPL self, double arg2)
        Tinner(ThinDiskPL self) -> double
        Gyoto::Astrobj::ThinDiskPL::Tinner
        """
        return _std.ThinDiskPL_Tinner(self, *args)

    def emission(self, *args):
        r"""
        emission(ThinDiskPL self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(ThinDiskPL self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(ThinDiskPL self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.ThinDiskPL_emission(self, *args)

    def __init__(self, *args):
        r"""
        __init__(ThinDiskPL self) -> ThinDiskPL
        __init__(ThinDiskPL self, ThinDiskPL arg2) -> ThinDiskPL
        __init__(ThinDiskPL self, Astrobj base) -> ThinDiskPL
        __init__(ThinDiskPL self, long address) -> ThinDiskPL
        Gyoto::Astrobj::ThinDiskPL::ThinDiskPL Copy constructor. 
        """
        _std.ThinDiskPL_swiginit(self, _std.new_ThinDiskPL(*args))

# Register ThinDiskPL in _std:
_std.ThinDiskPL_swigregister(ThinDiskPL)
ThinDiskPL.properties = _std.cvar.ThinDiskPL_properties
ThinDiskPL.builtinPluginValue = _std.cvar.ThinDiskPL_builtinPluginValue

class PolishDoughnut(gyoto.core.StandardAstrobj):
    r"""


    A toroidal accretion structure.

    Latest reference: Vincent, F. H.; Yan, W.; Straub, O.; Zdziarski, A.
    A.; Abramowicz, M. A. 2015, A magnetized torus for modeling
    Sagittarius A* millimeter images and spectra, A&A 574:A48.

    Reference: Straub, O.; Vincent, F. H.; Abramowicz, M. A.; Gourgoulhon,
    E.; & Paumard, T. 2012, Modelling the black hole silhouette in
    Sagittarius A* with ion tori, A&A 543:83.

    C++ includes: GyotoPolishDoughnut.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PolishDoughnut self) -> Property
        Gyoto::Astrobj::PolishDoughnut::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PolishDoughnut_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PolishDoughnut self, vector_string plugname)
        plugins(PolishDoughnut self) -> vector_string
        """
        return _std.PolishDoughnut_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(PolishDoughnut self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.PolishDoughnut_isThreadSafe(self)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(PolishDoughnut self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::PolishDoughnut::fillProperty Output a single Property
        to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.PolishDoughnut_fillProperty(self, fmp, p)

    def clone(self):
        r"""
        clone(PolishDoughnut self) -> PolishDoughnut
        Gyoto::Astrobj::PolishDoughnut::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.PolishDoughnut_clone(self)
    __swig_destroy__ = _std.delete_PolishDoughnut

    def getL0(self):
        r"""
        getL0(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::getL0 Get PolishDoughnut::l0_. 
        """
        return _std.PolishDoughnut_getL0(self)

    def _lambda(self, *args):
        r"""
        _lambda(PolishDoughnut self) -> double
        _lambda(PolishDoughnut self, double _lambda)
        Gyoto::Astrobj::PolishDoughnut::lambda Set PolishDoughnut::lambda_. 
        """
        return _std.PolishDoughnut__lambda(self, *args)

    def centralEnthalpyPerUnitVolume(self, *args):
        r"""
        centralEnthalpyPerUnitVolume(PolishDoughnut self) -> double
        centralEnthalpyPerUnitVolume(PolishDoughnut self, std::string const & unit) -> double
        centralEnthalpyPerUnitVolume(PolishDoughnut self, double density)
        centralEnthalpyPerUnitVolume(PolishDoughnut self, double density, std::string const & unit)
        Gyoto::Astrobj::PolishDoughnut::centralEnthalpyPerUnitVolume Set
        PolishDoughnut::central_enthalpy_cgs_ in specified unit. 
        """
        return _std.PolishDoughnut_centralEnthalpyPerUnitVolume(self, *args)

    def centralTemp(self, *args):
        r"""
        centralTemp(PolishDoughnut self) -> double
        centralTemp(PolishDoughnut self, double val)
        Gyoto::Astrobj::PolishDoughnut::centralTemp Set
        PolishDoughnut::central_temperature_. 
        """
        return _std.PolishDoughnut_centralTemp(self, *args)

    def beta(self, *args):
        r"""
        beta(PolishDoughnut self) -> double
        beta(PolishDoughnut self, double beta)
        Gyoto::Astrobj::PolishDoughnut::beta Set PolishDoughnut::beta_. 
        """
        return _std.PolishDoughnut_beta(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(PolishDoughnut self, double rr)
        magnetizationParameter(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::magnetizationParameter
        """
        return _std.PolishDoughnut_magnetizationParameter(self, *args)

    def spectralOversampling(self, *args):
        r"""
        spectralOversampling(PolishDoughnut self, size_t arg2)
        spectralOversampling(PolishDoughnut self) -> size_t
        Gyoto::Astrobj::PolishDoughnut::spectralOversampling Get
        PolishDoughnut::spectral_oversampling_. 
        """
        return _std.PolishDoughnut_spectralOversampling(self, *args)

    def changeCusp(self, *args):
        r"""
        changeCusp(PolishDoughnut self) -> bool
        changeCusp(PolishDoughnut self, bool t)
        Gyoto::Astrobj::PolishDoughnut::changeCusp Set
        PolishDoughnut::komissarov_. 
        """
        return _std.PolishDoughnut_changeCusp(self, *args)

    def bremsstrahlung(self, *args):
        r"""
        bremsstrahlung(PolishDoughnut self) -> bool
        bremsstrahlung(PolishDoughnut self, bool brems)
        Gyoto::Astrobj::PolishDoughnut::bremsstrahlung Set
        PolishDoughnut::bremsstrahlung_. 
        """
        return _std.PolishDoughnut_bremsstrahlung(self, *args)

    def angleAveraged(self, *args):
        r"""
        angleAveraged(PolishDoughnut self) -> bool
        angleAveraged(PolishDoughnut self, bool komis)
        Gyoto::Astrobj::PolishDoughnut::angleAveraged Set
        PolishDoughnut::angle_averaged_. 
        """
        return _std.PolishDoughnut_angleAveraged(self, *args)

    def nonThermalDeltaExpo(self, *args):
        r"""
        nonThermalDeltaExpo(PolishDoughnut self, vector_double v)
        nonThermalDeltaExpo(PolishDoughnut self) -> vector_double
        Gyoto::Astrobj::PolishDoughnut::nonThermalDeltaExpo
        """
        return _std.PolishDoughnut_nonThermalDeltaExpo(self, *args)

    def angmomrinner(self, *args):
        r"""
        angmomrinner(PolishDoughnut self, vector_double v)
        angmomrinner(PolishDoughnut self) -> vector_double
        Gyoto::Astrobj::PolishDoughnut::angmomrinner
        """
        return _std.PolishDoughnut_angmomrinner(self, *args)

    def adafparams(self, *args):
        r"""
        adafparams(PolishDoughnut self, vector_double v)
        adafparams(PolishDoughnut self) -> vector_double
        Gyoto::Astrobj::PolishDoughnut::adafparams
        """
        return _std.PolishDoughnut_adafparams(self, *args)

    def adaf(self, *args):
        r"""
        adaf(PolishDoughnut self, bool t)
        adaf(PolishDoughnut self) -> bool
        Gyoto::Astrobj::PolishDoughnut::adaf
        """
        return _std.PolishDoughnut_adaf(self, *args)

    def setParameter(self, p, name, content, unit):
        r"""
        setParameter(PolishDoughnut self, Property p, std::string const & name, std::string const & content, std::string const & unit)
        Gyoto::Object::setParameter Set parameter by name.

        This function is used when parsing an XML description, if no Property
        of this name is found. Overriding implementation should fall-back on
        calling the direct's parent implementation:

        Parameters:
        -----------

        name:  XML name of the parameter (XML entity). This may have a path
        component, e.g. "Astrobj::Radius", in which case a property named
        "Astrobj" will be sought in the current object, and setParameter
        will be called recusrively on this Astrobj with Radius as name.

        content:  string representation of the value

        unit:  string representation of the unit

        0 if this parameter is known, 1 if it is not. 
        """
        return _std.PolishDoughnut_setParameter(self, p, name, content, unit)

    def getWsurface(self):
        r"""
        getWsurface(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::getWsurface Get
        PolishDoughnut::W_surface_. 
        """
        return _std.PolishDoughnut_getWsurface(self)

    def getWcentre(self):
        r"""
        getWcentre(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::getWcentre Get
        PolishDoughnut::W_centre_. 
        """
        return _std.PolishDoughnut_getWcentre(self)

    def getRcusp(self):
        r"""
        getRcusp(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::getRcusp Get PolishDoughnut::r_cusp_.

        """
        return _std.PolishDoughnut_getRcusp(self)

    def getRcentre(self):
        r"""
        getRcentre(PolishDoughnut self) -> double
        Gyoto::Astrobj::PolishDoughnut::getRcentre Get
        PolishDoughnut::r_centre_. 
        """
        return _std.PolishDoughnut_getRcentre(self)

    def metric(self, *args):
        r"""
        metric(PolishDoughnut self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(PolishDoughnut self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::Generic::metric Get the Metric gg_. 
        """
        return _std.PolishDoughnut_metric(self, *args)

    def Impact(self, ph, index, data):
        r"""
        Impact(PolishDoughnut self, Photon ph, size_t index, AstrobjProperties data) -> int
        Gyoto::Astrobj::PolishDoughnut::Impact Does a photon at these
        coordinates impact the object?

        Impact() checks whether a Photon impacts the object between two
        integration steps of the photon's trajectory (those two steps are
        photon->getCoord(index, coord1) and photon->getCoord(index+1,
        coord2)). Impact returns 1 if the photon impacts the object between
        these two steps, else 0. In many cases of geometrically thick obects,
        the implementation Astrobj::Standard::Impact() will be fine.

        Impact will call Generic::processHitQuantities() (which is virtual and
        may be re-implemented) to compute observable properties on demand: if
        the data pointer is non-NULL, the object will look in it for pointers
        to properties which apply to its kind. If a pointer to a property
        known to this object is present, then the property is computed and
        store at the pointed-to address. For instance, all objects know the
        "intensity" property. If data->intensity != NULL, the instensity is
        computed and stored in *data->intensity.

        If data is non-NULL and only in this case, processHitQuantities() will
        also call ph->transmit() to update the transmissions of the Photon
        (see Photon::transmit(size_t, double)). This must not be done if data
        is NULL (see Astrobj::Complex::Impact() for an explanation).

        Impact() may not extend the ph Worldline. The only two dates that are
        guaranteed to be defined are at indices index and index+1.

        Parameters:
        -----------

        ph:   Gyoto::Photon aimed at the object;

        index:  Index of the last photon step;

        data:  Pointer to a structure to hold the observables at impact.

        1 if impact, 0 if not. 
        """
        return _std.PolishDoughnut_Impact(self, ph, index, data)

    def __call__(self, coord):
        r"""__call__(PolishDoughnut self, double const [4] coord) -> double"""
        return _std.PolishDoughnut___call__(self, coord)

    def __init__(self, *args):
        r"""
        __init__(PolishDoughnut self) -> PolishDoughnut
        __init__(PolishDoughnut self, PolishDoughnut arg2) -> PolishDoughnut
        __init__(PolishDoughnut self, Astrobj base) -> PolishDoughnut
        __init__(PolishDoughnut self, long address) -> PolishDoughnut
        Gyoto::Astrobj::PolishDoughnut::PolishDoughnut Copy constructor. 
        """
        _std.PolishDoughnut_swiginit(self, _std.new_PolishDoughnut(*args))

# Register PolishDoughnut in _std:
_std.PolishDoughnut_swigregister(PolishDoughnut)
PolishDoughnut.properties = _std.cvar.PolishDoughnut_properties
PolishDoughnut.builtinPluginValue = _std.cvar.PolishDoughnut_builtinPluginValue

class ThinDiskIronLine(gyoto.core.ThinDisk):
    r"""Proxy of C++ Gyoto::Astrobj::ThinDiskIronLine class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThinDiskIronLine self) -> Property
        Gyoto::Astrobj::ThinDiskIronLine::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThinDiskIronLine_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThinDiskIronLine self, vector_string plugname)
        plugins(ThinDiskIronLine self) -> vector_string
        """
        return _std.ThinDiskIronLine_plugins(self, *args)
    __swig_destroy__ = _std.delete_ThinDiskIronLine

    def clone(self):
        r"""
        clone(ThinDiskIronLine self) -> ThinDiskIronLine
        Gyoto::Astrobj::ThinDiskIronLine::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.ThinDiskIronLine_clone(self)

    def emission(self, *args):
        r"""
        emission(ThinDiskIronLine self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(ThinDiskIronLine self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(ThinDiskIronLine self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.ThinDiskIronLine_emission(self, *args)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(ThinDiskIronLine self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::ThinDiskIronLine::getVelocity Get fluid 4-velocity at
        point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.
        getVelocity() should work at some distance from the equatorial plane.
        The default implementation calls Metric::Generic::circularVelocity().

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.ThinDiskIronLine_getVelocity(self, pos, vel)

    def PowerLawIndex(self, *args):
        r"""
        PowerLawIndex(ThinDiskIronLine self, double arg2)
        PowerLawIndex(ThinDiskIronLine self) -> double
        """
        return _std.ThinDiskIronLine_PowerLawIndex(self, *args)

    def LineFreq(self, *args):
        r"""
        LineFreq(ThinDiskIronLine self, double arg2)
        LineFreq(ThinDiskIronLine self) -> double
        LineFreq(ThinDiskIronLine self, double v, std::string const & u)
        LineFreq(ThinDiskIronLine self, std::string const & u) -> double
        Gyoto::Astrobj::ThinDiskIronLine::LineFreq
        """
        return _std.ThinDiskIronLine_LineFreq(self, *args)

    def CutRadius(self, *args):
        r"""
        CutRadius(ThinDiskIronLine self, double arg2)
        CutRadius(ThinDiskIronLine self) -> double
        CutRadius(ThinDiskIronLine self, double v, std::string const & u)
        CutRadius(ThinDiskIronLine self, std::string const & u) -> double
        Gyoto::Astrobj::ThinDiskIronLine::CutRadius
        """
        return _std.ThinDiskIronLine_CutRadius(self, *args)

    def __init__(self, *args):
        r"""
        __init__(ThinDiskIronLine self) -> ThinDiskIronLine
        __init__(ThinDiskIronLine self, ThinDiskIronLine o) -> ThinDiskIronLine
        __init__(ThinDiskIronLine self, Astrobj base) -> ThinDiskIronLine
        __init__(ThinDiskIronLine self, long address) -> ThinDiskIronLine
        Gyoto::Astrobj::ThinDiskIronLine::ThinDiskIronLine
        """
        _std.ThinDiskIronLine_swiginit(self, _std.new_ThinDiskIronLine(*args))

# Register ThinDiskIronLine in _std:
_std.ThinDiskIronLine_swigregister(ThinDiskIronLine)
ThinDiskIronLine.properties = _std.cvar.ThinDiskIronLine_properties
ThinDiskIronLine.builtinPluginValue = _std.cvar.ThinDiskIronLine_builtinPluginValue

class PatternDisk(gyoto.core.ThinDisk):
    r"""


    Geometrically thin disk read from FITS file.

    This class describes a disk contained in the z=0 (equatorial) plane,
    extending from r=r_ISCO to r=infinity. The flux emitted at radius r
    and longitude phi at frequency nu is given in a FITS file.

    C++ includes: GyotoPatternDisk.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PatternDisk self) -> Property
        Gyoto::Astrobj::PatternDisk::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PatternDisk_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PatternDisk self, vector_string plugname)
        plugins(PatternDisk self) -> vector_string
        """
        return _std.PatternDisk_plugins(self, *args)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(PatternDisk self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::PatternDisk::fillProperty Output a single Property to
        XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.PatternDisk_fillProperty(self, fmp, p)

    def clone(self):
        r"""
        clone(PatternDisk self) -> PatternDisk
        Gyoto::Astrobj::PatternDisk::clone Cloner. 
        """
        return _std.PatternDisk_clone(self)
    __swig_destroy__ = _std.delete_PatternDisk

    def innerRadius(self, *args):
        r"""
        innerRadius(PatternDisk self) -> double
        innerRadius(PatternDisk self, std::string const & arg2) -> double
        innerRadius(PatternDisk self, double arg2, std::string const & arg3)
        innerRadius(PatternDisk self, double arg2)
        Gyoto::Astrobj::PatternDisk::innerRadius Set rin_. 
        """
        return _std.PatternDisk_innerRadius(self, *args)

    def outerRadius(self, *args):
        r"""
        outerRadius(PatternDisk self) -> double
        outerRadius(PatternDisk self, std::string const & arg2) -> double
        outerRadius(PatternDisk self, double arg2, std::string const & arg3)
        outerRadius(PatternDisk self, double arg2)
        Gyoto::Astrobj::PatternDisk::outerRadius Set rout_. 
        """
        return _std.PatternDisk_outerRadius(self, *args)

    def patternVelocity(self, *args):
        r"""
        patternVelocity(PatternDisk self, double arg2)
        patternVelocity(PatternDisk self) -> double
        Gyoto::Astrobj::PatternDisk::patternVelocity Get PatternDisk::Omega_.

        """
        return _std.PatternDisk_patternVelocity(self, *args)

    def file(self, *args):
        r"""
        file(PatternDisk self, std::string const & f)
        file(PatternDisk self) -> std::string
        Gyoto::Astrobj::PatternDisk::file
        """
        return _std.PatternDisk_file(self, *args)

    def fitsRead(self, filename_):
        r"""fitsRead(PatternDisk self, std::string filename_)"""
        return _std.PatternDisk_fitsRead(self, filename_)

    def fitsWrite(self, filename_):
        r"""fitsWrite(PatternDisk self, std::string filename_)"""
        return _std.PatternDisk_fitsWrite(self, filename_)

    def setEmission(self, pattern):
        r"""
        setEmission(PatternDisk self, double * pattern)
        Gyoto::Astrobj::PatternDisk::setEmission Set PatternDisk::emission_.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.PatternDisk_setEmission(self, pattern)

    def setVelocity(self, pattern):
        r"""
        setVelocity(PatternDisk self, double * pattern)
        Gyoto::Astrobj::PatternDisk::setVelocity Set PatternDisk::velocity__.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.PatternDisk_setVelocity(self, pattern)

    def radius(self, pattern):
        r"""
        radius(PatternDisk self, double * pattern)
        Gyoto::Astrobj::PatternDisk::radius Set PatternDisk::radius_.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.PatternDisk_radius(self, pattern)

    def copyIntensity(self, pattern=None, naxes=0):
        r"""
        copyIntensity(PatternDisk self, double const *const pattern=None, size_t const [3] naxes=0)
        Gyoto::Astrobj::PatternDisk::copyIntensity Set PatternDisk::emission_.

        PatternDisk::emission_ is freed if not NULL, reallocated, and pattern
        is copied into emission_.

        If PatternDisk::opacity_, PatternDisk::velocity_ or
        PatternDisk::radius_ have been set previously with mismatching sizes,
        they are deallocated too.

        Finally, PatternDisk::nnu_, PatternDisk::nphi_, and PatternDisk::nr_
        are set according to naxes.

        Parameters:
        -----------

        pattern:  Array to copy as emission_. May be NULL in which case
        emission_ is simply deallocated and set to NULL.

        naxes:  { nnu_, nphi_, nr_ }. 
        """
        return _std.PatternDisk_copyIntensity(self, pattern, naxes)

    def getIntensity(self):
        r"""
        getIntensity(PatternDisk self) -> double const *
        Gyoto::Astrobj::PatternDisk::getIntensity Get PatternDisk::emission_.

        """
        return _std.PatternDisk_getIntensity(self)

    def getIntensityNaxes(self, naxes):
        r"""
        getIntensityNaxes(PatternDisk self, size_t [3] naxes)
        Gyoto::Astrobj::PatternDisk::getIntensityNaxes Get
        PatternDisk::nnu_, PatternDisk::nphi_, and PatternDisk::nr_. 
        """
        return _std.PatternDisk_getIntensityNaxes(self, naxes)

    def copyOpacity(self, pattern=None, naxes=0):
        r"""
        copyOpacity(PatternDisk self, double const *const pattern=None, size_t const [3] naxes=0)
        Gyoto::Astrobj::PatternDisk::copyOpacity Set PatternDisk::opacity_.

        PatternDisk::opacity_ is first freed if not NULL and set to NULL.

        If pattern is not NULL, PatternDisk::emission_ must have been set
        previously with matching dimensions. PatternDisk::opacity_ is then
        reallocated, and pattern is copied into opacity_.

        Parameters:
        -----------

        pattern:  Array to copy as opacity_. May be NULL in which case
        opacity_ is simply deallocated and set to NULL.

        naxes:  { nnu_, nphi_, nr_ }. 
        """
        return _std.PatternDisk_copyOpacity(self, pattern, naxes)

    def opacity(self):
        r"""
        opacity(PatternDisk self) -> double const *
        Gyoto::Astrobj::PatternDisk::opacity Get PatternDisk::opacity_. 
        """
        return _std.PatternDisk_opacity(self)

    def copyVelocity(self, pattern=None, naxes=0):
        r"""
        copyVelocity(PatternDisk self, double const *const pattern=None, size_t const [2] naxes=0)
        Gyoto::Astrobj::PatternDisk::copyVelocity Set PatternDisk::velocity_.

        PatternDisk::velocity_ is first freed if not NULL and set to NULL.

        If pattern is not NULL, PatternDisk::emission_ must have been set
        previously with matching dimensions. PatternDisk::velocity_ is then
        reallocated, and pattern is copied into velocity_.

        Parameters:
        -----------

        pattern:  Array to copy as velocity_. May be NULL in which case
        velocity_ is simply deallocated and set to NULL.

        naxes:  { nphi_, nr_ }. 
        """
        return _std.PatternDisk_copyVelocity(self, pattern, naxes)

    def copyGridRadius(self, pattern=None, nr=0):
        r"""
        copyGridRadius(PatternDisk self, double const *const pattern=None, size_t nr=0)
        Gyoto::Astrobj::PatternDisk::copyGridRadius Set PatternDisk::radius_.

        PatternDisk::radius_ is first freed if not NULL and set to NULL.

        If pattern is not NULL, PatternDisk::emission_ must have been set
        previously with matching dimensions. PatternDisk::radius_ is then
        reallocated, and pattern is copied into radius_.

        Parameters:
        -----------

        pattern:  Array to copy as radius_. May be NULL in which case radius_
        is simply deallocated and set to NULL.

        nr:  size of radius array. 
        """
        return _std.PatternDisk_copyGridRadius(self, pattern, nr)

    def getGridRadius(self):
        r"""
        getGridRadius(PatternDisk self) -> double const *
        Gyoto::Astrobj::PatternDisk::getGridRadius Get PatternDisk::radius_.

        """
        return _std.PatternDisk_getGridRadius(self)

    def repeatPhi(self, *args):
        r"""
        repeatPhi(PatternDisk self, size_t n)
        repeatPhi(PatternDisk self) -> size_t
        Gyoto::Astrobj::PatternDisk::repeatPhi Get PatternDisk::repeat_phi_.

        """
        return _std.PatternDisk_repeatPhi(self, *args)

    def nu0(self, *args):
        r"""
        nu0(PatternDisk self, double freq)
        nu0(PatternDisk self) -> double
        Gyoto::Astrobj::PatternDisk::nu0 Get PatternDisk::nu0_. 
        """
        return _std.PatternDisk_nu0(self, *args)

    def dnu(self, *args):
        r"""
        dnu(PatternDisk self, double dfreq)
        dnu(PatternDisk self) -> double
        Gyoto::Astrobj::PatternDisk::dnu Get PatternDisk::dnu_. 
        """
        return _std.PatternDisk_dnu(self, *args)

    def phimin(self, *args):
        r"""
        phimin(PatternDisk self, double phimin)
        phimin(PatternDisk self) -> double
        Gyoto::Astrobj::PatternDisk::phimin Get PatternDisk::phimin_. 
        """
        return _std.PatternDisk_phimin(self, *args)

    def phimax(self, *args):
        r"""
        phimax(PatternDisk self, double phimax)
        phimax(PatternDisk self) -> double
        Gyoto::Astrobj::PatternDisk::phimax Get PatternDisk::phimax_. 
        """
        return _std.PatternDisk_phimax(self, *args)

    def emission(self, *args):
        r"""
        emission(PatternDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(PatternDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(PatternDisk self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.PatternDisk_emission(self, *args)

    def transmission(self, nu_em, dsem, arg4, coord):
        r"""
        transmission(PatternDisk self, double nu_em, double dsem, vector_double arg4, double const [8] coord) -> double
        Gyoto::Astrobj::Generic::transmission Obsolete, update your code. 
        """
        return _std.PatternDisk_transmission(self, nu_em, dsem, arg4, coord)

    def getVelocity(self, *args):
        r"""
        getVelocity(PatternDisk self) -> double const
        getVelocity(PatternDisk self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::PatternDisk::getVelocity Get fluid 4-velocity at
        point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.
        getVelocity() should work at some distance from the equatorial plane.
        The default implementation calls Metric::Generic::circularVelocity().

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.PatternDisk_getVelocity(self, *args)

    def __init__(self, *args):
        r"""
        __init__(PatternDisk self) -> PatternDisk
        __init__(PatternDisk self, PatternDisk arg2) -> PatternDisk
        __init__(PatternDisk self, Astrobj base) -> PatternDisk
        __init__(PatternDisk self, long address) -> PatternDisk
        Gyoto::Astrobj::PatternDisk::PatternDisk Copy constructor. 
        """
        _std.PatternDisk_swiginit(self, _std.new_PatternDisk(*args))

# Register PatternDisk in _std:
_std.PatternDisk_swigregister(PatternDisk)
PatternDisk.properties = _std.cvar.PatternDisk_properties
PatternDisk.builtinPluginValue = _std.cvar.PatternDisk_builtinPluginValue

class PatternDiskBB(PatternDisk):
    r"""


    Geometrically thin disk read from FITS file with black body spectrum.

    This class describes a disk contained in the z=0 (equatorial) plane,
    extending from r=r_ISCO to r=rmax_. The flux emitted at radius r and
    longitude phi at frequency nu is given in a FITS file.

    C++ includes: GyotoPatternDiskBB.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PatternDiskBB self) -> Property
        Gyoto::Astrobj::PatternDiskBB::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PatternDiskBB_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PatternDiskBB self, vector_string plugname)
        plugins(PatternDiskBB self) -> vector_string
        """
        return _std.PatternDiskBB_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(PatternDiskBB self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.PatternDiskBB_isThreadSafe(self)

    def clone(self):
        r"""
        clone(PatternDiskBB self) -> PatternDiskBB
        Gyoto::Astrobj::PatternDiskBB::clone Cloner. 
        """
        return _std.PatternDiskBB_clone(self)
    __swig_destroy__ = _std.delete_PatternDiskBB

    def spectralEmission(self, *args):
        r"""
        spectralEmission(PatternDiskBB self) -> bool
        spectralEmission(PatternDiskBB self, bool t)
        Gyoto::Astrobj::PatternDiskBB::spectralEmission
        """
        return _std.PatternDiskBB_spectralEmission(self, *args)

    def emission(self, *args):
        r"""
        emission(PatternDiskBB self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(PatternDiskBB self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(PatternDiskBB self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.PatternDiskBB_emission(self, *args)

    def __init__(self, *args):
        r"""
        __init__(PatternDiskBB self) -> PatternDiskBB
        __init__(PatternDiskBB self, PatternDiskBB arg2) -> PatternDiskBB
        __init__(PatternDiskBB self, Astrobj base) -> PatternDiskBB
        __init__(PatternDiskBB self, long address) -> PatternDiskBB
        Gyoto::Astrobj::PatternDiskBB::PatternDiskBB Copy constructor. 
        """
        _std.PatternDiskBB_swiginit(self, _std.new_PatternDiskBB(*args))

# Register PatternDiskBB in _std:
_std.PatternDiskBB_swigregister(PatternDiskBB)
PatternDiskBB.properties = _std.cvar.PatternDiskBB_properties
PatternDiskBB.builtinPluginValue = _std.cvar.PatternDiskBB_builtinPluginValue

class DynamicalDisk(PatternDiskBB):
    r"""


    Geometrically thin disk read from a set of FITS files.

    This class describes a PatternDiskBB that evolves dynamically. It is
    described by a set of FITS files.

    C++ includes: GyotoDynamicalDisk.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(DynamicalDisk self) -> Property
        Gyoto::Astrobj::DynamicalDisk::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.DynamicalDisk_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(DynamicalDisk self, vector_string plugname)
        plugins(DynamicalDisk self) -> vector_string
        """
        return _std.DynamicalDisk_plugins(self, *args)

    def clone(self):
        r"""
        clone(DynamicalDisk self) -> DynamicalDisk
        Gyoto::Astrobj::DynamicalDisk::clone Cloner. 
        """
        return _std.DynamicalDisk_clone(self)
    __swig_destroy__ = _std.delete_DynamicalDisk

    def file(self, *args):
        r"""
        file(DynamicalDisk self) -> std::string
        file(DynamicalDisk self, std::string const & fname)
        Gyoto::Astrobj::DynamicalDisk::file
        """
        return _std.DynamicalDisk_file(self, *args)

    def tinit(self, *args):
        r"""
        tinit(DynamicalDisk self, double t)
        tinit(DynamicalDisk self) -> double
        Gyoto::Astrobj::DynamicalDisk::tinit
        """
        return _std.DynamicalDisk_tinit(self, *args)

    def dt(self, *args):
        r"""
        dt(DynamicalDisk self, double t)
        dt(DynamicalDisk self) -> double
        Gyoto::Astrobj::DynamicalDisk::dt
        """
        return _std.DynamicalDisk_dt(self, *args)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(DynamicalDisk self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::DynamicalDisk::fillProperty Output a single Property
        to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.DynamicalDisk_fillProperty(self, fmp, p)

    def emission(self, *args):
        r"""
        emission(DynamicalDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(DynamicalDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(DynamicalDisk self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.DynamicalDisk_emission(self, *args)

    def getVelocity(self, *args):
        r"""
        getVelocity(DynamicalDisk self, double const [4] pos, double [4] vel)
        getVelocity(DynamicalDisk self) -> double const *
        Gyoto::Astrobj::DynamicalDisk::getVelocity Get PatternDisk::velocity_.

        """
        return _std.DynamicalDisk_getVelocity(self, *args)

    def __init__(self, *args):
        r"""
        __init__(DynamicalDisk self) -> DynamicalDisk
        __init__(DynamicalDisk self, DynamicalDisk arg2) -> DynamicalDisk
        __init__(DynamicalDisk self, Astrobj base) -> DynamicalDisk
        __init__(DynamicalDisk self, long address) -> DynamicalDisk
        Gyoto::Astrobj::DynamicalDisk::DynamicalDisk Copy constructor. 
        """
        _std.DynamicalDisk_swiginit(self, _std.new_DynamicalDisk(*args))

# Register DynamicalDisk in _std:
_std.DynamicalDisk_swigregister(DynamicalDisk)
DynamicalDisk.properties = _std.cvar.DynamicalDisk_properties
DynamicalDisk.builtinPluginValue = _std.cvar.DynamicalDisk_builtinPluginValue

class DynamicalDiskBolometric(DynamicalDisk):
    r"""


    Geometrically thin disk read from a set of FITS files.

    This class describes a PatternDiskBB that evolves dynamically. It is
    described by a set of FITS files.

    C++ includes: GyotoDynamicalDiskBolometric.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(DynamicalDiskBolometric self) -> Property
        Gyoto::Astrobj::DynamicalDiskBolometric::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.DynamicalDiskBolometric_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(DynamicalDiskBolometric self, vector_string plugname)
        plugins(DynamicalDiskBolometric self) -> vector_string
        """
        return _std.DynamicalDiskBolometric_plugins(self, *args)

    def clone(self):
        r"""
        clone(DynamicalDiskBolometric self) -> DynamicalDiskBolometric
        Gyoto::Astrobj::DynamicalDiskBolometric::clone Cloner. 
        """
        return _std.DynamicalDiskBolometric_clone(self)
    __swig_destroy__ = _std.delete_DynamicalDiskBolometric

    def emission(self, nu_em, dsem, arg4, coord_obj):
        r"""
        emission(DynamicalDiskBolometric self, double nu_em, double dsem, vector_double arg4, double const [8] coord_obj) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.DynamicalDiskBolometric_emission(self, nu_em, dsem, arg4, coord_obj)

    def bolometricEmission(self, dsem, cph, coord_obj):
        r"""
        bolometricEmission(DynamicalDiskBolometric self, double dsem, vector_double cph, double const [8] coord_obj) -> double
        Gyoto::Astrobj::DynamicalDiskBolometric::bolometricEmission
        """
        return _std.DynamicalDiskBolometric_bolometricEmission(self, dsem, cph, coord_obj)

    def processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data):
        r"""
        processHitQuantities(DynamicalDiskBolometric self, Photon ph, vector_double coord_ph_hit, double const * coord_obj_hit, double dt, AstrobjProperties data)
        Gyoto::Astrobj::Generic::processHitQuantities
        """
        return _std.DynamicalDiskBolometric_processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data)

    def __init__(self, *args):
        r"""
        __init__(DynamicalDiskBolometric self) -> DynamicalDiskBolometric
        __init__(DynamicalDiskBolometric self, DynamicalDiskBolometric arg2) -> DynamicalDiskBolometric
        __init__(DynamicalDiskBolometric self, Astrobj base) -> DynamicalDiskBolometric
        __init__(DynamicalDiskBolometric self, long address) -> DynamicalDiskBolometric
        Gyoto::Astrobj::DynamicalDiskBolometric::DynamicalDiskBolometric Copy
        constructor. 
        """
        _std.DynamicalDiskBolometric_swiginit(self, _std.new_DynamicalDiskBolometric(*args))

# Register DynamicalDiskBolometric in _std:
_std.DynamicalDiskBolometric_swigregister(DynamicalDiskBolometric)
DynamicalDiskBolometric.properties = _std.cvar.DynamicalDiskBolometric_properties
DynamicalDiskBolometric.builtinPluginValue = _std.cvar.DynamicalDiskBolometric_builtinPluginValue

class Disk3D(gyoto.core.Astrobj):
    r"""


    Geometrically thick disk read from FITS file.

    This class is the base class for thick disks. The emitter's velocity
    is given in a FITS file, together with emission related quantity
    (typically temperature). This class mainly implements the Impact()
    function. Emission() function is here left to its default, and should
    be implemented according to specific needs in heir classes. Here the
    disk is supposed not to evolve in time. The dynamical treatment is
    provided in heir classes.

    The 3D disk is assumed to be described by a regular (non adaptive)
    grid of cylindrical geometry. The disk is a slab from rin_ to rout_
    and zmin_ (typically = -zmax_) to zmax_.

    C++ includes: GyotoDisk3D.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Disk3D self) -> Property
        Gyoto::Astrobj::Disk3D::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Disk3D_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Disk3D self, vector_string plugname)
        plugins(Disk3D self) -> vector_string
        """
        return _std.Disk3D_plugins(self, *args)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(Disk3D self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::Disk3D::fillProperty Output a single Property to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.Disk3D_fillProperty(self, fmp, p)

    def clone(self):
        r"""
        clone(Disk3D self) -> Disk3D
        Gyoto::Astrobj::Disk3D::clone Cloner. 
        """
        return _std.Disk3D_clone(self)
    __swig_destroy__ = _std.delete_Disk3D

    def fitsRead(self, filename_):
        r"""fitsRead(Disk3D self, std::string filename_)"""
        return _std.Disk3D_fitsRead(self, filename_)

    def fitsWrite(self, filename_):
        r"""fitsWrite(Disk3D self, std::string filename_)"""
        return _std.Disk3D_fitsWrite(self, filename_)

    def file(self, *args):
        r"""
        file(Disk3D self, std::string const & f)
        file(Disk3D self) -> std::string
        Gyoto::Astrobj::Disk3D::file
        """
        return _std.Disk3D_file(self, *args)

    def zsym(self, *args):
        r"""
        zsym(Disk3D self, bool t)
        zsym(Disk3D self) -> bool
        Gyoto::Astrobj::Disk3D::zsym
        """
        return _std.Disk3D_zsym(self, *args)

    def tPattern(self, *args):
        r"""
        tPattern(Disk3D self, double t)
        tPattern(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::tPattern
        """
        return _std.Disk3D_tPattern(self, *args)

    def omegaPattern(self, *args):
        r"""
        omegaPattern(Disk3D self, double t)
        omegaPattern(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::omegaPattern
        """
        return _std.Disk3D_omegaPattern(self, *args)

    def setEmissquant(self, pattern):
        r"""
        setEmissquant(Disk3D self, double * pattern)
        Gyoto::Astrobj::Disk3D::setEmissquant Set Disk3D::emissquant_.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.Disk3D_setEmissquant(self, pattern)

    def setVelocity(self, pattern):
        r"""
        setVelocity(Disk3D self, double * pattern)
        Gyoto::Astrobj::Disk3D::setVelocity Set Disk3D::velocity__.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.Disk3D_setVelocity(self, pattern)

    def copyEmissquant(self, pattern=None, naxes=0):
        r"""
        copyEmissquant(Disk3D self, double const *const pattern=None, size_t const [4] naxes=0)
        Gyoto::Astrobj::Disk3D::copyEmissquant Set Disk3D::emissquant_.

        Disk3D::emissquant_ is freed if not NULL, reallocated, and pattern is
        copied into emission_.

        If Disk3D::velocity_ or has been set previously with mismatching
        sizes, it is deallocated too.

        Finally, Disk3D::nnu_, Disk3D::nphi_, Disk3D::nz_ and Disk3D::nr_ are
        set according to naxes.

        Parameters:
        -----------

        pattern:  Array to copy as emission_. May be NULL in which case
        emission_ is simply deallocated and set to NULL.

        naxes:  { nnu_, nphi_, nz_, nr_ }. 
        """
        return _std.Disk3D_copyEmissquant(self, pattern, naxes)

    def getEmissquant(self):
        r"""
        getEmissquant(Disk3D self) -> double const *
        Gyoto::Astrobj::Disk3D::getEmissquant Get Disk3D::emissquant_. 
        """
        return _std.Disk3D_getEmissquant(self)

    def getEmissquantNaxes(self, naxes):
        r"""
        getEmissquantNaxes(Disk3D self, size_t [4] naxes)
        Gyoto::Astrobj::Disk3D::getEmissquantNaxes Get { Disk3D::nnu_,
        Disk3D::nphi_, Disk3D::nz_, Disk3D::nr_ }. 
        """
        return _std.Disk3D_getEmissquantNaxes(self, naxes)

    def copyOpacity(self, pattern=None, naxes=0):
        r"""
        copyOpacity(Disk3D self, double const *const pattern=None, size_t const [4] naxes=0)
        Gyoto::Astrobj::Disk3D::copyOpacity
        """
        return _std.Disk3D_copyOpacity(self, pattern, naxes)

    def opacity(self, *args):
        r"""
        opacity(Disk3D self, double * pattern)
        opacity(Disk3D self) -> double const *
        Gyoto::Astrobj::Disk3D::opacity Get Disk3D::opacity_. 
        """
        return _std.Disk3D_opacity(self, *args)

    def copyVelocity(self, pattern=None, naxes=0):
        r"""
        copyVelocity(Disk3D self, double const *const pattern=None, size_t const [3] naxes=0)
        Gyoto::Astrobj::Disk3D::copyVelocity Set Disk3D::velocity_.

        Disk3D::velocity_ is first freed if not NULL and set to NULL.

        If pattern is not NULL, Disk3D::emissquant_ must have been set
        previously with matching dimensions. Disk3D::velocity_ is then
        reallocated, and pattern is copied into velocity_.

        Parameters:
        -----------

        pattern:  Array to copy as velocity_. May be NULL in which case
        velocity_ is simply deallocated and set to NULL.

        naxes:  { nphi_, nz_, nr_ }. 
        """
        return _std.Disk3D_copyVelocity(self, pattern, naxes)

    def repeatPhi(self, *args):
        r"""
        repeatPhi(Disk3D self, size_t n)
        repeatPhi(Disk3D self) -> size_t
        Gyoto::Astrobj::Disk3D::repeatPhi Get Disk3D::repeat_phi_. 
        """
        return _std.Disk3D_repeatPhi(self, *args)

    def nu0(self, *args):
        r"""
        nu0(Disk3D self, double freq)
        nu0(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::nu0 Get Disk3D::nu0_. 
        """
        return _std.Disk3D_nu0(self, *args)

    def dnu(self, *args):
        r"""
        dnu(Disk3D self, double dfreq)
        dnu(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::dnu Get Disk3D::dnu_. 
        """
        return _std.Disk3D_dnu(self, *args)

    def rin(self, *args):
        r"""
        rin(Disk3D self, double rrin)
        rin(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::rin Get Disk3D::rin_. 
        """
        return _std.Disk3D_rin(self, *args)

    def rout(self, *args):
        r"""
        rout(Disk3D self, double rout)
        rout(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::rout Get Disk3D::rout_. 
        """
        return _std.Disk3D_rout(self, *args)

    def zmin(self, *args):
        r"""
        zmin(Disk3D self, double zmin)
        zmin(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::zmin Get Disk3D::zmin_. 
        """
        return _std.Disk3D_zmin(self, *args)

    def zmax(self, *args):
        r"""
        zmax(Disk3D self, double zmax)
        zmax(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::zmax Get Disk3D::zmax_. 
        """
        return _std.Disk3D_zmax(self, *args)

    def phimin(self, *args):
        r"""
        phimin(Disk3D self, double phimin)
        phimin(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::phimin Get Disk3D::phimin_. 
        """
        return _std.Disk3D_phimin(self, *args)

    def phimax(self, *args):
        r"""
        phimax(Disk3D self, double phimax)
        phimax(Disk3D self) -> double
        Gyoto::Astrobj::Disk3D::phimax Get Disk3D::phimax_. 
        """
        return _std.Disk3D_phimax(self, *args)

    def Impact(self, ph, index, data):
        r"""
        Impact(Disk3D self, Photon ph, size_t index, AstrobjProperties data) -> int
        Gyoto::Astrobj::Disk3D::Impact Does a photon at these coordinates
        impact the object?

        Impact() checks whether a Photon impacts the object between two
        integration steps of the photon's trajectory (those two steps are
        photon->getCoord(index, coord1) and photon->getCoord(index+1,
        coord2)). Impact returns 1 if the photon impacts the object between
        these two steps, else 0. In many cases of geometrically thick obects,
        the implementation Astrobj::Standard::Impact() will be fine.

        Impact will call Generic::processHitQuantities() (which is virtual and
        may be re-implemented) to compute observable properties on demand: if
        the data pointer is non-NULL, the object will look in it for pointers
        to properties which apply to its kind. If a pointer to a property
        known to this object is present, then the property is computed and
        store at the pointed-to address. For instance, all objects know the
        "intensity" property. If data->intensity != NULL, the instensity is
        computed and stored in *data->intensity.

        If data is non-NULL and only in this case, processHitQuantities() will
        also call ph->transmit() to update the transmissions of the Photon
        (see Photon::transmit(size_t, double)). This must not be done if data
        is NULL (see Astrobj::Complex::Impact() for an explanation).

        Impact() may not extend the ph Worldline. The only two dates that are
        guaranteed to be defined are at indices index and index+1.

        Parameters:
        -----------

        ph:   Gyoto::Photon aimed at the object;

        index:  Index of the last photon step;

        data:  Pointer to a structure to hold the observables at impact.

        1 if impact, 0 if not. 
        """
        return _std.Disk3D_Impact(self, ph, index, data)

    def getVelocity(self, *args):
        r"""
        getVelocity(Disk3D self) -> double const
        getVelocity(Disk3D self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::Disk3D::getVelocity Get fluid 4-velocity at point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.Disk3D_getVelocity(self, *args)

    def __init__(self, *args):
        r"""
        __init__(Disk3D self) -> Disk3D
        __init__(Disk3D self, Disk3D arg2) -> Disk3D
        __init__(Disk3D self, Astrobj base) -> Disk3D
        __init__(Disk3D self, long address) -> Disk3D
        Gyoto::Astrobj::Disk3D::Disk3D Copy constructor. 
        """
        _std.Disk3D_swiginit(self, _std.new_Disk3D(*args))

# Register Disk3D in _std:
_std.Disk3D_swigregister(Disk3D)
Disk3D.properties = _std.cvar.Disk3D_properties
Disk3D.builtinPluginValue = _std.cvar.Disk3D_builtinPluginValue

class DynamicalDisk3D(Disk3D):
    r"""


    Geometrically thick optically thin disk read from a set of FITS files.

    This class describes a PatternDiskBB that evolves dynamically. It is
    described by a set of FITS files for different times. Its emission is
    blackbody.

    The disk is assumed to be described by a regular, constant in time,
    grid.

    The metric must be Kerr in BL coordinates.

    C++ includes: GyotoDynamicalDisk3D.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(DynamicalDisk3D self) -> Property
        Gyoto::Astrobj::DynamicalDisk3D::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.DynamicalDisk3D_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(DynamicalDisk3D self, vector_string plugname)
        plugins(DynamicalDisk3D self) -> vector_string
        """
        return _std.DynamicalDisk3D_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(DynamicalDisk3D self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.DynamicalDisk3D_isThreadSafe(self)

    def clone(self):
        r"""
        clone(DynamicalDisk3D self) -> DynamicalDisk3D
        Gyoto::Astrobj::DynamicalDisk3D::clone Cloner. 
        """
        return _std.DynamicalDisk3D_clone(self)
    __swig_destroy__ = _std.delete_DynamicalDisk3D

    def metric(self, *args):
        r"""
        metric(DynamicalDisk3D self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(DynamicalDisk3D self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::DynamicalDisk3D::metric Set the Metric gg_. 
        """
        return _std.DynamicalDisk3D_metric(self, *args)

    def file(self, *args):
        r"""
        file(DynamicalDisk3D self, std::string const & f)
        file(DynamicalDisk3D self) -> std::string
        Gyoto::Astrobj::DynamicalDisk3D::file
        """
        return _std.DynamicalDisk3D_file(self, *args)

    def tinit(self, *args):
        r"""
        tinit(DynamicalDisk3D self, double t)
        tinit(DynamicalDisk3D self) -> double
        Gyoto::Astrobj::DynamicalDisk3D::tinit
        """
        return _std.DynamicalDisk3D_tinit(self, *args)

    def dt(self, *args):
        r"""
        dt(DynamicalDisk3D self, double t)
        dt(DynamicalDisk3D self) -> double
        Gyoto::Astrobj::DynamicalDisk3D::dt
        """
        return _std.DynamicalDisk3D_dt(self, *args)

    def PLindex(self, *args):
        r"""
        PLindex(DynamicalDisk3D self, double t)
        PLindex(DynamicalDisk3D self) -> double
        Gyoto::Astrobj::DynamicalDisk3D::PLindex
        """
        return _std.DynamicalDisk3D_PLindex(self, *args)

    def floorTemperature(self, *args):
        r"""
        floorTemperature(DynamicalDisk3D self, double t)
        floorTemperature(DynamicalDisk3D self) -> double
        Gyoto::Astrobj::DynamicalDisk3D::floorTemperature
        """
        return _std.DynamicalDisk3D_floorTemperature(self, *args)

    def temperature(self, *args):
        r"""
        temperature(DynamicalDisk3D self, bool t)
        temperature(DynamicalDisk3D self) -> bool
        Gyoto::Astrobj::DynamicalDisk3D::temperature
        """
        return _std.DynamicalDisk3D_temperature(self, *args)

    def withVelocity(self, *args):
        r"""
        withVelocity(DynamicalDisk3D self, bool t)
        withVelocity(DynamicalDisk3D self) -> bool
        Gyoto::Astrobj::DynamicalDisk3D::withVelocity
        """
        return _std.DynamicalDisk3D_withVelocity(self, *args)

    def emission1date(self, nu_em, dsem, c_ph, c_obj):
        r"""
        emission1date(DynamicalDisk3D self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj) -> double
        Gyoto::Astrobj::DynamicalDisk3D::emission1date Compute emission at
        one grid date. 
        """
        return _std.DynamicalDisk3D_emission1date(self, nu_em, dsem, c_ph, c_obj)

    def emission(self, *args):
        r"""
        emission(DynamicalDisk3D self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(DynamicalDisk3D self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(DynamicalDisk3D self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.DynamicalDisk3D_emission(self, *args)

    def transmission1date(self, nu_em, dsem, c_ph, c_obj):
        r"""
        transmission1date(DynamicalDisk3D self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj) -> double
        Gyoto::Astrobj::DynamicalDisk3D::transmission1date Compute
        transmission at one grid date. 
        """
        return _std.DynamicalDisk3D_transmission1date(self, nu_em, dsem, c_ph, c_obj)

    def transmission(self, nu_em, dsem, cph, co):
        r"""
        transmission(DynamicalDisk3D self, double nu_em, double dsem, vector_double cph, double const [8] co) -> double
        Gyoto::Astrobj::Generic::transmission Obsolete, update your code. 
        """
        return _std.DynamicalDisk3D_transmission(self, nu_em, dsem, cph, co)

    def getVelocity(self, *args):
        r"""
        getVelocity(DynamicalDisk3D self, double const [4] pos, double [4] vel)
        getVelocity(DynamicalDisk3D self) -> double const *
        Gyoto::Astrobj::DynamicalDisk3D::getVelocity Get Disk3D::velocity_. 
        """
        return _std.DynamicalDisk3D_getVelocity(self, *args)

    def __init__(self, *args):
        r"""
        __init__(DynamicalDisk3D self) -> DynamicalDisk3D
        __init__(DynamicalDisk3D self, DynamicalDisk3D arg2) -> DynamicalDisk3D
        __init__(DynamicalDisk3D self, Astrobj base) -> DynamicalDisk3D
        __init__(DynamicalDisk3D self, long address) -> DynamicalDisk3D
        Gyoto::Astrobj::DynamicalDisk3D::DynamicalDisk3D Copy constructor. 
        """
        _std.DynamicalDisk3D_swiginit(self, _std.new_DynamicalDisk3D(*args))

# Register DynamicalDisk3D in _std:
_std.DynamicalDisk3D_swigregister(DynamicalDisk3D)
DynamicalDisk3D.properties = _std.cvar.DynamicalDisk3D_properties
DynamicalDisk3D.builtinPluginValue = _std.cvar.DynamicalDisk3D_builtinPluginValue

class DirectionalDisk(gyoto.core.ThinDisk):
    r"""


    Geometrically thin disk read from FITS file.

    This class describes a disk contained in the z=0 (equatorial) plane.
    The flux emitted at radius r, making an angle i with respect to the
    local normal, at frequency nu is given in a FITS file.

    C++ includes: GyotoDirectionalDisk.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(DirectionalDisk self) -> Property
        Gyoto::Astrobj::DirectionalDisk::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.DirectionalDisk_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(DirectionalDisk self, vector_string plugname)
        plugins(DirectionalDisk self) -> vector_string
        """
        return _std.DirectionalDisk_plugins(self, *args)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(DirectionalDisk self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::DirectionalDisk::fillProperty Output a single Property
        to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.DirectionalDisk_fillProperty(self, fmp, p)

    def metric(self, *args):
        r"""
        metric(DirectionalDisk self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(DirectionalDisk self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::DirectionalDisk::metric Set the Metric gg_. 
        """
        return _std.DirectionalDisk_metric(self, *args)

    def clone(self):
        r"""
        clone(DirectionalDisk self) -> DirectionalDisk
        Gyoto::Astrobj::DirectionalDisk::clone Cloner. 
        """
        return _std.DirectionalDisk_clone(self)
    __swig_destroy__ = _std.delete_DirectionalDisk

    def file(self, *args):
        r"""
        file(DirectionalDisk self, std::string const & f)
        file(DirectionalDisk self) -> std::string
        Gyoto::Astrobj::DirectionalDisk::file
        """
        return _std.DirectionalDisk_file(self, *args)

    def averageOverAngle(self, *args):
        r"""
        averageOverAngle(DirectionalDisk self, bool t)
        averageOverAngle(DirectionalDisk self) -> bool
        Gyoto::Astrobj::DirectionalDisk::averageOverAngle
        """
        return _std.DirectionalDisk_averageOverAngle(self, *args)

    def lampaltitude(self, *args):
        r"""
        lampaltitude(DirectionalDisk self, double zz)
        lampaltitude(DirectionalDisk self) -> double
        Gyoto::Astrobj::DirectionalDisk::lampaltitude
        """
        return _std.DirectionalDisk_lampaltitude(self, *args)

    def lampcutoffsinev(self, *args):
        r"""
        lampcutoffsinev(DirectionalDisk self, vector_double v)
        lampcutoffsinev(DirectionalDisk self) -> vector_double
        Gyoto::Astrobj::DirectionalDisk::lampcutoffsinev
        """
        return _std.DirectionalDisk_lampcutoffsinev(self, *args)

    def fitsRead(self, filename_):
        r"""fitsRead(DirectionalDisk self, std::string filename_)"""
        return _std.DirectionalDisk_fitsRead(self, filename_)

    def fitsWrite(self, filename_):
        r"""fitsWrite(DirectionalDisk self, std::string filename_)"""
        return _std.DirectionalDisk_fitsWrite(self, filename_)

    def setEmission(self, pattern):
        r"""
        setEmission(DirectionalDisk self, double * pattern)
        Gyoto::Astrobj::DirectionalDisk::setEmission Set
        DirectionalDisk::emission_.

        The pointer is copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.DirectionalDisk_setEmission(self, pattern)

    def radius(self, pattern):
        r"""
        radius(DirectionalDisk self, double * pattern)
        Gyoto::Astrobj::DirectionalDisk::radius
        """
        return _std.DirectionalDisk_radius(self, pattern)

    def copyIntensity(self, pattern=None, naxes=0):
        r"""
        copyIntensity(DirectionalDisk self, double const *const pattern=None, size_t const [3] naxes=0)
        Gyoto::Astrobj::DirectionalDisk::copyIntensity
        DirectionalDisk::emission_ is freed if not NULL, reallocated, and
        pattern is copied into emission_.

        Finally, DirectionalDisk::nnu_, DirectionalDisk::ni_, and
        DirectionalDisk::nr_ are set according to naxes.

        Parameters:
        -----------

        pattern:  Array to copy as emission_. May be NULL in which case
        emission_ is simply deallocated and set to NULL.

        naxes:  { nnu_, ni_, nr_ }. 
        """
        return _std.DirectionalDisk_copyIntensity(self, pattern, naxes)

    def getIntensity(self):
        r"""
        getIntensity(DirectionalDisk self) -> double const *
        Gyoto::Astrobj::DirectionalDisk::getIntensity Get
        DirectionalDisk::emission_. 
        """
        return _std.DirectionalDisk_getIntensity(self)

    def getIntensityNaxes(self, naxes):
        r"""
        getIntensityNaxes(DirectionalDisk self, size_t [3] naxes)
        Gyoto::Astrobj::DirectionalDisk::getIntensityNaxes Get
        DirectionalDisk::nnu_, DirectionalDisk::ni_, and DirectionalDisk::nr_.

        """
        return _std.DirectionalDisk_getIntensityNaxes(self, naxes)

    def copyGridRadius(self, pattern=None, nr=0):
        r"""
        copyGridRadius(DirectionalDisk self, double const *const pattern=None, size_t nr=0)
        Gyoto::Astrobj::DirectionalDisk::copyGridRadius
        """
        return _std.DirectionalDisk_copyGridRadius(self, pattern, nr)

    def getGridRadius(self):
        r"""
        getGridRadius(DirectionalDisk self) -> double const *
        Gyoto::Astrobj::DirectionalDisk::getGridRadius Get
        DirectionalDisk::radius_. 
        """
        return _std.DirectionalDisk_getGridRadius(self)

    def copyGridCosi(self, pattern=None, ni=0):
        r"""
        copyGridCosi(DirectionalDisk self, double const *const pattern=None, size_t ni=0)
        Gyoto::Astrobj::DirectionalDisk::copyGridCosi
        """
        return _std.DirectionalDisk_copyGridCosi(self, pattern, ni)

    def getGridCosi(self):
        r"""
        getGridCosi(DirectionalDisk self) -> double const *
        Gyoto::Astrobj::DirectionalDisk::getGridCosi Get
        DirectionalDisk::cosi_. 
        """
        return _std.DirectionalDisk_getGridCosi(self)

    def copyGridFreq(self, pattern=None, ni=0):
        r"""
        copyGridFreq(DirectionalDisk self, double const *const pattern=None, size_t ni=0)
        Gyoto::Astrobj::DirectionalDisk::copyGridFreq
        """
        return _std.DirectionalDisk_copyGridFreq(self, pattern, ni)

    def getGridFreq(self):
        r"""
        getGridFreq(DirectionalDisk self) -> double const *
        Gyoto::Astrobj::DirectionalDisk::getGridFreq Get
        DirectionalDisk::freq_. 
        """
        return _std.DirectionalDisk_getGridFreq(self)

    def emission(self, *args):
        r"""
        emission(DirectionalDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        emission(DirectionalDisk self, double [] Inu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph)
        emission(DirectionalDisk self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.DirectionalDisk_emission(self, *args)

    def __init__(self, *args):
        r"""
        __init__(DirectionalDisk self) -> DirectionalDisk
        __init__(DirectionalDisk self, DirectionalDisk arg2) -> DirectionalDisk
        __init__(DirectionalDisk self, Astrobj base) -> DirectionalDisk
        __init__(DirectionalDisk self, long address) -> DirectionalDisk
        Gyoto::Astrobj::DirectionalDisk::DirectionalDisk Copy constructor. 
        """
        _std.DirectionalDisk_swiginit(self, _std.new_DirectionalDisk(*args))

# Register DirectionalDisk in _std:
_std.DirectionalDisk_swigregister(DirectionalDisk)
DirectionalDisk.properties = _std.cvar.DirectionalDisk_properties
DirectionalDisk.builtinPluginValue = _std.cvar.DirectionalDisk_builtinPluginValue

class DeformedTorus(gyoto.core.StandardAstrobj):
    r"""Proxy of C++ Gyoto::Astrobj::DeformedTorus class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(DeformedTorus self) -> Property
        Gyoto::Astrobj::DeformedTorus::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.DeformedTorus_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(DeformedTorus self, vector_string plugname)
        plugins(DeformedTorus self) -> vector_string
        """
        return _std.DeformedTorus_plugins(self, *args)
    __swig_destroy__ = _std.delete_DeformedTorus

    def clone(self):
        r"""
        clone(DeformedTorus self) -> DeformedTorus
        Gyoto::Astrobj::DeformedTorus::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.DeformedTorus_clone(self)

    def spectrum(self, *args):
        r"""
        spectrum(DeformedTorus self, Gyoto::SmartPointer< Gyoto::Spectrum::Generic > arg2)
        spectrum(DeformedTorus self) -> Gyoto::SmartPointer< Gyoto::Spectrum::Generic >
        """
        return _std.DeformedTorus_spectrum(self, *args)

    def largeRadius(self, *args):
        r"""
        largeRadius(DeformedTorus self, double arg2)
        largeRadius(DeformedTorus self) -> double
        """
        return _std.DeformedTorus_largeRadius(self, *args)

    def beta(self, *args):
        r"""
        beta(DeformedTorus self, double arg2)
        beta(DeformedTorus self) -> double
        """
        return _std.DeformedTorus_beta(self, *args)

    def betaSt(self, *args):
        r"""
        betaSt(DeformedTorus self, double arg2)
        betaSt(DeformedTorus self) -> double
        """
        return _std.DeformedTorus_betaSt(self, *args)

    def eta(self, *args):
        r"""
        eta(DeformedTorus self, double arg2)
        eta(DeformedTorus self) -> double
        """
        return _std.DeformedTorus_eta(self, *args)

    def mode(self, *args):
        r"""
        mode(DeformedTorus self, unsigned long arg2)
        mode(DeformedTorus self) -> unsigned long
        """
        return _std.DeformedTorus_mode(self, *args)

    def perturbKind(self, *args):
        r"""
        perturbKind(DeformedTorus self, std::string const & arg2)
        perturbKind(DeformedTorus self) -> std::string
        """
        return _std.DeformedTorus_perturbKind(self, *args)

    def metric(self, *args):
        r"""
        metric(DeformedTorus self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(DeformedTorus self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::DeformedTorus::metric Set the Metric gg_. 
        """
        return _std.DeformedTorus_metric(self, *args)

    def __call__(self, coord):
        r"""__call__(DeformedTorus self, double const [4] coord) -> double"""
        return _std.DeformedTorus___call__(self, coord)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(DeformedTorus self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::DeformedTorus::getVelocity Fluid velocity field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.DeformedTorus_getVelocity(self, pos, vel)

    def emission(self, nuem, arg3, arg4, arg5):
        r"""
        emission(DeformedTorus self, double nuem, double arg3, vector_double arg4, double const * arg5) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.DeformedTorus_emission(self, nuem, arg3, arg4, arg5)

    def __init__(self, *args):
        r"""
        __init__(DeformedTorus self) -> DeformedTorus
        __init__(DeformedTorus self, DeformedTorus o) -> DeformedTorus
        __init__(DeformedTorus self, Astrobj base) -> DeformedTorus
        __init__(DeformedTorus self, long address) -> DeformedTorus
        Gyoto::Astrobj::DeformedTorus::DeformedTorus
        """
        _std.DeformedTorus_swiginit(self, _std.new_DeformedTorus(*args))

# Register DeformedTorus in _std:
_std.DeformedTorus_swigregister(DeformedTorus)
DeformedTorus.properties = _std.cvar.DeformedTorus_properties
DeformedTorus.builtinPluginValue = _std.cvar.DeformedTorus_builtinPluginValue

class EquatorialHotSpot(gyoto.core.ThinDisk, gyoto.core.Worldline):
    r"""Proxy of C++ Gyoto::Astrobj::EquatorialHotSpot class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(EquatorialHotSpot self) -> Property
        Gyoto::Astrobj::EquatorialHotSpot::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.EquatorialHotSpot_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(EquatorialHotSpot self, vector_string plugname)
        plugins(EquatorialHotSpot self) -> vector_string
        """
        return _std.EquatorialHotSpot_plugins(self, *args)

    def _delta(self, *args):
        r"""
        _delta(EquatorialHotSpot self, double const delta)
        _delta(EquatorialHotSpot self, double arg2, std::string const & unit)
        _delta(EquatorialHotSpot self) -> double
        _delta(EquatorialHotSpot self, std::string const & unit) -> double
        """
        return _std.EquatorialHotSpot__delta(self, *args)

    def _tMin(self, *args):
        r"""
        _tMin(EquatorialHotSpot self, double const tmin)
        _tMin(EquatorialHotSpot self, double arg2, std::string const & unit)
        _tMin(EquatorialHotSpot self) -> double
        _tMin(EquatorialHotSpot self, std::string const & unit) -> double
        """
        return _std.EquatorialHotSpot__tMin(self, *args)

    def _adaptive(self, *args):
        r"""
        _adaptive(EquatorialHotSpot self, bool mode)
        _adaptive(EquatorialHotSpot self) -> bool
        """
        return _std.EquatorialHotSpot__adaptive(self, *args)

    def _secondary(self, *args):
        r"""
        _secondary(EquatorialHotSpot self, bool sec)
        _secondary(EquatorialHotSpot self) -> bool
        """
        return _std.EquatorialHotSpot__secondary(self, *args)

    def _integ31(self, *args):
        r"""
        _integ31(EquatorialHotSpot self, bool sec)
        _integ31(EquatorialHotSpot self) -> bool
        """
        return _std.EquatorialHotSpot__integ31(self, *args)

    def _parallelTransport(self, *args):
        r"""
        _parallelTransport(EquatorialHotSpot self, bool sec)
        _parallelTransport(EquatorialHotSpot self) -> bool
        """
        return _std.EquatorialHotSpot__parallelTransport(self, *args)

    def _maxiter(self, *args):
        r"""
        _maxiter(EquatorialHotSpot self, size_t miter)
        _maxiter(EquatorialHotSpot self) -> size_t
        """
        return _std.EquatorialHotSpot__maxiter(self, *args)

    def _integrator(self, *args):
        r"""
        _integrator(EquatorialHotSpot self, std::string const & type)
        _integrator(EquatorialHotSpot self) -> std::string
        """
        return _std.EquatorialHotSpot__integrator(self, *args)

    def _deltaMin(self, *args):
        r"""
        _deltaMin(EquatorialHotSpot self) -> double
        _deltaMin(EquatorialHotSpot self, double h1)
        """
        return _std.EquatorialHotSpot__deltaMin(self, *args)

    def _absTol(self, *args):
        r"""
        _absTol(EquatorialHotSpot self, double arg2)
        _absTol(EquatorialHotSpot self) -> double
        """
        return _std.EquatorialHotSpot__absTol(self, *args)

    def _maxCrossEqplane(self, *args):
        r"""
        _maxCrossEqplane(EquatorialHotSpot self, double arg2)
        _maxCrossEqplane(EquatorialHotSpot self) -> double
        """
        return _std.EquatorialHotSpot__maxCrossEqplane(self, *args)

    def _relTol(self, *args):
        r"""
        _relTol(EquatorialHotSpot self, double arg2)
        _relTol(EquatorialHotSpot self) -> double
        """
        return _std.EquatorialHotSpot__relTol(self, *args)

    def _deltaMax(self, *args):
        r"""
        _deltaMax(EquatorialHotSpot self, double h1)
        _deltaMax(EquatorialHotSpot self) -> double
        """
        return _std.EquatorialHotSpot__deltaMax(self, *args)

    def _deltaMaxOverR(self, *args):
        r"""
        _deltaMaxOverR(EquatorialHotSpot self) -> double
        _deltaMaxOverR(EquatorialHotSpot self, double t)
        """
        return _std.EquatorialHotSpot__deltaMaxOverR(self, *args)

    def _initCoord(self, *args):
        r"""
        _initCoord(EquatorialHotSpot self) -> vector_double
        _initCoord(EquatorialHotSpot self, vector_double f)
        """
        return _std.EquatorialHotSpot__initCoord(self, *args)

    def _metric(self, *args):
        r"""
        _metric(EquatorialHotSpot self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        _metric(EquatorialHotSpot self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        """
        return _std.EquatorialHotSpot__metric(self, *args)

    def deltaMax(self, *args):
        r"""
        deltaMax(EquatorialHotSpot self) -> double
        deltaMax(EquatorialHotSpot self, double const [8] pos, double delta_max_external) -> double
        deltaMax(EquatorialHotSpot self, double h1)
        deltaMax(EquatorialHotSpot self, double [8] coord) -> double
        Gyoto::Astrobj::Generic::deltaMax Get max step constraint for adaptive
        integration.

        Parameters:
        -----------

        coord:  position

        max step to find this object reliably 
        """
        return _std.EquatorialHotSpot_deltaMax(self, *args)
    __swig_destroy__ = _std.delete_EquatorialHotSpot

    def clone(self):
        r"""
        clone(EquatorialHotSpot self) -> EquatorialHotSpot
        Gyoto::Astrobj::EquatorialHotSpot::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.EquatorialHotSpot_clone(self)

    def spotRadSize(self, *args):
        r"""
        spotRadSize(EquatorialHotSpot self, double t)
        spotRadSize(EquatorialHotSpot self) -> double
        Gyoto::Astrobj::EquatorialHotSpot::spotRadSize
        """
        return _std.EquatorialHotSpot_spotRadSize(self, *args)

    def beaming(self, *args):
        r"""
        beaming(EquatorialHotSpot self, std::string const & b)
        beaming(EquatorialHotSpot self) -> std::string
        Gyoto::Astrobj::EquatorialHotSpot::beaming
        """
        return _std.EquatorialHotSpot_beaming(self, *args)

    def beamAngle(self, *args):
        r"""
        beamAngle(EquatorialHotSpot self, double t)
        beamAngle(EquatorialHotSpot self) -> double
        Gyoto::Astrobj::EquatorialHotSpot::beamAngle
        """
        return _std.EquatorialHotSpot_beamAngle(self, *args)

    def magneticConfiguration(self, *args):
        r"""
        magneticConfiguration(EquatorialHotSpot self, std::string config)
        magneticConfiguration(EquatorialHotSpot self) -> std::string
        Gyoto::Astrobj::EquatorialHotSpot::magneticConfiguration
        """
        return _std.EquatorialHotSpot_magneticConfiguration(self, *args)

    def getMass(self):
        r"""
        getMass(EquatorialHotSpot self) -> double
        Gyoto::Astrobj::EquatorialHotSpot::getMass Get mass of particule. 
        """
        return _std.EquatorialHotSpot_getMass(self)

    def metric(self, *args):
        r"""
        metric(EquatorialHotSpot self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(EquatorialHotSpot self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::EquatorialHotSpot::metric Set the Metric gg_. 
        """
        return _std.EquatorialHotSpot_metric(self, *args)

    def setInitialCondition(self, coord):
        r"""
        setInitialCondition(EquatorialHotSpot self, double [8] coord)
        Gyoto::Worldline::setInitialCondition Set or re-set the initial
        condition prior to integration.

        Parameters:
        -----------

        gg:   Gyoto::SmartPointer to the Gyoto::Metric in this universe;

        coord:  8 element array containing the initial condition, i.e. the
        4-position and the 4-velocity of the Photon at the receiving end;

        dir:  direction: 1 for future, -1 for past. 
        """
        return _std.EquatorialHotSpot_setInitialCondition(self, coord)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(EquatorialHotSpot self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::EquatorialHotSpot::getVelocity Get fluid 4-velocity
        at point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.
        getVelocity() should work at some distance from the equatorial plane.
        The default implementation calls Metric::Generic::circularVelocity().

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.EquatorialHotSpot_getVelocity(self, pos, vel)

    def emission(self, nu_em, dsem, arg4, coord_obj):
        r"""
        emission(EquatorialHotSpot self, double nu_em, double dsem, vector_double arg4, double const [8] coord_obj) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.EquatorialHotSpot_emission(self, nu_em, dsem, arg4, coord_obj)

    def radiativeQ(self, *args):
        r"""
        radiativeQ(EquatorialHotSpot self, double * Inu, double * Qnu, double * Unu, double * Vnu, Eigen::Matrix4d * Onu, double const * nuem, size_t nbnu, double dsem, vector_double cph, double const * co)
        radiativeQ(EquatorialHotSpot self, double [] Inu, double [] Taunu, double const [] nu_ems, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj)
        Gyoto::Astrobj::Generic::radiativeQ
        """
        return _std.EquatorialHotSpot_radiativeQ(self, *args)

    def setParameter(self, name, content, unit):
        r"""
        setParameter(EquatorialHotSpot self, std::string name, std::string content, std::string unit) -> int
        Gyoto::Object::setParameter Set parameter by Property (and name)

        This function is used when parsing an XML description, if Property (
        p) of this name is found (i.e. either p.name or p.name_false is equal
        to name). Implementation should fall-back on calling the direct's
        parent implementation:

        Parameters:
        -----------

        p:   Property that matches name ( p.name == name or p.name_false ==
        name)

        name:  XML name of the parameter (XML entity)

        content:  string representation of the value

        unit:  string representation of the unit 
        """
        return _std.EquatorialHotSpot_setParameter(self, name, content, unit)

    def setParameters(self, fmp):
        r"""
        setParameters(EquatorialHotSpot self, FactoryMessenger fmp)
        Gyoto::Astrobj::EquatorialHotSpot::setParameters Main loop in
        Subcontractor_t function.

        The Subcontractor_t function for each Astrobj kind should look
        somewhat like this (templated as
        Gyoto::Astrobj::Subcontractor<MyKind>):

        Each object kind should implement setParameter(string name, string
        content, string unit) to interpret the individual XML elements.
        setParameters() can be overloaded in case the specific Astrobj class
        needs low level access to the FactoryMessenger. See
        UniformSphere::setParameters(). 
        """
        return _std.EquatorialHotSpot_setParameters(self, fmp)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(EquatorialHotSpot self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::EquatorialHotSpot::fillProperty Output a single
        Property to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.EquatorialHotSpot_fillProperty(self, fmp, p)

    def __init__(self, *args):
        r"""
        __init__(EquatorialHotSpot self) -> EquatorialHotSpot
        __init__(EquatorialHotSpot self, EquatorialHotSpot o) -> EquatorialHotSpot
        __init__(EquatorialHotSpot self, Astrobj base) -> EquatorialHotSpot
        __init__(EquatorialHotSpot self, long address) -> EquatorialHotSpot
        Gyoto::Astrobj::EquatorialHotSpot::EquatorialHotSpot
        """
        _std.EquatorialHotSpot_swiginit(self, _std.new_EquatorialHotSpot(*args))

# Register EquatorialHotSpot in _std:
_std.EquatorialHotSpot_swigregister(EquatorialHotSpot)
EquatorialHotSpot.properties = _std.cvar.EquatorialHotSpot_properties
EquatorialHotSpot.builtinPluginValue = _std.cvar.EquatorialHotSpot_builtinPluginValue

class XillverReflection(gyoto.core.ThinDisk, gyoto.core.Listener):
    r"""


    The illumination table specifies how the thin disk is illuminated
    while the reflection table deduces from that the reflected spectrum as
    computed by Javier Garcia's XILLVER code.

    C++ includes: GyotoXillverReflection.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(XillverReflection self) -> Property
        Gyoto::Astrobj::XillverReflection::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.XillverReflection_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(XillverReflection self, vector_string plugname)
        plugins(XillverReflection self) -> vector_string
        """
        return _std.XillverReflection_plugins(self, *args)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(XillverReflection self, FactoryMessenger fmp, Property p)
        Gyoto::Astrobj::XillverReflection::fillProperty Output a single
        Property to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.XillverReflection_fillProperty(self, fmp, p)

    def clone(self):
        r"""
        clone(XillverReflection self) -> XillverReflection
        Gyoto::Astrobj::XillverReflection::clone Cloner. 
        """
        return _std.XillverReflection_clone(self)
    __swig_destroy__ = _std.delete_XillverReflection

    def timelampphizero(self, *args):
        r"""
        timelampphizero(XillverReflection self, double tt)
        timelampphizero(XillverReflection self) -> double
        Gyoto::Astrobj::XillverReflection::timelampphizero
        """
        return _std.XillverReflection_timelampphizero(self, *args)

    def lampradius(self, *args):
        r"""
        lampradius(XillverReflection self, double rr)
        lampradius(XillverReflection self) -> double
        Gyoto::Astrobj::XillverReflection::lampradius
        """
        return _std.XillverReflection_lampradius(self, *args)

    def fileillumination(self, *args):
        r"""
        fileillumination(XillverReflection self, std::string const & f)
        fileillumination(XillverReflection self) -> std::string
        Gyoto::Astrobj::XillverReflection::fileillumination
        """
        return _std.XillverReflection_fileillumination(self, *args)

    def filereflection(self, *args):
        r"""
        filereflection(XillverReflection self, std::string const & f)
        filereflection(XillverReflection self) -> std::string
        Gyoto::Astrobj::XillverReflection::filereflection
        """
        return _std.XillverReflection_filereflection(self, *args)

    def averageOverAngle(self, *args):
        r"""
        averageOverAngle(XillverReflection self, bool t)
        averageOverAngle(XillverReflection self) -> bool
        Gyoto::Astrobj::XillverReflection::averageOverAngle
        """
        return _std.XillverReflection_averageOverAngle(self, *args)

    def fitsReadIllum(self, filename):
        r"""fitsReadIllum(XillverReflection self, std::string filename)"""
        return _std.XillverReflection_fitsReadIllum(self, filename)

    def fitsWriteIllum(self, filename):
        r"""fitsWriteIllum(XillverReflection self, std::string filename)"""
        return _std.XillverReflection_fitsWriteIllum(self, filename)

    def fitsReadRefl(self, filename):
        r"""fitsReadRefl(XillverReflection self, std::string filename)"""
        return _std.XillverReflection_fitsReadRefl(self, filename)

    def fitsWriteRefl(self, filename):
        r"""fitsWriteRefl(XillverReflection self, std::string filename)"""
        return _std.XillverReflection_fitsWriteRefl(self, filename)

    def setIllumination(self, pattern):
        r"""
        setIllumination(XillverReflection self, double * pattern)
        Gyoto::Astrobj::XillverReflection::setIllumination The pointer is
        copied directly, not the array content.

        This is a low-level function. Beware that: previously allocated array
        will not be freed automatically;

        array attached when the destructor is called will be freed. 
        """
        return _std.XillverReflection_setIllumination(self, pattern)

    def setReflection(self, pattern):
        r"""
        setReflection(XillverReflection self, double * pattern)
        Gyoto::Astrobj::XillverReflection::setReflection
        """
        return _std.XillverReflection_setReflection(self, pattern)

    def copyIllumination(self, pattern=None, naxes=0):
        r"""
        copyIllumination(XillverReflection self, double const *const pattern=None, size_t const [2] naxes=0)
        Gyoto::Astrobj::XillverReflection::copyIllumination
        XillverReflection::emission_ is freed if not NULL, reallocated, and
        pattern is copied into emission_.

        Finally, XillverReflection::nnu_, XillverReflection::ni_, and
        XillverReflection::nsg_ are set according to naxes.

        Parameters:
        -----------

        pattern:  Array to copy as emission_. May be NULL in which case
        emission_ is simply deallocated and set to NULL.

        naxes:  { nnu_, ni_, nsg_ }. 
        """
        return _std.XillverReflection_copyIllumination(self, pattern, naxes)

    def getIllumination(self):
        r"""
        getIllumination(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getIllumination
        """
        return _std.XillverReflection_getIllumination(self)

    def getIlluminationNaxes(self, naxes):
        r"""
        getIlluminationNaxes(XillverReflection self, size_t [2] naxes)
        Gyoto::Astrobj::XillverReflection::getIlluminationNaxes Get
        XillverReflection::nr_, XillverReflection::nphi_. 
        """
        return _std.XillverReflection_getIlluminationNaxes(self, naxes)

    def copyReflection(self, pattern=None, naxes=0):
        r"""
        copyReflection(XillverReflection self, double const *const pattern=None, size_t const [3] naxes=0)
        Gyoto::Astrobj::XillverReflection::copyReflection
        """
        return _std.XillverReflection_copyReflection(self, pattern, naxes)

    def getReflection(self):
        r"""
        getReflection(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getReflection
        """
        return _std.XillverReflection_getReflection(self)

    def getReflectionNaxes(self, naxes):
        r"""
        getReflectionNaxes(XillverReflection self, size_t [3] naxes)
        Gyoto::Astrobj::XillverReflection::getReflectionNaxes Get
        XillverReflection::nnu_, XillverReflection::ni_,
        XillverReflection::nxi_. 
        """
        return _std.XillverReflection_getReflectionNaxes(self, naxes)

    def copyGridReflLogxi(self, pattern=None, nxi=0):
        r"""
        copyGridReflLogxi(XillverReflection self, double const *const pattern=None, size_t nxi=0)
        Gyoto::Astrobj::XillverReflection::copyGridReflLogxi
        """
        return _std.XillverReflection_copyGridReflLogxi(self, pattern, nxi)

    def getGridReflLogxi(self):
        r"""
        getGridReflLogxi(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getGridReflLogxi Get
        XillverReflection::logxi_. 
        """
        return _std.XillverReflection_getGridReflLogxi(self)

    def copyGridReflIncl(self, pattern=None, ni=0):
        r"""
        copyGridReflIncl(XillverReflection self, double const *const pattern=None, size_t ni=0)
        Gyoto::Astrobj::XillverReflection::copyGridReflIncl
        """
        return _std.XillverReflection_copyGridReflIncl(self, pattern, ni)

    def getGridReflIncl(self):
        r"""
        getGridReflIncl(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getGridReflIncl Get
        XillverReflection::incl_. 
        """
        return _std.XillverReflection_getGridReflIncl(self)

    def copyGridReflFreq(self, pattern=None, nnu=0):
        r"""
        copyGridReflFreq(XillverReflection self, double const *const pattern=None, size_t nnu=0)
        Gyoto::Astrobj::XillverReflection::copyGridReflFreq
        """
        return _std.XillverReflection_copyGridReflFreq(self, pattern, nnu)

    def getGridReflFreq(self):
        r"""
        getGridReflFreq(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getGridReflFreq Get
        XillverReflection::freq_. 
        """
        return _std.XillverReflection_getGridReflFreq(self)

    def copyGridIllumRadius(self, pattern=None, nr=0):
        r"""
        copyGridIllumRadius(XillverReflection self, double const *const pattern=None, size_t nr=0)
        Gyoto::Astrobj::XillverReflection::copyGridIllumRadius
        """
        return _std.XillverReflection_copyGridIllumRadius(self, pattern, nr)

    def getGridIllumRadius(self):
        r"""
        getGridIllumRadius(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getGridIllumRadius Get
        XillverReflection::radius_. 
        """
        return _std.XillverReflection_getGridIllumRadius(self)

    def copyGridIllumPhi(self, pattern=None, nphi=0):
        r"""
        copyGridIllumPhi(XillverReflection self, double const *const pattern=None, size_t nphi=0)
        Gyoto::Astrobj::XillverReflection::copyGridIllumPhi
        """
        return _std.XillverReflection_copyGridIllumPhi(self, pattern, nphi)

    def getGridIllumPhi(self):
        r"""
        getGridIllumPhi(XillverReflection self) -> double const *
        Gyoto::Astrobj::XillverReflection::getGridIllumPhi Get
        XillverReflection::phi_. 
        """
        return _std.XillverReflection_getGridIllumPhi(self)

    def emission(self, nu_em, dsem, _ph, _obj=0):
        r"""
        emission(XillverReflection self, double nu_em, double dsem, vector_double _ph, double const [8] _obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.XillverReflection_emission(self, nu_em, dsem, _ph, _obj)

    def updateSpin(self):
        r"""
        updateSpin(XillverReflection self)
        Gyoto::Astrobj::XillverReflection::updateSpin
        """
        return _std.XillverReflection_updateSpin(self)

    def tell(self, msg):
        r"""
        tell(XillverReflection self, Teller msg)
        Gyoto::Astrobj::XillverReflection::tell This is how a Teller tells.

        A teller will basically call listener->tell(this).

        Parameters:
        -----------

        msg:  Teller* the Teller who is telling... Useful if the Listener
        listens to several Tellers. 
        """
        return _std.XillverReflection_tell(self, msg)

    def metric(self, *args):
        r"""
        metric(XillverReflection self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(XillverReflection self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::XillverReflection::metric Set the Metric gg_. 
        """
        return _std.XillverReflection_metric(self, *args)

    def __init__(self, *args):
        r"""
        __init__(XillverReflection self) -> XillverReflection
        __init__(XillverReflection self, XillverReflection o) -> XillverReflection
        __init__(XillverReflection self, Astrobj base) -> XillverReflection
        __init__(XillverReflection self, long address) -> XillverReflection
        Gyoto::Astrobj::XillverReflection::XillverReflection Copy constructor.

        """
        _std.XillverReflection_swiginit(self, _std.new_XillverReflection(*args))

# Register XillverReflection in _std:
_std.XillverReflection_swigregister(XillverReflection)
XillverReflection.properties = _std.cvar.XillverReflection_properties
XillverReflection.builtinPluginValue = _std.cvar.XillverReflection_builtinPluginValue

class Jet(gyoto.core.StandardAstrobj, gyoto.core.Listener):
    r"""


    Simple jet model with thermal or kappa-distribution synchrotron
    emission from Pandya et al. (2016)

    This class implements a jet defined as the volume contained between
    the two conical surfaces defined by angles jetInnerOpeningAngle_ and
    jetOuterOpeningAngle_, with apex located on the black hole rotation
    axis at altitude jetBaseHeight_ in units of M.

    The Lorentz factor is assumed constant at gammaJet_. The electron
    number density at the base of the jet is baseNumberDensity_cgs_, its
    z-evolution is dedictated by mass conservation. The electron
    temperature is baseTemperature_, its z-evolution is assumed to follow
    a power law z^temperatureSlope_. The magnetic field amplitude is
    defined by the magnetization parameter, magnetizationParameter_.

    The jet emits synchrotron radiation, assuming that the electrons
    follow a thermal or kappa distribution, ie the smooth gluing of a
    thermal distribution at low electron Lorentz factor, to a power-law
    distribution at high electron Lorentz factor. This distribution, as
    well as the resulting emission and absorption coefficients are taken
    from: Pandya et al., ApJ, 822, 34 (2016), section 5.3.3

    C++ includes: GyotoJet.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Jet self) -> Property
        Gyoto::Astrobj::Jet::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Jet_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Jet self, vector_string plugname)
        plugins(Jet self) -> vector_string
        """
        return _std.Jet_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(Jet self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.Jet_isThreadSafe(self)

    def clone(self):
        r"""
        clone(Jet self) -> Jet
        Gyoto::Astrobj::Jet::clone Cloner. 
        """
        return _std.Jet_clone(self)
    __swig_destroy__ = _std.delete_Jet

    def jetOuterOpeningAngle(self, *args):
        r"""
        jetOuterOpeningAngle(Jet self, double ang)
        jetOuterOpeningAngle(Jet self) -> double
        Gyoto::Astrobj::Jet::jetOuterOpeningAngle
        """
        return _std.Jet_jetOuterOpeningAngle(self, *args)

    def jetInnerOpeningAngle(self, *args):
        r"""
        jetInnerOpeningAngle(Jet self, double ang)
        jetInnerOpeningAngle(Jet self) -> double
        Gyoto::Astrobj::Jet::jetInnerOpeningAngle
        """
        return _std.Jet_jetInnerOpeningAngle(self, *args)

    def jetBaseHeight(self, *args):
        r"""
        jetBaseHeight(Jet self, double hh)
        jetBaseHeight(Jet self) -> double
        Gyoto::Astrobj::Jet::jetBaseHeight
        """
        return _std.Jet_jetBaseHeight(self, *args)

    def gammaJet(self, *args):
        r"""
        gammaJet(Jet self, double gam)
        gammaJet(Jet self) -> double
        Gyoto::Astrobj::Jet::gammaJet
        """
        return _std.Jet_gammaJet(self, *args)

    def jetVphiOverVr(self, *args):
        r"""
        jetVphiOverVr(Jet self, double alpha)
        jetVphiOverVr(Jet self) -> double
        Gyoto::Astrobj::Jet::jetVphiOverVr
        """
        return _std.Jet_jetVphiOverVr(self, *args)

    def baseNumberDensity(self, *args):
        r"""
        baseNumberDensity(Jet self) -> double
        baseNumberDensity(Jet self, std::string const & unit) -> double
        baseNumberDensity(Jet self, double ne)
        baseNumberDensity(Jet self, double dens, std::string const & unit)
        Gyoto::Astrobj::Jet::baseNumberDensity
        """
        return _std.Jet_baseNumberDensity(self, *args)

    def baseTemperature(self, *args):
        r"""
        baseTemperature(Jet self, double tt)
        baseTemperature(Jet self) -> double
        Gyoto::Astrobj::Jet::baseTemperature
        """
        return _std.Jet_baseTemperature(self, *args)

    def temperatureSlope(self, *args):
        r"""
        temperatureSlope(Jet self, double ss)
        temperatureSlope(Jet self) -> double
        Gyoto::Astrobj::Jet::temperatureSlope
        """
        return _std.Jet_temperatureSlope(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(Jet self, double rr)
        magnetizationParameter(Jet self) -> double
        Gyoto::Astrobj::Jet::magnetizationParameter
        """
        return _std.Jet_magnetizationParameter(self, *args)

    def kappaIndex(self, *args):
        r"""
        kappaIndex(Jet self, double index)
        kappaIndex(Jet self) -> double
        Gyoto::Astrobj::Jet::kappaIndex
        """
        return _std.Jet_kappaIndex(self, *args)

    def metric(self, *args):
        r"""
        metric(Jet self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(Jet self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::Jet::metric Set the Metric gg_. 
        """
        return _std.Jet_metric(self, *args)

    def __call__(self, coord):
        r"""__call__(Jet self, double const [4] coord) -> double"""
        return _std.Jet___call__(self, coord)

    def radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj=0):
        r"""
        radiativeQ(Jet self, double [] Inu, double [] Taunu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        Gyoto::Astrobj::Generic::radiativeQ Compute the increment of Stokes
        parameters and transmission matrix. Polarised version of RadiaveQ.

        First function to be called for radiative quantities. If exist, i.e.
        implemented in an Astrobj, return the Stokes parameters emitted by the
        small volume of length dsem.

        Warning : The basis used to determine the Stokes coefficients is
        different from the observer parallel transported polarisation basis.
        One should use getChi function to compute the angle between these two
        basis.

        The non polarized case must also be implemented in this function to
        avoid error.

        See example in SimplePolarStar.C.

        Parameters:
        -----------

        Inu[nbnu]:  Output increment of intensity (must be set to a previously
        allocated array of doubles)

        Qnu[nbnu]:  Output increment of Stokes parameter Q (must be set to a
        previously allocated array of doubles)

        Unu[nbnu]:  Output increment of Stokes parameter U (must be set to a
        previously allocated array of doubles)

        Vnu[nbnu]:  Output increment of Stokes parameter V (must be set to a
        previously allocated array of doubles)

        Onu[nbnu]:  Output transmission (Eigen) matrix (must be set to a
        previously allocated array of Matrix4d)

        nu_em[nbnu]:  Frequencies at emission

        nbnu:  Size of nu_em[], Inu[], Qnu[], Unu[], Vnu[], and Onu[]

        dsem:  Length over which to integrate inside the object

        cph:   Photon coordinate

        co:  Emitter coordinate at current photon position

        Increment of the Stokes parameters (I,Q,U,V) and local Transmission
        matrix (O). 
        """
        return _std.Jet_radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(Jet self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::Jet::getVelocity Fluid velocity field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.Jet_getVelocity(self, pos, vel)

    def __init__(self, *args):
        r"""
        __init__(Jet self) -> Jet
        __init__(Jet self, Jet arg2) -> Jet
        __init__(Jet self, Astrobj base) -> Jet
        __init__(Jet self, long address) -> Jet
        Gyoto::Astrobj::Jet::Jet Copy constructor. 
        """
        _std.Jet_swiginit(self, _std.new_Jet(*args))

# Register Jet in _std:
_std.Jet_swigregister(Jet)
Jet.properties = _std.cvar.Jet_properties
Jet.builtinPluginValue = _std.cvar.Jet_builtinPluginValue

class Blob(Star):
    r"""


    Blob of plasma following a Star orbit, emitting synchrotron, with
    Gaussian time-evolving density and temperature.

    C++ includes: GyotoBlob.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Blob self) -> Property
        Gyoto::Astrobj::Blob::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Blob_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Blob self, vector_string plugname)
        plugins(Blob self) -> vector_string
        """
        return _std.Blob_plugins(self, *args)

    def clone(self):
        r"""
        clone(Blob self) -> Blob
        Gyoto::Astrobj::Blob::clone Cloner.

        This method must be implemented by the various Astrobj::Generic
        subclasses in order to support cloning:

        Cloning is necessary for multi-threading, recommended for interaction
        with the Yorick plug-in etc.

        Implementing it is very straightforward, as long as the copy
        constructor Generic(const Generic& ) has been implemented: 
        """
        return _std.Blob_clone(self)
    __swig_destroy__ = _std.delete_Blob

    def electronDistribution(self, *args):
        r"""
        electronDistribution(Blob self, std::string const & kind)
        electronDistribution(Blob self) -> std::string
        Gyoto::Astrobj::Blob::electronDistribution
        """
        return _std.Blob_electronDistribution(self, *args)

    def className(self):
        r"""
        className(Blob self) -> std::string
        Gyoto::Astrobj::Blob::className "Blob" 
        """
        return _std.Blob_className(self)

    def className_l(self):
        r"""
        className_l(Blob self) -> std::string
        Gyoto::Astrobj::Blob::className_l "inflate_star" 
        """
        return _std.Blob_className_l(self)

    def numberDensity(self, *args):
        r"""
        numberDensity(Blob self) -> double
        numberDensity(Blob self, std::string const & unit) -> double
        numberDensity(Blob self, double ne)
        numberDensity(Blob self, double dens, std::string const & unit)
        Gyoto::Astrobj::Blob::numberDensity
        """
        return _std.Blob_numberDensity(self, *args)

    def temperature(self, *args):
        r"""
        temperature(Blob self) -> double
        temperature(Blob self, double tt)
        Gyoto::Astrobj::Blob::temperature
        """
        return _std.Blob_temperature(self, *args)

    def timeRef(self, *args):
        r"""
        timeRef(Blob self) -> double
        timeRef(Blob self, std::string const & unit) -> double
        timeRef(Blob self, double tt)
        timeRef(Blob self, double tt, std::string const & unit)
        Gyoto::Astrobj::Blob::timeRef
        """
        return _std.Blob_timeRef(self, *args)

    def timeSigma(self, *args):
        r"""
        timeSigma(Blob self) -> double
        timeSigma(Blob self, std::string const & unit) -> double
        timeSigma(Blob self, double tt)
        timeSigma(Blob self, double tt, std::string const & unit)
        Gyoto::Astrobj::Blob::timeSigma
        """
        return _std.Blob_timeSigma(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(Blob self, double rr)
        magnetizationParameter(Blob self) -> double
        Gyoto::Astrobj::Blob::magnetizationParameter
        """
        return _std.Blob_magnetizationParameter(self, *args)

    def kappaIndex(self, *args):
        r"""
        kappaIndex(Blob self) -> double
        kappaIndex(Blob self, double arg2)
        Gyoto::Astrobj::Blob::kappaIndex
        """
        return _std.Blob_kappaIndex(self, *args)

    def magneticConfiguration(self, *args):
        r"""
        magneticConfiguration(Blob self, std::string config)
        magneticConfiguration(Blob self) -> std::string
        Gyoto::Astrobj::Blob::magneticConfiguration
        """
        return _std.Blob_magneticConfiguration(self, *args)

    def radiativeQ(self, *args):
        r"""
        radiativeQ(Blob self, double [] Inu, double [] Taunu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        radiativeQ(Blob self, double [] Inu, double [] Qnu, double [] Unu, double [] Vnu, Eigen::Matrix4d [] Onu, double const [] nu_ems, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj)
        Gyoto::Astrobj::Generic::radiativeQ
        """
        return _std.Blob_radiativeQ(self, *args)

    def __init__(self, *args):
        r"""
        __init__(Blob self) -> Blob
        __init__(Blob self, Blob orig) -> Blob
        __init__(Blob self, Astrobj base) -> Blob
        __init__(Blob self, long address) -> Blob
        Gyoto::Astrobj::Blob::Blob Copy constructor. 
        """
        _std.Blob_swiginit(self, _std.new_Blob(*args))

# Register Blob in _std:
_std.Blob_swigregister(Blob)
Blob.properties = _std.cvar.Blob_properties
Blob.builtinPluginValue = _std.cvar.Blob_builtinPluginValue

class Plasmoid(gyoto.core.FitsRW, UniformSphere):
    r"""


    Plasmoid Shere of plasma emitting synchrotron, following a trajectory
    specified in getVelocity (non-geodesic a priori)

    C++ includes: GyotoPlasmoid.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Plasmoid self) -> Property
        Gyoto::Astrobj::Plasmoid::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Plasmoid_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Plasmoid self, vector_string plugname)
        plugins(Plasmoid self) -> vector_string
        """
        return _std.Plasmoid_plugins(self, *args)

    def clone(self):
        r"""
        clone(Plasmoid self) -> Plasmoid
        Gyoto::Astrobj::Plasmoid::clone
        """
        return _std.Plasmoid_clone(self)
    __swig_destroy__ = _std.delete_Plasmoid

    def className(self):
        r"""
        className(Plasmoid self) -> std::string
        Gyoto::Astrobj::Plasmoid::className "Plasmoid" 
        """
        return _std.Plasmoid_className(self)

    def className_l(self):
        r"""
        className_l(Plasmoid self) -> std::string
        Gyoto::Astrobj::Plasmoid::className_l "inflate_star" 
        """
        return _std.Plasmoid_className_l(self)

    def motionType(self, type):
        r"""
        motionType(Plasmoid self, std::string const type)
        Gyoto::Astrobj::Plasmoid::motionType
        """
        return _std.Plasmoid_motionType(self, type)

    def metric(self, *args):
        r"""
        metric(Plasmoid self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(Plasmoid self, Gyoto::SmartPointer< Gyoto::Metric::Generic > gg)
        Gyoto::Astrobj::Plasmoid::metric Set the Metric gg_. 
        """
        return _std.Plasmoid_metric(self, *args)

    def initPosition(self, *args):
        r"""
        initPosition(Plasmoid self, vector_double v)
        initPosition(Plasmoid self) -> vector_double
        Gyoto::Astrobj::Plasmoid::initPosition
        """
        return _std.Plasmoid_initPosition(self, *args)

    def initVelocity(self, *args):
        r"""
        initVelocity(Plasmoid self, vector_double v)
        initVelocity(Plasmoid self) -> vector_double
        Gyoto::Astrobj::Plasmoid::initVelocity
        """
        return _std.Plasmoid_initVelocity(self, *args)

    def initCoord(self, *args):
        r"""
        initCoord(Plasmoid self, vector_double v)
        initCoord(Plasmoid self) -> vector_double
        Gyoto::Astrobj::Plasmoid::initCoord
        """
        return _std.Plasmoid_initCoord(self, *args)

    def radiusMax(self, *args):
        r"""
        radiusMax(Plasmoid self, double rr)
        radiusMax(Plasmoid self) -> double
        Gyoto::Astrobj::Plasmoid::radiusMax
        """
        return _std.Plasmoid_radiusMax(self, *args)

    def Radius(self, vary):
        r"""
        Radius(Plasmoid self, std::string vary)
        Gyoto::Astrobj::Plasmoid::Radius
        """
        return _std.Plasmoid_Radius(self, vary)

    def radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj=0):
        r"""
        radiativeQ(Plasmoid self, double [] Inu, double [] Taunu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        Gyoto::Astrobj::Generic::radiativeQ Compute the increment of Stokes
        parameters and transmission matrix. Polarised version of RadiaveQ.

        First function to be called for radiative quantities. If exist, i.e.
        implemented in an Astrobj, return the Stokes parameters emitted by the
        small volume of length dsem.

        Warning : The basis used to determine the Stokes coefficients is
        different from the observer parallel transported polarisation basis.
        One should use getChi function to compute the angle between these two
        basis.

        The non polarized case must also be implemented in this function to
        avoid error.

        See example in SimplePolarStar.C.

        Parameters:
        -----------

        Inu[nbnu]:  Output increment of intensity (must be set to a previously
        allocated array of doubles)

        Qnu[nbnu]:  Output increment of Stokes parameter Q (must be set to a
        previously allocated array of doubles)

        Unu[nbnu]:  Output increment of Stokes parameter U (must be set to a
        previously allocated array of doubles)

        Vnu[nbnu]:  Output increment of Stokes parameter V (must be set to a
        previously allocated array of doubles)

        Onu[nbnu]:  Output transmission (Eigen) matrix (must be set to a
        previously allocated array of Matrix4d)

        nu_em[nbnu]:  Frequencies at emission

        nbnu:  Size of nu_em[], Inu[], Qnu[], Unu[], Vnu[], and Onu[]

        dsem:  Length over which to integrate inside the object

        cph:   Photon coordinate

        co:  Emitter coordinate at current photon position

        Increment of the Stokes parameters (I,Q,U,V) and local Transmission
        matrix (O). 
        """
        return _std.Plasmoid_radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj)

    def getCartesian(self, dates, n_dates, x, y, z, xprime=None, yprime=None, zprime=None):
        r"""
        getCartesian(Plasmoid self, double const *const dates, size_t const n_dates, double *const x, double *const y, double *const z, double *const xprime=None, double *const yprime=None, double *const zprime=None)
        Gyoto::Astrobj::Plasmoid::getCartesian Yield the Cartesian coordinates
        of the center of the sphere.

        If the coordinate system of the Metric object is spherical, use a
        trivial conversion. 
        """
        return _std.Plasmoid_getCartesian(self, dates, n_dates, x, y, z, xprime, yprime, zprime)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(Plasmoid self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::Plasmoid::getVelocity Yield velocity of the center of
        the sphere. 
        """
        return _std.Plasmoid_getVelocity(self, pos, vel)

    def Impact(self, ph, index, data=None):
        r"""
        Impact(Plasmoid self, Photon ph, size_t index, AstrobjProperties data=None) -> int
        Gyoto::Astrobj::Plasmoid::Impact Does a photon at these coordinates
        impact the object?

        Impact() checks whether a Photon impacts the object between two
        integration steps of the photon's trajectory (those two steps are
        photon->getCoord(index, coord1) and photon->getCoord(index+1,
        coord2)). Impact returns 1 if the photon impacts the object between
        these two steps, else 0. In many cases of geometrically thick obects,
        the implementation Astrobj::Standard::Impact() will be fine.

        Impact will call Generic::processHitQuantities() (which is virtual and
        may be re-implemented) to compute observable properties on demand: if
        the data pointer is non-NULL, the object will look in it for pointers
        to properties which apply to its kind. If a pointer to a property
        known to this object is present, then the property is computed and
        store at the pointed-to address. For instance, all objects know the
        "intensity" property. If data->intensity != NULL, the instensity is
        computed and stored in *data->intensity.

        If data is non-NULL and only in this case, processHitQuantities() will
        also call ph->transmit() to update the transmissions of the Photon
        (see Photon::transmit(size_t, double)). This must not be done if data
        is NULL (see Astrobj::Complex::Impact() for an explanation).

        Impact() may not extend the ph Worldline. The only two dates that are
        guaranteed to be defined are at indices index and index+1.

        Parameters:
        -----------

        ph:   Gyoto::Photon aimed at the object;

        index:  Index of the last photon step;

        data:  Pointer to a structure to hold the observables at impact.

        1 if impact, 0 if not. 
        """
        return _std.Plasmoid_Impact(self, ph, index, data)

    def file(self, f):
        r"""
        file(Plasmoid self, std::string const & f)
        Gyoto::Astrobj::Plasmoid::file
        """
        return _std.Plasmoid_file(self, f)

    def fitsRead(self, filename):
        r"""
        fitsRead(Plasmoid self, std::string filename) -> std::vector< size_t,std::allocator< size_t > >
        Gyoto::Astrobj::Plasmoid::fitsRead
        """
        return _std.Plasmoid_fitsRead(self, filename)

    def __init__(self, *args):
        r"""
        __init__(Plasmoid self) -> Plasmoid
        __init__(Plasmoid self, Plasmoid orig) -> Plasmoid
        __init__(Plasmoid self, Astrobj base) -> Plasmoid
        __init__(Plasmoid self, long address) -> Plasmoid
        Gyoto::Astrobj::Plasmoid::Plasmoid Copy constructor. 
        """
        _std.Plasmoid_swiginit(self, _std.new_Plasmoid(*args))

# Register Plasmoid in _std:
_std.Plasmoid_swigregister(Plasmoid)
Plasmoid.properties = _std.cvar.Plasmoid_properties
Plasmoid.builtinPluginValue = _std.cvar.Plasmoid_builtinPluginValue

class FlaredDiskSynchrotron(gyoto.core.StandardAstrobj, gyoto.core.GridData2D, gyoto.core.Listener):
    r"""Proxy of C++ Gyoto::Astrobj::FlaredDiskSynchrotron class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(FlaredDiskSynchrotron self) -> Property
        Gyoto::Astrobj::FlaredDiskSynchrotron::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.FlaredDiskSynchrotron_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(FlaredDiskSynchrotron self, vector_string plugname)
        plugins(FlaredDiskSynchrotron self) -> vector_string
        """
        return _std.FlaredDiskSynchrotron_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(FlaredDiskSynchrotron self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.FlaredDiskSynchrotron_isThreadSafe(self)

    def clone(self):
        r"""
        clone(FlaredDiskSynchrotron self) -> FlaredDiskSynchrotron
        Gyoto::Astrobj::FlaredDiskSynchrotron::clone Cloner. 
        """
        return _std.FlaredDiskSynchrotron_clone(self)
    __swig_destroy__ = _std.delete_FlaredDiskSynchrotron

    def file(self, *args):
        r"""
        file(FlaredDiskSynchrotron self, std::string const & f)
        file(FlaredDiskSynchrotron self) -> std::string
        Gyoto::Astrobj::FlaredDiskSynchrotron::file
        """
        return _std.FlaredDiskSynchrotron_file(self, *args)

    def hoverR(self, *args):
        r"""
        hoverR(FlaredDiskSynchrotron self, double const hor)
        hoverR(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::hoverR
        """
        return _std.FlaredDiskSynchrotron_hoverR(self, *args)

    def timeTranslation_inMunit(self, *args):
        r"""
        timeTranslation_inMunit(FlaredDiskSynchrotron self, double const dt)
        timeTranslation_inMunit(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::timeTranslation_inMunit
        """
        return _std.FlaredDiskSynchrotron_timeTranslation_inMunit(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(FlaredDiskSynchrotron self, double rr)
        magnetizationParameter(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::magnetizationParameter
        """
        return _std.FlaredDiskSynchrotron_magnetizationParameter(self, *args)

    def kappaIndex(self, *args):
        r"""
        kappaIndex(FlaredDiskSynchrotron self, double index)
        kappaIndex(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::kappaIndex
        """
        return _std.FlaredDiskSynchrotron_kappaIndex(self, *args)

    def numberDensityMax(self, *args):
        r"""
        numberDensityMax(FlaredDiskSynchrotron self) -> double
        numberDensityMax(FlaredDiskSynchrotron self, std::string const & unit) -> double
        numberDensityMax(FlaredDiskSynchrotron self, double dens)
        numberDensityMax(FlaredDiskSynchrotron self, double dens, std::string const & unit)
        Gyoto::Astrobj::FlaredDiskSynchrotron::numberDensityMax
        """
        return _std.FlaredDiskSynchrotron_numberDensityMax(self, *args)

    def temperatureMax(self, *args):
        r"""
        temperatureMax(FlaredDiskSynchrotron self, double tt)
        temperatureMax(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::temperatureMax
        """
        return _std.FlaredDiskSynchrotron_temperatureMax(self, *args)

    def polytropicIndex(self, *args):
        r"""
        polytropicIndex(FlaredDiskSynchrotron self, double gamma)
        polytropicIndex(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::polytropicIndex
        """
        return _std.FlaredDiskSynchrotron_polytropicIndex(self, *args)

    def betaAtMax(self, *args):
        r"""
        betaAtMax(FlaredDiskSynchrotron self, double beta)
        betaAtMax(FlaredDiskSynchrotron self) -> double
        Gyoto::Astrobj::FlaredDiskSynchrotron::betaAtMax
        """
        return _std.FlaredDiskSynchrotron_betaAtMax(self, *args)

    def copyDensity(self, density, naxes):
        r"""
        copyDensity(FlaredDiskSynchrotron self, double const *const density, size_t const [3] naxes)
        Gyoto::Astrobj::FlaredDiskSynchrotron::copyDensity
        """
        return _std.FlaredDiskSynchrotron_copyDensity(self, density, naxes)

    def getDensity(self):
        r"""
        getDensity(FlaredDiskSynchrotron self) -> double const *
        Gyoto::Astrobj::FlaredDiskSynchrotron::getDensity
        """
        return _std.FlaredDiskSynchrotron_getDensity(self)

    def copyVelocity(self, velocity, naxes):
        r"""
        copyVelocity(FlaredDiskSynchrotron self, double const *const velocity, size_t const [3] naxes)
        Gyoto::Astrobj::FlaredDiskSynchrotron::copyVelocity
        """
        return _std.FlaredDiskSynchrotron_copyVelocity(self, velocity, naxes)

    def copyBvector(self, Bvector, naxes):
        r"""
        copyBvector(FlaredDiskSynchrotron self, double const *const Bvector, size_t const [3] naxes)
        Gyoto::Astrobj::FlaredDiskSynchrotron::copyBvector
        """
        return _std.FlaredDiskSynchrotron_copyBvector(self, Bvector, naxes)

    def getBvector(self):
        r"""
        getBvector(FlaredDiskSynchrotron self) -> double const *
        Gyoto::Astrobj::FlaredDiskSynchrotron::getBvector
        """
        return _std.FlaredDiskSynchrotron_getBvector(self)

    def copyTimeArray(self, time_array, ntimes):
        r"""
        copyTimeArray(FlaredDiskSynchrotron self, double const *const time_array, size_t const ntimes)
        Gyoto::Astrobj::FlaredDiskSynchrotron::copyTimeArray
        """
        return _std.FlaredDiskSynchrotron_copyTimeArray(self, time_array, ntimes)

    def getTimeArray(self):
        r"""
        getTimeArray(FlaredDiskSynchrotron self) -> double const *
        Gyoto::Astrobj::FlaredDiskSynchrotron::getTimeArray
        """
        return _std.FlaredDiskSynchrotron_getTimeArray(self)

    def metric(self, *args):
        r"""
        metric(FlaredDiskSynchrotron self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(FlaredDiskSynchrotron self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::Generic::metric Set the Metric gg_. 
        """
        return _std.FlaredDiskSynchrotron_metric(self, *args)

    def fitsRead(self, filename):
        r"""
        fitsRead(FlaredDiskSynchrotron self, std::string filename) -> std::vector< size_t,std::allocator< size_t > >
        Gyoto::Astrobj::FlaredDiskSynchrotron::fitsRead
        """
        return _std.FlaredDiskSynchrotron_fitsRead(self, filename)

    def __call__(self, coord):
        r"""__call__(FlaredDiskSynchrotron self, double const [4] coord) -> double"""
        return _std.FlaredDiskSynchrotron___call__(self, coord)

    def radiativeQ(self, Inu, Taunu, nu_ems, nbnu, dsem, coord_ph, coord_obj):
        r"""
        radiativeQ(FlaredDiskSynchrotron self, double [] Inu, double [] Taunu, double const [] nu_ems, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj)
        Gyoto::Astrobj::Generic::radiativeQ Compute the increment of Stokes
        parameters and transmission matrix. Polarised version of RadiaveQ.

        First function to be called for radiative quantities. If exist, i.e.
        implemented in an Astrobj, return the Stokes parameters emitted by the
        small volume of length dsem.

        Warning : The basis used to determine the Stokes coefficients is
        different from the observer parallel transported polarisation basis.
        One should use getChi function to compute the angle between these two
        basis.

        The non polarized case must also be implemented in this function to
        avoid error.

        See example in SimplePolarStar.C.

        Parameters:
        -----------

        Inu[nbnu]:  Output increment of intensity (must be set to a previously
        allocated array of doubles)

        Qnu[nbnu]:  Output increment of Stokes parameter Q (must be set to a
        previously allocated array of doubles)

        Unu[nbnu]:  Output increment of Stokes parameter U (must be set to a
        previously allocated array of doubles)

        Vnu[nbnu]:  Output increment of Stokes parameter V (must be set to a
        previously allocated array of doubles)

        Onu[nbnu]:  Output transmission (Eigen) matrix (must be set to a
        previously allocated array of Matrix4d)

        nu_em[nbnu]:  Frequencies at emission

        nbnu:  Size of nu_em[], Inu[], Qnu[], Unu[], Vnu[], and Onu[]

        dsem:  Length over which to integrate inside the object

        cph:   Photon coordinate

        co:  Emitter coordinate at current photon position

        Increment of the Stokes parameters (I,Q,U,V) and local Transmission
        matrix (O). 
        """
        return _std.FlaredDiskSynchrotron_radiativeQ(self, Inu, Taunu, nu_ems, nbnu, dsem, coord_ph, coord_obj)

    def getVelocity(self, *args):
        r"""
        getVelocity(FlaredDiskSynchrotron self) -> double const
        getVelocity(FlaredDiskSynchrotron self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::FlaredDiskSynchrotron::getVelocity Fluid velocity
        field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.FlaredDiskSynchrotron_getVelocity(self, *args)

    def __init__(self, *args):
        r"""
        __init__(FlaredDiskSynchrotron self) -> FlaredDiskSynchrotron
        __init__(FlaredDiskSynchrotron self, FlaredDiskSynchrotron arg2) -> FlaredDiskSynchrotron
        __init__(FlaredDiskSynchrotron self, Astrobj base) -> FlaredDiskSynchrotron
        __init__(FlaredDiskSynchrotron self, long address) -> FlaredDiskSynchrotron
        Gyoto::Astrobj::FlaredDiskSynchrotron::FlaredDiskSynchrotron Copy
        constructor. 
        """
        _std.FlaredDiskSynchrotron_swiginit(self, _std.new_FlaredDiskSynchrotron(*args))

# Register FlaredDiskSynchrotron in _std:
_std.FlaredDiskSynchrotron_swigregister(FlaredDiskSynchrotron)
FlaredDiskSynchrotron.properties = _std.cvar.FlaredDiskSynchrotron_properties
FlaredDiskSynchrotron.builtinPluginValue = _std.cvar.FlaredDiskSynchrotron_builtinPluginValue

class ThinDiskGridIntensity(gyoto.core.ThinDisk, gyoto.core.GridData2D, gyoto.core.Listener):
    r"""Proxy of C++ Gyoto::Astrobj::ThinDiskGridIntensity class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThinDiskGridIntensity self) -> Property
        Gyoto::Astrobj::ThinDiskGridIntensity::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThinDiskGridIntensity_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThinDiskGridIntensity self, vector_string plugname)
        plugins(ThinDiskGridIntensity self) -> vector_string
        """
        return _std.ThinDiskGridIntensity_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(ThinDiskGridIntensity self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ThinDiskGridIntensity_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ThinDiskGridIntensity self) -> ThinDiskGridIntensity
        Gyoto::Astrobj::ThinDiskGridIntensity::clone Cloner. 
        """
        return _std.ThinDiskGridIntensity_clone(self)
    __swig_destroy__ = _std.delete_ThinDiskGridIntensity

    def file(self, *args):
        r"""
        file(ThinDiskGridIntensity self, std::string const & f)
        file(ThinDiskGridIntensity self) -> std::string
        Gyoto::Astrobj::ThinDiskGridIntensity::file
        """
        return _std.ThinDiskGridIntensity_file(self, *args)

    def timeTranslation_inMunit(self, *args):
        r"""
        timeTranslation_inMunit(ThinDiskGridIntensity self, double const dt)
        timeTranslation_inMunit(ThinDiskGridIntensity self) -> double
        Gyoto::Astrobj::ThinDiskGridIntensity::timeTranslation_inMunit
        """
        return _std.ThinDiskGridIntensity_timeTranslation_inMunit(self, *args)

    def copyIntensity(self, intensity, naxes):
        r"""
        copyIntensity(ThinDiskGridIntensity self, double const *const intensity, size_t const [3] naxes)
        Gyoto::Astrobj::ThinDiskGridIntensity::copyIntensity
        """
        return _std.ThinDiskGridIntensity_copyIntensity(self, intensity, naxes)

    def getIntensity(self):
        r"""
        getIntensity(ThinDiskGridIntensity self) -> double const *
        Gyoto::Astrobj::ThinDiskGridIntensity::getIntensity
        """
        return _std.ThinDiskGridIntensity_getIntensity(self)

    def copyTimeArray(self, time_array, ntimes):
        r"""
        copyTimeArray(ThinDiskGridIntensity self, double const *const time_array, size_t const ntimes)
        Gyoto::Astrobj::ThinDiskGridIntensity::copyTimeArray
        """
        return _std.ThinDiskGridIntensity_copyTimeArray(self, time_array, ntimes)

    def getTimeArray(self):
        r"""
        getTimeArray(ThinDiskGridIntensity self) -> double const *
        Gyoto::Astrobj::ThinDiskGridIntensity::getTimeArray
        """
        return _std.ThinDiskGridIntensity_getTimeArray(self)

    def metric(self, *args):
        r"""
        metric(ThinDiskGridIntensity self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(ThinDiskGridIntensity self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::Generic::metric Set the Metric gg_. 
        """
        return _std.ThinDiskGridIntensity_metric(self, *args)

    def fitsRead(self, filename):
        r"""
        fitsRead(ThinDiskGridIntensity self, std::string filename) -> std::vector< size_t,std::allocator< size_t > >
        Gyoto::Astrobj::ThinDiskGridIntensity::fitsRead
        """
        return _std.ThinDiskGridIntensity_fitsRead(self, filename)

    def emission(self, nu_em, dsem, c_ph, c_obj=0):
        r"""
        emission(ThinDiskGridIntensity self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.ThinDiskGridIntensity_emission(self, nu_em, dsem, c_ph, c_obj)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(ThinDiskGridIntensity self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::ThinDiskGridIntensity::getVelocity Get fluid
        4-velocity at point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.
        getVelocity() should work at some distance from the equatorial plane.
        The default implementation calls Metric::Generic::circularVelocity().

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.ThinDiskGridIntensity_getVelocity(self, pos, vel)

    def __init__(self, *args):
        r"""
        __init__(ThinDiskGridIntensity self) -> ThinDiskGridIntensity
        __init__(ThinDiskGridIntensity self, ThinDiskGridIntensity arg2) -> ThinDiskGridIntensity
        __init__(ThinDiskGridIntensity self, Astrobj base) -> ThinDiskGridIntensity
        __init__(ThinDiskGridIntensity self, long address) -> ThinDiskGridIntensity
        Gyoto::Astrobj::ThinDiskGridIntensity::ThinDiskGridIntensity Copy
        constructor. 
        """
        _std.ThinDiskGridIntensity_swiginit(self, _std.new_ThinDiskGridIntensity(*args))

# Register ThinDiskGridIntensity in _std:
_std.ThinDiskGridIntensity_swigregister(ThinDiskGridIntensity)
ThinDiskGridIntensity.properties = _std.cvar.ThinDiskGridIntensity_properties
ThinDiskGridIntensity.builtinPluginValue = _std.cvar.ThinDiskGridIntensity_builtinPluginValue

class ThickDisk(gyoto.core.StandardAstrobj, gyoto.core.Listener):
    r"""


    A thick accretion disk described by its inner radius and the fwhm of
    the Gaussian factor affecting the density out of the equatorial plane.

    Density is assumed to follow a r^{-2} law while temperature is a power
    law with a specified slope.

    This astrobj emits thermal synchrotron.

    C++ includes: GyotoThickDisk.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThickDisk self) -> Property
        Gyoto::Astrobj::ThickDisk::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThickDisk_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThickDisk self, vector_string plugname)
        plugins(ThickDisk self) -> vector_string
        """
        return _std.ThickDisk_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(ThickDisk self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ThickDisk_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ThickDisk self) -> ThickDisk
        Gyoto::Astrobj::ThickDisk::clone Cloner. 
        """
        return _std.ThickDisk_clone(self)
    __swig_destroy__ = _std.delete_ThickDisk

    def thickDiskInnerRadius(self, *args):
        r"""
        thickDiskInnerRadius(ThickDisk self, double hh)
        thickDiskInnerRadius(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::thickDiskInnerRadius
        """
        return _std.ThickDisk_thickDiskInnerRadius(self, *args)

    def thickDiskZGaussianSigma(self, *args):
        r"""
        thickDiskZGaussianSigma(ThickDisk self, double sig)
        thickDiskZGaussianSigma(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::thickDiskZGaussianSigma
        """
        return _std.ThickDisk_thickDiskZGaussianSigma(self, *args)

    def useSelfAbsorption(self, *args):
        r"""
        useSelfAbsorption(ThickDisk self, bool abs)
        useSelfAbsorption(ThickDisk self) -> bool
        Gyoto::Astrobj::ThickDisk::useSelfAbsorption
        """
        return _std.ThickDisk_useSelfAbsorption(self, *args)

    def veloParam(self, *args):
        r"""
        veloParam(ThickDisk self, vector_double v)
        veloParam(ThickDisk self) -> vector_double
        Gyoto::Astrobj::ThickDisk::veloParam
        """
        return _std.ThickDisk_veloParam(self, *args)

    def numberDensityAtInnerRadius(self, *args):
        r"""
        numberDensityAtInnerRadius(ThickDisk self) -> double
        numberDensityAtInnerRadius(ThickDisk self, std::string const & unit) -> double
        numberDensityAtInnerRadius(ThickDisk self, double ne)
        numberDensityAtInnerRadius(ThickDisk self, double dens, std::string const & unit)
        Gyoto::Astrobj::ThickDisk::numberDensityAtInnerRadius
        """
        return _std.ThickDisk_numberDensityAtInnerRadius(self, *args)

    def temperatureAtInnerRadius(self, *args):
        r"""
        temperatureAtInnerRadius(ThickDisk self, double tt)
        temperatureAtInnerRadius(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::temperatureAtInnerRadius
        """
        return _std.ThickDisk_temperatureAtInnerRadius(self, *args)

    def temperatureSlope(self, *args):
        r"""
        temperatureSlope(ThickDisk self, double ss)
        temperatureSlope(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::temperatureSlope
        """
        return _std.ThickDisk_temperatureSlope(self, *args)

    def densitySlope(self, *args):
        r"""
        densitySlope(ThickDisk self, double ss)
        densitySlope(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::densitySlope
        """
        return _std.ThickDisk_densitySlope(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(ThickDisk self, double rr)
        magnetizationParameter(ThickDisk self) -> double
        Gyoto::Astrobj::ThickDisk::magnetizationParameter
        """
        return _std.ThickDisk_magnetizationParameter(self, *args)

    def magneticConfiguration(self, *args):
        r"""
        magneticConfiguration(ThickDisk self, std::string config)
        magneticConfiguration(ThickDisk self) -> std::string
        Gyoto::Astrobj::ThickDisk::magneticConfiguration
        """
        return _std.ThickDisk_magneticConfiguration(self, *args)

    def metric(self, *args):
        r"""
        metric(ThickDisk self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(ThickDisk self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::ThickDisk::metric Set the Metric gg_. 
        """
        return _std.ThickDisk_metric(self, *args)

    def __call__(self, coord):
        r"""__call__(ThickDisk self, double const [4] coord) -> double"""
        return _std.ThickDisk___call__(self, coord)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(ThickDisk self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::ThickDisk::getVelocity Fluid velocity field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.ThickDisk_getVelocity(self, pos, vel)

    def radiativeQ(self, *args):
        r"""
        radiativeQ(ThickDisk self, double [] Inu, double [] Taunu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        radiativeQ(ThickDisk self, double * Inu, double * Qnu, double * Unu, double * Vnu, Eigen::Matrix4d * Onu, double const * nuem, size_t nbnu, double dsem, vector_double cph, double const * co)
        Gyoto::Astrobj::Generic::radiativeQ
        """
        return _std.ThickDisk_radiativeQ(self, *args)

    def __init__(self, *args):
        r"""
        __init__(ThickDisk self) -> ThickDisk
        __init__(ThickDisk self, ThickDisk arg2) -> ThickDisk
        __init__(ThickDisk self, Astrobj base) -> ThickDisk
        __init__(ThickDisk self, long address) -> ThickDisk
        Gyoto::Astrobj::ThickDisk::ThickDisk Copy constructor. 
        """
        _std.ThickDisk_swiginit(self, _std.new_ThickDisk(*args))

# Register ThickDisk in _std:
_std.ThickDisk_swigregister(ThickDisk)
ThickDisk.properties = _std.cvar.ThickDisk_properties
ThickDisk.builtinPluginValue = _std.cvar.ThickDisk_builtinPluginValue

class SphericalAccretion(gyoto.core.StandardAstrobj, gyoto.core.Listener):
    r"""


    A spherically-symmetric accretion flow radially falling onto the
    central object.

    Density is assumed to follow a r^{-2} law while temperature is a power
    law with a specified slope.

    This astrobj emits thermal synchrotron.

    C++ includes: GyotoSphericalAccretion.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(SphericalAccretion self) -> Property
        Gyoto::Astrobj::SphericalAccretion::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.SphericalAccretion_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(SphericalAccretion self, vector_string plugname)
        plugins(SphericalAccretion self) -> vector_string
        """
        return _std.SphericalAccretion_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(SphericalAccretion self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.SphericalAccretion_isThreadSafe(self)

    def clone(self):
        r"""
        clone(SphericalAccretion self) -> SphericalAccretion
        Gyoto::Astrobj::SphericalAccretion::clone Cloner. 
        """
        return _std.SphericalAccretion_clone(self)
    __swig_destroy__ = _std.delete_SphericalAccretion

    def useSelfAbsorption(self, *args):
        r"""
        useSelfAbsorption(SphericalAccretion self, bool abs)
        useSelfAbsorption(SphericalAccretion self) -> bool
        Gyoto::Astrobj::SphericalAccretion::useSelfAbsorption
        """
        return _std.SphericalAccretion_useSelfAbsorption(self, *args)

    def sphericalAccretionInnerRadius(self, *args):
        r"""
        sphericalAccretionInnerRadius(SphericalAccretion self, double hh)
        sphericalAccretionInnerRadius(SphericalAccretion self) -> double
        Gyoto::Astrobj::SphericalAccretion::sphericalAccretionInnerRadius
        """
        return _std.SphericalAccretion_sphericalAccretionInnerRadius(self, *args)

    def numberDensityAtInnerRadius(self, *args):
        r"""
        numberDensityAtInnerRadius(SphericalAccretion self) -> double
        numberDensityAtInnerRadius(SphericalAccretion self, std::string const & unit) -> double
        numberDensityAtInnerRadius(SphericalAccretion self, double ne)
        numberDensityAtInnerRadius(SphericalAccretion self, double dens, std::string const & unit)
        Gyoto::Astrobj::SphericalAccretion::numberDensityAtInnerRadius
        """
        return _std.SphericalAccretion_numberDensityAtInnerRadius(self, *args)

    def densitySlope(self, *args):
        r"""
        densitySlope(SphericalAccretion self, double ss)
        densitySlope(SphericalAccretion self) -> double
        Gyoto::Astrobj::SphericalAccretion::densitySlope
        """
        return _std.SphericalAccretion_densitySlope(self, *args)

    def temperatureAtInnerRadius(self, *args):
        r"""
        temperatureAtInnerRadius(SphericalAccretion self, double tt)
        temperatureAtInnerRadius(SphericalAccretion self) -> double
        Gyoto::Astrobj::SphericalAccretion::temperatureAtInnerRadius
        """
        return _std.SphericalAccretion_temperatureAtInnerRadius(self, *args)

    def temperatureSlope(self, *args):
        r"""
        temperatureSlope(SphericalAccretion self, double ss)
        temperatureSlope(SphericalAccretion self) -> double
        Gyoto::Astrobj::SphericalAccretion::temperatureSlope
        """
        return _std.SphericalAccretion_temperatureSlope(self, *args)

    def magnetizationParameter(self, *args):
        r"""
        magnetizationParameter(SphericalAccretion self, double rr)
        magnetizationParameter(SphericalAccretion self) -> double
        Gyoto::Astrobj::SphericalAccretion::magnetizationParameter
        """
        return _std.SphericalAccretion_magnetizationParameter(self, *args)

    def metric(self, *args):
        r"""
        metric(SphericalAccretion self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        metric(SphericalAccretion self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Astrobj::SphericalAccretion::metric Set the Metric gg_. 
        """
        return _std.SphericalAccretion_metric(self, *args)

    def __call__(self, coord):
        r"""__call__(SphericalAccretion self, double const [4] coord) -> double"""
        return _std.SphericalAccretion___call__(self, coord)

    def radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj=0):
        r"""
        radiativeQ(SphericalAccretion self, double [] Inu, double [] Taunu, double const [] nu_em, size_t nbnu, double dsem, vector_double coord_ph, double const [8] coord_obj=0)
        Gyoto::Astrobj::Generic::radiativeQ Compute the increment of Stokes
        parameters and transmission matrix. Polarised version of RadiaveQ.

        First function to be called for radiative quantities. If exist, i.e.
        implemented in an Astrobj, return the Stokes parameters emitted by the
        small volume of length dsem.

        Warning : The basis used to determine the Stokes coefficients is
        different from the observer parallel transported polarisation basis.
        One should use getChi function to compute the angle between these two
        basis.

        The non polarized case must also be implemented in this function to
        avoid error.

        See example in SimplePolarStar.C.

        Parameters:
        -----------

        Inu[nbnu]:  Output increment of intensity (must be set to a previously
        allocated array of doubles)

        Qnu[nbnu]:  Output increment of Stokes parameter Q (must be set to a
        previously allocated array of doubles)

        Unu[nbnu]:  Output increment of Stokes parameter U (must be set to a
        previously allocated array of doubles)

        Vnu[nbnu]:  Output increment of Stokes parameter V (must be set to a
        previously allocated array of doubles)

        Onu[nbnu]:  Output transmission (Eigen) matrix (must be set to a
        previously allocated array of Matrix4d)

        nu_em[nbnu]:  Frequencies at emission

        nbnu:  Size of nu_em[], Inu[], Qnu[], Unu[], Vnu[], and Onu[]

        dsem:  Length over which to integrate inside the object

        cph:   Photon coordinate

        co:  Emitter coordinate at current photon position

        Increment of the Stokes parameters (I,Q,U,V) and local Transmission
        matrix (O). 
        """
        return _std.SphericalAccretion_radiativeQ(self, Inu, Taunu, nu_em, nbnu, dsem, coord_ph, coord_obj)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(SphericalAccretion self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::SphericalAccretion::getVelocity Fluid velocity
        field.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.SphericalAccretion_getVelocity(self, pos, vel)

    def __init__(self, *args):
        r"""
        __init__(SphericalAccretion self) -> SphericalAccretion
        __init__(SphericalAccretion self, SphericalAccretion arg2) -> SphericalAccretion
        __init__(SphericalAccretion self, Astrobj base) -> SphericalAccretion
        __init__(SphericalAccretion self, long address) -> SphericalAccretion
        Gyoto::Astrobj::SphericalAccretion::SphericalAccretion Copy
        constructor. 
        """
        _std.SphericalAccretion_swiginit(self, _std.new_SphericalAccretion(*args))

# Register SphericalAccretion in _std:
_std.SphericalAccretion_swigregister(SphericalAccretion)
SphericalAccretion.properties = _std.cvar.SphericalAccretion_properties
SphericalAccretion.builtinPluginValue = _std.cvar.SphericalAccretion_builtinPluginValue

class ThinDiskProfile(gyoto.core.ThinDisk):
    r"""


    A subclass of ThinDisk emitting according to some specified profile
    that should be hardcoded in emission()

    C++ includes: GyotoThinDiskProfile.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThinDiskProfile self) -> Property
        Gyoto::Astrobj::ThinDiskProfile::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThinDiskProfile_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThinDiskProfile self, vector_string plugname)
        plugins(ThinDiskProfile self) -> vector_string
        """
        return _std.ThinDiskProfile_plugins(self, *args)

    def isThreadSafe(self):
        r"""
        isThreadSafe(ThinDiskProfile self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ThinDiskProfile_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ThinDiskProfile self) -> ThinDiskProfile
        Gyoto::Astrobj::ThinDiskProfile::clone Cloner. 
        """
        return _std.ThinDiskProfile_clone(self)
    __swig_destroy__ = _std.delete_ThinDiskProfile

    def circularMotion(self, *args):
        r"""
        circularMotion(ThinDiskProfile self) -> bool
        circularMotion(ThinDiskProfile self, bool circ)
        Gyoto::Astrobj::ThinDiskProfile::circularMotion
        """
        return _std.ThinDiskProfile_circularMotion(self, *args)

    def model_param(self, *args):
        r"""
        model_param(ThinDiskProfile self, vector_double v)
        model_param(ThinDiskProfile self) -> vector_double
        Gyoto::Astrobj::ThinDiskProfile::model_param
        """
        return _std.ThinDiskProfile_model_param(self, *args)

    def emission(self, nu_em, dsem, c_ph, c_obj=0):
        r"""
        emission(ThinDiskProfile self, double nu_em, double dsem, vector_double c_ph, double const [8] c_obj=0) -> double
        Gyoto::Astrobj::Generic::emission Obsolete, update your code. 
        """
        return _std.ThinDiskProfile_emission(self, nu_em, dsem, c_ph, c_obj)

    def getVelocity(self, pos, vel):
        r"""
        getVelocity(ThinDiskProfile self, double const [4] pos, double [4] vel)
        Gyoto::Astrobj::ThinDiskProfile::getVelocity Get fluid 4-velocity at
        point.

        Fill vel with the 4-vector velocity of the fluid at 4-position pos.
        getVelocity() should work at some distance from the equatorial plane.
        The default implementation calls Metric::Generic::circularVelocity().

        Parameters:
        -----------

        pos:  4-position at which to compute velocity;

        vel:  4-velocity at pos. 
        """
        return _std.ThinDiskProfile_getVelocity(self, pos, vel)

    def processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data):
        r"""
        processHitQuantities(ThinDiskProfile self, Photon ph, vector_double coord_ph_hit, double const * coord_obj_hit, double dt, AstrobjProperties data)
        Gyoto::Astrobj::Generic::processHitQuantities
        """
        return _std.ThinDiskProfile_processHitQuantities(self, ph, coord_ph_hit, coord_obj_hit, dt, data)

    def __init__(self, *args):
        r"""
        __init__(ThinDiskProfile self) -> ThinDiskProfile
        __init__(ThinDiskProfile self, ThinDiskProfile arg2) -> ThinDiskProfile
        __init__(ThinDiskProfile self, Astrobj base) -> ThinDiskProfile
        __init__(ThinDiskProfile self, long address) -> ThinDiskProfile
        Gyoto::Astrobj::ThinDiskProfile::ThinDiskProfile Copy constructor. 
        """
        _std.ThinDiskProfile_swiginit(self, _std.new_ThinDiskProfile(*args))

# Register ThinDiskProfile in _std:
_std.ThinDiskProfile_swigregister(ThinDiskProfile)
ThinDiskProfile.properties = _std.cvar.ThinDiskProfile_properties
ThinDiskProfile.builtinPluginValue = _std.cvar.ThinDiskProfile_builtinPluginValue

class ComplexMetric(gyoto.core.Metric):
    r"""


    Combine several metrics.

    Adds linearly the contribution of several metrics. All suv-metrics
    must use a common coordinate system.

    C++ includes: GyotoComplexMetric.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def isThreadSafe(self):
        r"""
        isThreadSafe(ComplexMetric self) -> bool
        Gyoto::Object::isThreadSafe Whether this class is thread-safe.

        Return True if this object is thread-safe, i.e. if an instance and its
        clone can be used in parallel threads (in the context of
        Scenery::raytrace()). Known objects which are not thread-safe include
        Lorene metrics and everything from the Python plug-in.

        The default implementation considers that the class itself is thread
        safe and recurses into the declared properties to check whether they
        are safe too. Classes that abide to the Object/Property paradigm and
        are themselves thread-safe have nothing special to do.

        Objects that clone children in their copy constructor that are not
        declared as properties must take these children into account.

        Classes that are never thread-safe must declare it. It acn be easily
        done using GYOTO_OBJECT_THREAD_SAFETY in the class declaration and
        GYOTO_PROPERTY_THREAD_UNSAFE in the class definition. 
        """
        return _std.ComplexMetric_isThreadSafe(self)

    def clone(self):
        r"""
        clone(ComplexMetric self) -> ComplexMetric
        Gyoto::Metric::Complex::clone "Virtual" copy constructor 
        """
        return _std.ComplexMetric_clone(self)
    __swig_destroy__ = _std.delete_ComplexMetric

    def append(self, element):
        r"""
        append(ComplexMetric self, Gyoto::SmartPointer< Gyoto::Metric::Generic > element)
        Gyoto::Metric::Complex::append Add element at the end of the array. 
        """
        return _std.ComplexMetric_append(self, element)

    def remove(self, i):
        r"""
        remove(ComplexMetric self, size_t i)
        Gyoto::Metric::Complex::remove Remove i-th element from the array. 
        """
        return _std.ComplexMetric_remove(self, i)

    def getCardinal(self):
        r"""
        getCardinal(ComplexMetric self) -> size_t
        Gyoto::Metric::Complex::getCardinal Get the number of elements in the
        array. 
        """
        return _std.ComplexMetric_getCardinal(self)

    def fillElement(self, fmp):
        r"""
        fillElement(ComplexMetric self, FactoryMessenger fmp)
        Gyoto::Metric::Complex::fillElement Fill the XML element for this
        Object.

        The base implementation simply calls fillProperty() for each Property
        defined for the Object.

        Derived classes should avoid overriding fillElement(). It may make
        sense occasionally, e.g. to make sure that the metric is output first.

        To customize how a given Property is rendered, it is better to
        override fillProperty().

        If this method is overridden, the implementation should in general
        call fillElement() on the direct base. 
        """
        return _std.ComplexMetric_fillElement(self, fmp)

    def setParameters(self, fmp):
        r"""
        setParameters(ComplexMetric self, FactoryMessenger fmp)
        Gyoto::Metric::Complex::setParameters Main loop for parsing Properties
        from XML description.

        This function queries the FactoryMessenger for elements to parse, and
        tries to matche each element to a Property to set it  accordingly. Any
        class that tries to be buildable from XML must supply a subcontractor
        (for base classes such as Metric, Astrobj, Spectrum  and Spectrometer,
        it is done as a template that must be  specialized for each class).
        This subcontractor typically looks somewhat like this: Although this
        is discouraged, it is possible to override the following functions to
        customize how XML entities are parsed:    - setParameters() if low-
        level access to the      FactoryMessenger is required;    -
        setParameter(std::string name, std::string content,
        std::string unit)      to interpret an entity that does not match a
        Property      (e.g. alternative name);    -
        setParameter(Gyoto::Property const &p, std::string const &name,
        std::string const &content, std::string const &unit)      to change
        how a Property is interpreted. 
        """
        return _std.ComplexMetric_setParameters(self, fmp)

    def gmunu(self, *args):
        r"""
        gmunu(ComplexMetric self, double const [4] x, int mu, int nu) -> double
        gmunu(ComplexMetric self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Complex::gmunu  Metric coefficients.

        The default implementation calls double gmunu(const double * x, int
        mu, int nu) const.

        Parameters:
        -----------

        ARGOUT_ARRAY2:  (g) 4x4 array to store the coeefficients

        IN_ARRAY1:  (x) 4-position at which to compute the coefficients;

        Metric coefficient g, at point x 
        """
        return _std.ComplexMetric_gmunu(self, *args)

    def jacobian(self, IN_ARRAY1):
        r"""
        jacobian(ComplexMetric self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Complex::jacobian Derivatives of the metric covariant
        coefficients.

        The default implementation evaluates them numerically. The gmunu
        matrix is assumed to be symmetrical but no other assumptions are made
        at the moment. 
        """
        return _std.ComplexMetric_jacobian(self, IN_ARRAY1)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(ComplexMetric self, double const [8] coord) -> int
        Gyoto::Metric::Complex::isStopCondition Check whether integration
        should stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.ComplexMetric_isStopCondition(self, coord)

    def __getitem__(self, i):
        r"""__getitem__(ComplexMetric self, size_t i) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >"""
        return _std.ComplexMetric___getitem__(self, i)

    def __setitem__(self, i, p):
        r"""__setitem__(ComplexMetric self, int i, Metric p)"""
        return _std.ComplexMetric___setitem__(self, i, p)

    def __init__(self, *args):
        r"""
        Complex() -> ComplexMetric
        Complex(ComplexMetric arg1) -> ComplexMetric
        Complex(Metric base) -> ComplexMetric
        __init__(ComplexMetric self, long address) -> ComplexMetric
        Gyoto::Metric::Complex::Complex Copy constructor. 
        """
        _std.ComplexMetric_swiginit(self, _std.new_ComplexMetric(*args))

# Register ComplexMetric in _std:
_std.ComplexMetric_swigregister(ComplexMetric)
class Shift(gyoto.core.Metric, gyoto.core.Listener):
    r"""


    The Shift flat-space metric.

    Use <Cartesian> or </Spherical> to select the coordinate system kind.

    C++ includes: GyotoShift.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Shift self) -> Property
        Gyoto::Metric::Shift::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Shift_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Shift self, vector_string plugname)
        plugins(Shift self) -> vector_string
        """
        return _std.Shift_plugins(self, *args)
    __swig_destroy__ = _std.delete_Shift

    def clone(self):
        r"""
        clone(Shift self) -> Shift
        Gyoto::Metric::Shift::clone Virtual copy constructor. 
        """
        return _std.Shift_clone(self)

    def subMetric(self, *args):
        r"""
        subMetric(Shift self) -> Gyoto::SmartPointer< Gyoto::Metric::Generic >
        subMetric(Shift self, Gyoto::SmartPointer< Gyoto::Metric::Generic > arg2)
        Gyoto::Metric::Shift::subMetric
        """
        return _std.Shift_subMetric(self, *args)

    def offset(self, *args):
        r"""
        offset(Shift self) -> vector_double
        offset(Shift self, vector_double arg2)
        Gyoto::Metric::Shift::offset Set #pos_ from vector. 
        """
        return _std.Shift_offset(self, *args)

    def mass(self, arg2):
        r"""
        mass(Shift self, double const arg2)
        Gyoto::Metric::Generic::mass Get mass used in unitLength() 
        """
        return _std.Shift_mass(self, arg2)

    def gmunu(self, *args):
        r"""
        gmunu(Shift self, double const [4] x, int mu, int nu) -> double
        gmunu(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Shift::gmunu  Metric coefficients.

        The default implementation calls double gmunu(const double * x, int
        mu, int nu) const.

        Parameters:
        -----------

        ARGOUT_ARRAY2:  (g) 4x4 array to store the coeefficients

        IN_ARRAY1:  (x) 4-position at which to compute the coefficients;

        Metric coefficient g, at point x 
        """
        return _std.Shift_gmunu(self, *args)

    def gmunu_up(self, *args):
        r"""
        gmunu_up(Shift self, double const [4] x, int mu, int nu) -> double
        gmunu_up(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Shift::gmunu_up  Metric contravariant coefficients.

        The default implementation inverts the covariant coefficients matrix.

        """
        return _std.Shift_gmunu_up(self, *args)

    def jacobian(self, IN_ARRAY1):
        r"""
        jacobian(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Shift::jacobian Derivatives of the metric covariant
        coefficients.

        The default implementation evaluates them numerically. The gmunu
        matrix is assumed to be symmetrical but no other assumptions are made
        at the moment. 
        """
        return _std.Shift_jacobian(self, IN_ARRAY1)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(Shift self, double const [8] coord) -> int
        Gyoto::Metric::Shift::isStopCondition Check whether integration should
        stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.Shift_isStopCondition(self, coord)

    def fillProperty(self, fmp, p):
        r"""
        fillProperty(Shift self, FactoryMessenger fmp, Property p)
        Gyoto::Metric::Shift::fillProperty Output a single Property to XML.

        The base implementation decides what to do based on the p.type. The
        format matches how setParameters() an setParameter() would interpret
        the XML descition.

        Overriding this method should be avoided, but makes sense in some
        cases (for instance Screen::fillProperty() selects a different unit
        for Distance based on its magnitude, so that stellar sizes are
        expressed in solar radii while smaller sizes can be expressed in
        meters and larger sizes in parsecs).

        Overriding implementation should fall-back on calling the
        implementation in the direct parent class: 
        """
        return _std.Shift_fillProperty(self, fmp, p)

    def setParameters(self, fmp):
        r"""
        setParameters(Shift self, FactoryMessenger fmp)
        Gyoto::Metric::Shift::setParameters Main loop for parsing Properties
        from XML description.

        This function queries the FactoryMessenger for elements to parse, and
        tries to matche each element to a Property to set it  accordingly. Any
        class that tries to be buildable from XML must supply a subcontractor
        (for base classes such as Metric, Astrobj, Spectrum  and Spectrometer,
        it is done as a template that must be  specialized for each class).
        This subcontractor typically looks somewhat like this: Although this
        is discouraged, it is possible to override the following functions to
        customize how XML entities are parsed:    - setParameters() if low-
        level access to the      FactoryMessenger is required;    -
        setParameter(std::string name, std::string content,
        std::string unit)      to interpret an entity that does not match a
        Property      (e.g. alternative name);    -
        setParameter(Gyoto::Property const &p, std::string const &name,
        std::string const &content, std::string const &unit)      to change
        how a Property is interpreted. 
        """
        return _std.Shift_setParameters(self, fmp)

    def tell(self, msg):
        r"""
        tell(Shift self, Teller msg)
        Gyoto::Metric::Shift::tell This is how a Teller tells.

        A teller will basically call listener->tell(this).

        Parameters:
        -----------

        msg:  Teller* the Teller who is telling... Useful if the Listener
        listens to several Tellers. 
        """
        return _std.Shift_tell(self, msg)

    def circularVelocity(self, IN_ARRAY1):
        r"""
        circularVelocity(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.Shift_circularVelocity(self, IN_ARRAY1)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.Shift_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(Shift self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(Shift self, double [4][4][4] dst, double const [4] coord) -> int
        christoffel(Shift self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.Shift_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(Shift self) -> Shift
        __init__(Shift self, Metric base) -> Shift
        __init__(Shift self, long address) -> Shift
        Gyoto::Metric::Shift::Shift
        """
        _std.Shift_swiginit(self, _std.new_Shift(*args))

# Register Shift in _std:
_std.Shift_swigregister(Shift)
Shift.properties = _std.cvar.Shift_properties
Shift.builtinPluginValue = _std.cvar.Shift_builtinPluginValue

GYOTO_KERRBL_DEFAULT_DIFFTOL = _std.GYOTO_KERRBL_DEFAULT_DIFFTOL

class KerrBL(gyoto.core.Metric):
    r"""


    Metric around a Kerr black-hole in Boyer-Lindquist coordinates.

    C++ includes: GyotoKerrBL.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(KerrBL self) -> Property
        Gyoto::Metric::KerrBL::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.KerrBL_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(KerrBL self, vector_string plugname)
        plugins(KerrBL self) -> vector_string
        """
        return _std.KerrBL_plugins(self, *args)

    def clone(self):
        r"""
        clone(KerrBL self) -> KerrBL
        Gyoto::Metric::KerrBL::clone Virtual copy constructor. 
        """
        return _std.KerrBL_clone(self)

    def spin(self, *args):
        r"""
        spin(KerrBL self, double const spin)
        spin(KerrBL self) -> double
        Gyoto::Metric::KerrBL::spin Returns spin. 
        """
        return _std.KerrBL_spin(self, *args)

    def difftol(self, *args):
        r"""
        difftol(KerrBL self) -> double
        difftol(KerrBL self, double t)
        Gyoto::Metric::KerrBL::difftol Set difftol_. 
        """
        return _std.KerrBL_difftol(self, *args)

    def horizonSecurity(self, *args):
        r"""
        horizonSecurity(KerrBL self, double drhor)
        horizonSecurity(KerrBL self) -> double
        Gyoto::Metric::KerrBL::horizonSecurity
        """
        return _std.KerrBL_horizonSecurity(self, *args)

    def genericIntegrator(self, *args):
        r"""
        genericIntegrator(KerrBL self, bool arg2)
        genericIntegrator(KerrBL self) -> bool
        Gyoto::Metric::KerrBL::genericIntegrator
        """
        return _std.KerrBL_genericIntegrator(self, *args)

    def getRms(self):
        r"""
        getRms(KerrBL self) -> double
        Gyoto::Metric::KerrBL::getRms Returns the marginally stable (ISCO)
        radius Should be implemented in derived classes if useful If called on
        the base class, returns an error 
        """
        return _std.KerrBL_getRms(self)

    def getRmb(self):
        r"""
        getRmb(KerrBL self) -> double
        Gyoto::Metric::KerrBL::getRmb Returns the marginally bound radius
        Should be implemented in derived classes if useful If called on the
        base class, returns an error 
        """
        return _std.KerrBL_getRmb(self)

    def getSpecificAngularMomentum(self, rr):
        r"""
        getSpecificAngularMomentum(KerrBL self, double rr) -> double
        Gyoto::Metric::KerrBL::getSpecificAngularMomentum Returns the specific
        angular momentum l=-u_phi/u_t Should be implemented in derived classes
        if useful If called on the base class, returns an error 
        """
        return _std.KerrBL_getSpecificAngularMomentum(self, rr)

    def getPotential(self, pos, l_cst):
        r"""
        getPotential(KerrBL self, double const [4] pos, double l_cst) -> double
        Gyoto::Metric::KerrBL::getPotential Returns potential W=-ln(|u_t|) for
        a cst specific angular momentum l_cst Should be implemented in derived
        classes if useful If called on the base class, returns an error 
        """
        return _std.KerrBL_getPotential(self, pos, l_cst)

    def gmunu(self, *args):
        r"""
        gmunu(KerrBL self, double const [4] IN_ARRAY1)
        gmunu(KerrBL self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::KerrBL::gmunu  Metric coefficients.

        The default implementation calls Metric:: gmunu(double g[4][4], const
        double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.KerrBL_gmunu(self, *args)

    def gmunu_up(self, *args):
        r"""
        gmunu_up(KerrBL self, double const [4] IN_ARRAY1)
        gmunu_up(KerrBL self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::KerrBL::gmunu_up  Metric contravariant coefficients.

        The default implementation calls Metric:: gmunu_up(double g[4][4],
        const double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.KerrBL_gmunu_up(self, *args)

    def ScalarProd(self, pos, u1, u2):
        r"""
        ScalarProd(KerrBL self, double const [4] pos, double const [4] u1, double const [4] u2) -> double
        Gyoto::Metric::KerrBL::ScalarProd Scalar product.

        Compute the scalarproduct of the two quadrivectors u1 and u2 in this
        Metric, at point pos expressed in coordinate system sys.

        Parameters:
        -----------

        pos:  4-position;

        u1:  1st quadrivector;

        u2:  2nd quadrivector;

        u1*u2 
        """
        return _std.KerrBL_ScalarProd(self, pos, u1, u2)

    def nullifyCoord(self, *args):
        r"""
        nullifyCoord(KerrBL self, double [8] coord, double & tdot2)
        nullifyCoord(KerrBL self, double [8] coord)
        Gyoto::Metric::KerrBL::nullifyCoord Set tdot (coord[4]) such that
        coord is light-like. Everything is in geometrical units.

        Set coord[4] so that the 4-velocity coord[4:7] is lightlike, i.e. of
        norm 0. There may be up to two solutions. coord[4] is set to the
        hightest. The lowest can be retrieved using nullifyCoord(double
        coord[8], double& tdot2) const. Everything is expressed in geometrical
        units.

        Parameters:
        -----------

        coord:  8-position, coord[4] will be set according to the other
        elements; 
        """
        return _std.KerrBL_nullifyCoord(self, *args)

    def MakeCoord(self, coordin, cst, coordout):
        r"""
        MakeCoord(KerrBL self, double const [8] coordin, double const [5] cst, double [8] coordout)
        Gyoto::Metric::KerrBL::MakeCoord Inverse function of
        MakeMomentumAndCst.

        Computes pr, ptheta, E and L from rdot, thetadot, phidot, tdot 
        """
        return _std.KerrBL_MakeCoord(self, coordin, cst, coordout)

    def MakeMomentum(self, coordin, cst, coordout):
        r"""
        MakeMomentum(KerrBL self, double const [8] coordin, double const [5] cst, double [8] coordout)
        Gyoto::Metric::KerrBL::MakeMomentum Transforms from Boyer-Lindquist
        coordinates [t,r,th,phi,tdot,rdot,thdot,phidot] to
        [t,r,th,phi,pt,pr,pth,pphi] where pt,pr... are generalized momenta. 
        """
        return _std.KerrBL_MakeMomentum(self, coordin, cst, coordout)

    def myrk4(self, coor, cst, h, res):
        r"""
        myrk4(KerrBL self, double const [8] coor, double const [5] cst, double h, double [8] res) -> int
        Gyoto::Metric::Generic::myrk4 Obsolete, update your code. 
        """
        return _std.KerrBL_myrk4(self, coor, cst, h, res)

    def myrk4_adaptive(self, *args):
        r"""
        myrk4_adaptive(KerrBL self, Worldline line, vector_double coor, double lastnorm, double normref, vector_double coor1, double h0, double & h1, double h1max=DBL_MAX) -> int
        Gyoto::Metric::Generic::myrk4_adaptive Obsolete, update your code. 
        """
        return _std.KerrBL_myrk4_adaptive(self, *args)

    def diff(self, x, dxdt, mass):
        r"""
        diff(KerrBL self, vector_double x, vector_double dxdt, double mass) -> int
        Gyoto::Metric::Generic::diff
        """
        return _std.KerrBL_diff(self, x, dxdt, mass)

    def setParticleProperties(self, line, coord):
        r"""
        setParticleProperties(KerrBL self, Worldline line, double const * coord)
        Gyoto::Metric::Generic::setParticleProperties Set Metric-specific
        constants of motion. Used e.g. in KerrBL. 
        """
        return _std.KerrBL_setParticleProperties(self, line, coord)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(KerrBL self, double const [8] coord) -> int
        Gyoto::Metric::KerrBL::isStopCondition Check whether integration
        should stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.KerrBL_isStopCondition(self, coord)

    def observerTetrad(self, pos, fourvel, screen1, screen2, screen3):
        r"""
        observerTetrad(KerrBL self, double const [4] pos, double [4] fourvel, double [4] screen1, double [4] screen2, double [4] screen3)
        Gyoto::Metric::Generic::observerTetrad Computes the orthonormal local
        tetrad of the observer.

        Parameters:
        -----------

        obskind:  input: kind of observer (eg:
        "ZAMO","KeplerianObserver"...)

        pos:  input: position,

        fourvel:  output: observer 4-velocity (norm -1)

        screen1:  output: first vector in the screen plane

        screen2:  output: second vector in the screen plane

        screen3:  output: vector normal to the screen 
        """
        return _std.KerrBL_observerTetrad(self, pos, fourvel, screen1, screen2, screen3)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(KerrBL self, double const [4] pos, double [4] vel, double dir=1.)
        circularVelocity(KerrBL self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrBL::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.KerrBL_circularVelocity(self, *args)

    def zamoVelocity(self, *args):
        r"""
        zamoVelocity(KerrBL self, double const [4] pos, double [4] vel)
        zamoVelocity(KerrBL self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrBL::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.KerrBL_zamoVelocity(self, *args)

    def christoffel(self, *args):
        r"""
        christoffel(KerrBL self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(KerrBL self, double [4][4][4] dst, double const [4] pos) -> int
        christoffel(KerrBL self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrBL::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.KerrBL_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(KerrBL self) -> KerrBL
        __init__(KerrBL self, Metric base) -> KerrBL
        __init__(KerrBL self, long address) -> KerrBL
        Gyoto::Metric::KerrBL::KerrBL Default constructor. 
        """
        _std.KerrBL_swiginit(self, _std.new_KerrBL(*args))
    __swig_destroy__ = _std.delete_KerrBL

# Register KerrBL in _std:
_std.KerrBL_swigregister(KerrBL)
KerrBL.properties = _std.cvar.KerrBL_properties
KerrBL.builtinPluginValue = _std.cvar.KerrBL_builtinPluginValue

class KerrKS(gyoto.core.Metric):
    r"""


    Metric around a Kerr black-hole in Kerr-Schild coordinates Warning:
    this metric is seldom used and may be buggy.

    By default, uses the generic integrator ( Metric::Generic::myrk4()).
    Use to use the specific integretor which is, as of writting, buggy.

    C++ includes: GyotoKerrKS.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(KerrKS self) -> Property
        Gyoto::Metric::KerrKS::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.KerrKS_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(KerrKS self, vector_string plugname)
        plugins(KerrKS self) -> vector_string
        """
        return _std.KerrKS_plugins(self, *args)

    def clone(self):
        r"""
        clone(KerrKS self) -> KerrKS
        Gyoto::Metric::KerrKS::clone Copy constructor. 
        """
        return _std.KerrKS_clone(self)

    def spin(self, *args):
        r"""
        spin(KerrKS self, double const spin)
        spin(KerrKS self) -> double
        Gyoto::Metric::KerrKS::spin Returns spin. 
        """
        return _std.KerrKS_spin(self, *args)

    def horizonSecurity(self, *args):
        r"""
        horizonSecurity(KerrKS self, double drhor)
        horizonSecurity(KerrKS self) -> double
        Gyoto::Metric::KerrKS::horizonSecurity
        """
        return _std.KerrKS_horizonSecurity(self, *args)

    def gmunu(self, *args):
        r"""
        gmunu(KerrKS self, double const [4] x, int alpha, int beta) -> double
        gmunu(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrKS::gmunu  Metric coefficients.

        The default implementation calls double gmunu(const double * x, int
        mu, int nu) const.

        Parameters:
        -----------

        ARGOUT_ARRAY2:  (g) 4x4 array to store the coeefficients

        IN_ARRAY1:  (x) 4-position at which to compute the coefficients;

        Metric coefficient g, at point x 
        """
        return _std.KerrKS_gmunu(self, *args)

    def gmunu_up(self, *args):
        r"""
        gmunu_up(KerrKS self, double const [4] x, int mu, int nu) -> double
        gmunu_up(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::gmunu_up  Metric contravariant coefficients.

        The default implementation calls Metric:: gmunu_up(double g[4][4],
        const double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.KerrKS_gmunu_up(self, *args)

    def jacobian(self, x):
        r"""
        jacobian(KerrKS self, double const [4] x)
        Gyoto::Metric::KerrKS::jacobian The derivatives of gmunu.

        Used in the test suite 
        """
        return _std.KerrKS_jacobian(self, x)

    def gmunu_up_and_jacobian(self, IN_ARRAY1):
        r"""
        gmunu_up_and_jacobian(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrKS::gmunu_up_and_jacobian  gmunu_up() and
        jacobian() in one go 
        """
        return _std.KerrKS_gmunu_up_and_jacobian(self, IN_ARRAY1)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(KerrKS self, double const [8] coord) -> int
        Gyoto::Metric::KerrKS::isStopCondition Check whether integration
        should stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.KerrKS_isStopCondition(self, coord)

    def setParameter(self, name, content, unit):
        r"""
        setParameter(KerrKS self, std::string name, std::string content, std::string unit) -> int
        Gyoto::Object::setParameter Set parameter by Property (and name)

        This function is used when parsing an XML description, if Property (
        p) of this name is found (i.e. either p.name or p.name_false is equal
        to name). Implementation should fall-back on calling the direct's
        parent implementation:

        Parameters:
        -----------

        p:   Property that matches name ( p.name == name or p.name_false ==
        name)

        name:  XML name of the parameter (XML entity)

        content:  string representation of the value

        unit:  string representation of the unit 
        """
        return _std.KerrKS_setParameter(self, name, content, unit)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(KerrKS self, double const [4] pos, double [4] vel, double dir=1.)
        circularVelocity(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrKS::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.KerrKS_circularVelocity(self, *args)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.KerrKS_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(KerrKS self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(KerrKS self, double [4][4][4] dst, double const [4] coord) -> int
        christoffel(KerrKS self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.KerrKS_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(KerrKS self) -> KerrKS
        __init__(KerrKS self, Metric base) -> KerrKS
        __init__(KerrKS self, long address) -> KerrKS
        Gyoto::Metric::KerrKS::KerrKS Default constructor. 
        """
        _std.KerrKS_swiginit(self, _std.new_KerrKS(*args))
    __swig_destroy__ = _std.delete_KerrKS

# Register KerrKS in _std:
_std.KerrKS_swigregister(KerrKS)
KerrKS.properties = _std.cvar.KerrKS_properties
KerrKS.builtinPluginValue = _std.cvar.KerrKS_builtinPluginValue

class Minkowski(gyoto.core.Metric):
    r"""


    The Minkowski flat-space metric.

    Use <Cartesian> or </Spherical> to select the coordinate system kind.

    C++ includes: GyotoMinkowski.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def spherical(self, *args):
        r"""
        spherical(Minkowski self, bool arg2)
        spherical(Minkowski self) -> bool
        Gyoto::Metric::Minkowski::spherical
        """
        return _std.Minkowski_spherical(self, *args)

    def getProperties(self):
        r"""
        getProperties(Minkowski self) -> Property
        Gyoto::Metric::Minkowski::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Minkowski_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Minkowski self, vector_string plugname)
        plugins(Minkowski self) -> vector_string
        """
        return _std.Minkowski_plugins(self, *args)

    def clone(self):
        r"""
        clone(Minkowski self) -> Minkowski
        Gyoto::Metric::Minkowski::clone Virtual copy constructor. 
        """
        return _std.Minkowski_clone(self)

    def gmunu(self, *args):
        r"""
        gmunu(Minkowski self, double const [4] IN_ARRAY1)
        gmunu(Minkowski self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::Minkowski::gmunu  Metric coefficients.

        The default implementation calls Metric:: gmunu(double g[4][4], const
        double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.Minkowski_gmunu(self, *args)

    def observerTetrad(self, obskind, pos, fourvel, screen1, screen2, screen3):
        r"""
        observerTetrad(Minkowski self, unsigned int obskind, double const [4] pos, double [4] fourvel, double [4] screen1, double [4] screen2, double [4] screen3)
        Gyoto::Metric::Generic::observerTetrad Computes the orthonormal local
        tetrad of the observer.

        Parameters:
        -----------

        pos:  position,

        fourvel:  observer 4-velocity (norm -1)

        screen1:  first vector in the screen plane

        screen2:  second vector in the screen plane

        screen3:  vector normal to the screen 
        """
        return _std.Minkowski_observerTetrad(self, obskind, pos, fourvel, screen1, screen2, screen3)

    def diff(self, x, dxdt, mass):
        r"""
        diff(Minkowski self, vector_double x, vector_double dxdt, double mass) -> int
        Gyoto::Metric::Generic::diff
        """
        return _std.Minkowski_diff(self, x, dxdt, mass)

    def circularVelocity(self, IN_ARRAY1):
        r"""
        circularVelocity(Minkowski self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.Minkowski_circularVelocity(self, IN_ARRAY1)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(Minkowski self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.Minkowski_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(Minkowski self, double [4][4][4] dst, double const [4] x) -> int
        christoffel(Minkowski self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(Minkowski self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Minkowski::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3). 
        """
        return _std.Minkowski_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(Minkowski self) -> Minkowski
        __init__(Minkowski self, Metric base) -> Minkowski
        __init__(Minkowski self, long address) -> Minkowski
        Gyoto::Metric::Minkowski::Minkowski
        """
        _std.Minkowski_swiginit(self, _std.new_Minkowski(*args))
    __swig_destroy__ = _std.delete_Minkowski

# Register Minkowski in _std:
_std.Minkowski_swigregister(Minkowski)
Minkowski.properties = _std.cvar.Minkowski_properties
Minkowski.builtinPluginValue = _std.cvar.Minkowski_builtinPluginValue

class ChernSimons(KerrBL):
    r"""Proxy of C++ Gyoto::Metric::ChernSimons class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ChernSimons self) -> Property
        Gyoto::Metric::ChernSimons::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ChernSimons_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ChernSimons self, vector_string plugname)
        plugins(ChernSimons self) -> vector_string
        """
        return _std.ChernSimons_plugins(self, *args)
    __swig_destroy__ = _std.delete_ChernSimons

    def clone(self):
        r"""
        clone(ChernSimons self) -> ChernSimons
        Gyoto::Metric::ChernSimons::clone Virtual copy constructor. 
        """
        return _std.ChernSimons_clone(self)

    def dzetaCS(self, *args):
        r"""
        dzetaCS(ChernSimons self, double d)
        dzetaCS(ChernSimons self) -> double
        Gyoto::Metric::ChernSimons::dzetaCS
        """
        return _std.ChernSimons_dzetaCS(self, *args)

    def gmunu(self, *args):
        r"""
        gmunu(ChernSimons self, double const [4] IN_ARRAY1)
        gmunu(ChernSimons self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::ChernSimons::gmunu  Metric coefficients.

        The default implementation calls Metric:: gmunu(double g[4][4], const
        double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.ChernSimons_gmunu(self, *args)

    def gmunu_up(self, *args):
        r"""
        gmunu_up(ChernSimons self, double const [4] IN_ARRAY1)
        gmunu_up(ChernSimons self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::ChernSimons::gmunu_up  Metric contravariant
        coefficients.

        The default implementation calls Metric:: gmunu_up(double g[4][4],
        const double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.ChernSimons_gmunu_up(self, *args)

    def diff(self, y, cst, res):
        r"""
        diff(ChernSimons self, double const [8] y, double const [5] cst, double [8] res) -> int
        Gyoto::Metric::Generic::diff
        """
        return _std.ChernSimons_diff(self, y, cst, res)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(ChernSimons self, double const [4] pos, double [4] vel, double dir=1.)
        circularVelocity(ChernSimons self, double const [4] IN_ARRAY1)
        Gyoto::Metric::ChernSimons::circularVelocity Yield circular velocity
        at a given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.ChernSimons_circularVelocity(self, *args)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(ChernSimons self, double const [4] IN_ARRAY1)
        Gyoto::Metric::KerrBL::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.ChernSimons_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(ChernSimons self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(ChernSimons self, double [4][4][4] dst, double const [4] x) -> int
        christoffel(ChernSimons self, double const [4] IN_ARRAY1)
        Gyoto::Metric::ChernSimons::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.ChernSimons_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(ChernSimons self) -> ChernSimons
        __init__(ChernSimons self, ChernSimons o) -> ChernSimons
        __init__(ChernSimons self, Metric base) -> ChernSimons
        __init__(ChernSimons self, long address) -> ChernSimons
        Gyoto::Metric::ChernSimons::ChernSimons
        """
        _std.ChernSimons_swiginit(self, _std.new_ChernSimons(*args))

# Register ChernSimons in _std:
_std.ChernSimons_swigregister(ChernSimons)
ChernSimons.properties = _std.cvar.ChernSimons_properties
ChernSimons.builtinPluginValue = _std.cvar.ChernSimons_builtinPluginValue

class RezzollaZhidenko(gyoto.core.Metric):
    r"""Proxy of C++ Gyoto::Metric::RezzollaZhidenko class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(RezzollaZhidenko self) -> Property
        Gyoto::Metric::RezzollaZhidenko::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.RezzollaZhidenko_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(RezzollaZhidenko self, vector_string plugname)
        plugins(RezzollaZhidenko self) -> vector_string
        """
        return _std.RezzollaZhidenko_plugins(self, *args)
    __swig_destroy__ = _std.delete_RezzollaZhidenko

    def clone(self):
        r"""
        clone(RezzollaZhidenko self) -> RezzollaZhidenko
        Gyoto::Metric::RezzollaZhidenko::clone Virtual copy constructor. 
        """
        return _std.RezzollaZhidenko_clone(self)

    def epsilon(self, *args):
        r"""
        epsilon(RezzollaZhidenko self, double arg2)
        epsilon(RezzollaZhidenko self) -> double
        """
        return _std.RezzollaZhidenko_epsilon(self, *args)

    def rms(self, *args):
        r"""
        rms(RezzollaZhidenko self, double arg2)
        rms(RezzollaZhidenko self) -> double
        """
        return _std.RezzollaZhidenko_rms(self, *args)

    def rmb(self, *args):
        r"""
        rmb(RezzollaZhidenko self, double arg2)
        rmb(RezzollaZhidenko self) -> double
        """
        return _std.RezzollaZhidenko_rmb(self, *args)

    def aparam(self, *args):
        r"""
        aparam(RezzollaZhidenko self, vector_double v)
        aparam(RezzollaZhidenko self) -> vector_double
        Gyoto::Metric::RezzollaZhidenko::aparam
        """
        return _std.RezzollaZhidenko_aparam(self, *args)

    def bparam(self, *args):
        r"""
        bparam(RezzollaZhidenko self, vector_double v)
        bparam(RezzollaZhidenko self) -> vector_double
        Gyoto::Metric::RezzollaZhidenko::bparam
        """
        return _std.RezzollaZhidenko_bparam(self, *args)

    def gmunu(self, *args):
        r"""
        gmunu(RezzollaZhidenko self, double const [4] IN_ARRAY1)
        gmunu(RezzollaZhidenko self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::RezzollaZhidenko::gmunu  Metric coefficients.

        The default implementation calls double gmunu(const double * x, int
        mu, int nu) const.

        Parameters:
        -----------

        ARGOUT_ARRAY2:  (g) 4x4 array to store the coeefficients

        IN_ARRAY1:  (x) 4-position at which to compute the coefficients;

        Metric coefficient g, at point x 
        """
        return _std.RezzollaZhidenko_gmunu(self, *args)

    def N2(self, rr):
        r"""
        N2(RezzollaZhidenko self, double const rr) -> double
        Gyoto::Metric::RezzollaZhidenko::N2
        """
        return _std.RezzollaZhidenko_N2(self, rr)

    def B2(self, rr):
        r"""
        B2(RezzollaZhidenko self, double const rr) -> double
        Gyoto::Metric::RezzollaZhidenko::B2
        """
        return _std.RezzollaZhidenko_B2(self, rr)

    def Nprime(self, rr):
        r"""
        Nprime(RezzollaZhidenko self, double const rr) -> double
        Gyoto::Metric::RezzollaZhidenko::Nprime
        """
        return _std.RezzollaZhidenko_Nprime(self, rr)

    def Bprime(self, rr):
        r"""
        Bprime(RezzollaZhidenko self, double const rr) -> double
        Gyoto::Metric::RezzollaZhidenko::Bprime
        """
        return _std.RezzollaZhidenko_Bprime(self, rr)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(RezzollaZhidenko self, double const [8] coord) -> int
        Gyoto::Metric::RezzollaZhidenko::isStopCondition Check whether
        integration should stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.RezzollaZhidenko_isStopCondition(self, coord)

    def getRmb(self):
        r"""
        getRmb(RezzollaZhidenko self) -> double
        Gyoto::Metric::RezzollaZhidenko::getRmb Returns the marginally bound
        radius Should be implemented in derived classes if useful If called on
        the base class, returns an error 
        """
        return _std.RezzollaZhidenko_getRmb(self)

    def getRms(self):
        r"""
        getRms(RezzollaZhidenko self) -> double
        Gyoto::Metric::RezzollaZhidenko::getRms Returns the marginally stable
        (ISCO) radius Should be implemented in derived classes if useful If
        called on the base class, returns an error 
        """
        return _std.RezzollaZhidenko_getRms(self)

    def getPotential(self, pos, l_cst):
        r"""
        getPotential(RezzollaZhidenko self, double const [4] pos, double l_cst) -> double
        Gyoto::Metric::RezzollaZhidenko::getPotential Returns potential
        W=-ln(|u_t|) for a cst specific angular momentum l_cst Should be
        implemented in derived classes if useful If called on the base class,
        returns an error 
        """
        return _std.RezzollaZhidenko_getPotential(self, pos, l_cst)

    def getSpecificAngularMomentum(self, rr):
        r"""
        getSpecificAngularMomentum(RezzollaZhidenko self, double rr) -> double
        Gyoto::Metric::RezzollaZhidenko::getSpecificAngularMomentum Returns
        the specific angular momentum l=-u_phi/u_t Should be implemented in
        derived classes if useful If called on the base class, returns an
        error 
        """
        return _std.RezzollaZhidenko_getSpecificAngularMomentum(self, rr)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(RezzollaZhidenko self, double const [4] pos, double [4] vel, double dir=1.)
        circularVelocity(RezzollaZhidenko self, double const [4] IN_ARRAY1)
        Gyoto::Metric::RezzollaZhidenko::circularVelocity Yield circular
        velocity at a given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.RezzollaZhidenko_circularVelocity(self, *args)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(RezzollaZhidenko self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.RezzollaZhidenko_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(RezzollaZhidenko self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(RezzollaZhidenko self, double [4][4][4] dst, double const [4] pos) -> int
        christoffel(RezzollaZhidenko self, double const [4] IN_ARRAY1)
        Gyoto::Metric::RezzollaZhidenko::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.RezzollaZhidenko_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(RezzollaZhidenko self) -> RezzollaZhidenko
        __init__(RezzollaZhidenko self, RezzollaZhidenko orig) -> RezzollaZhidenko
        __init__(RezzollaZhidenko self, Metric base) -> RezzollaZhidenko
        __init__(RezzollaZhidenko self, long address) -> RezzollaZhidenko
        Gyoto::Metric::RezzollaZhidenko::RezzollaZhidenko
        """
        _std.RezzollaZhidenko_swiginit(self, _std.new_RezzollaZhidenko(*args))

# Register RezzollaZhidenko in _std:
_std.RezzollaZhidenko_swigregister(RezzollaZhidenko)
RezzollaZhidenko.properties = _std.cvar.RezzollaZhidenko_properties
RezzollaZhidenko.builtinPluginValue = _std.cvar.RezzollaZhidenko_builtinPluginValue

class Hayward(gyoto.core.Metric):
    r"""


    Metric of a regular rotating black hole or naked worm-hole.

    This is a regular rotating extension of Hayward's metric.

    The metric reads:
    ds^2=-(1-2*M(r)*r/Sigma)*dt^2-(4*a*M(r)*sin^2(theta)/Sigma)*dt*dphi+(Sigma/Delta)*dr^2+(Sigma)*dtheta^2+sin^2(theta)*[r^2+a^2+2*a^2*r*M(r)*sin^2(theta)/Sigma]*dphi^2,
    where: Sigma=r^2+a^2*cos^2(theta) Delta=r^2-2*M(r)*r+a^2
    M(r)=M*abs(r)^3/(abs(r)^3+2*m*b^2), m being the mass of the black hole
    seen at infinity and b a magnetic charge parameter.

    See Lamy et al. (2018), Classical and Quantum Gravity,
    submitted,https://arxiv.org/abs/1802.01635

    See Hayward (2006) for the original nonrotating
    metric,https://journals.aps.org/prl/abstract/10.1103/PhysRevLett.96.031103

    See Bambi & Modesto (2013) for a rotating (but singular)
    extension.https://www.sciencedirect.com/science/article/pii/S0370269313002505?via%3Dihub

    C++ includes: GyotoHayward.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(Hayward self) -> Property
        Gyoto::Metric::Hayward::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.Hayward_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(Hayward self, vector_string plugname)
        plugins(Hayward self) -> vector_string
        """
        return _std.Hayward_plugins(self, *args)

    def clone(self):
        r"""
        clone(Hayward self) -> Hayward
        Gyoto::Metric::Hayward::clone Virtual copy constructor. 
        """
        return _std.Hayward_clone(self)

    def spin(self, *args):
        r"""
        spin(Hayward self, double const spin)
        spin(Hayward self) -> double
        Gyoto::Metric::Hayward::spin Returns spin. 
        """
        return _std.Hayward_spin(self, *args)

    def charge(self, *args):
        r"""
        charge(Hayward self, double const charge)
        charge(Hayward self) -> double
        Gyoto::Metric::Hayward::charge Returns charge. 
        """
        return _std.Hayward_charge(self, *args)

    def getSpecificAngularMomentum(self, rr):
        r"""
        getSpecificAngularMomentum(Hayward self, double rr) -> double
        Gyoto::Metric::Hayward::getSpecificAngularMomentum Returns the
        specific angular momentum l=-u_phi/u_t Should be implemented in
        derived classes if useful If called on the base class, returns an
        error 
        """
        return _std.Hayward_getSpecificAngularMomentum(self, rr)

    def getPotential(self, pos, l_cst):
        r"""
        getPotential(Hayward self, double const [4] pos, double l_cst) -> double
        Gyoto::Metric::Hayward::getPotential Returns potential W=-ln(|u_t|)
        for a cst specific angular momentum l_cst Should be implemented in
        derived classes if useful If called on the base class, returns an
        error 
        """
        return _std.Hayward_getPotential(self, pos, l_cst)

    def gmunu(self, *args):
        r"""
        gmunu(Hayward self, double const [4] IN_ARRAY1)
        gmunu(Hayward self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::Hayward::gmunu  Metric coefficients.

        The default implementation calls Metric:: gmunu(double g[4][4], const
        double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.Hayward_gmunu(self, *args)

    def gmunu_up(self, *args):
        r"""
        gmunu_up(Hayward self, double const [4] IN_ARRAY1)
        gmunu_up(Hayward self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::Hayward::gmunu_up  Metric contravariant coefficients.

        The default implementation calls Metric:: gmunu_up(double g[4][4],
        const double * pos) const

        Parameters:
        -----------

        x:  4-position at which to compute the coefficient;

        mu:  1st index of coefficient, 03;

        nu:  2nd index of coefficient, 03;

        Metric coefficient g, at point x 
        """
        return _std.Hayward_gmunu_up(self, *args)

    def ScalarProd(self, pos, u1, u2):
        r"""
        ScalarProd(Hayward self, double const [4] pos, double const [4] u1, double const [4] u2) -> double
        Gyoto::Metric::Hayward::ScalarProd Scalar product.

        Compute the scalarproduct of the two quadrivectors u1 and u2 in this
        Metric, at point pos expressed in coordinate system sys.

        Parameters:
        -----------

        pos:  4-position;

        u1:  1st quadrivector;

        u2:  2nd quadrivector;

        u1*u2 
        """
        return _std.Hayward_ScalarProd(self, pos, u1, u2)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(Hayward self, double const [4] coor, double [4] vel, double dir)
        circularVelocity(Hayward self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Hayward::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.Hayward_circularVelocity(self, *args)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(Hayward self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.Hayward_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(Hayward self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(Hayward self, double [4][4][4] dst, double const [4] pos) -> int
        christoffel(Hayward self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Hayward::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.Hayward_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(Hayward self) -> Hayward
        __init__(Hayward self, Metric base) -> Hayward
        __init__(Hayward self, long address) -> Hayward
        Gyoto::Metric::Hayward::Hayward Default constructor. 
        """
        _std.Hayward_swiginit(self, _std.new_Hayward(*args))
    __swig_destroy__ = _std.delete_Hayward

# Register Hayward in _std:
_std.Hayward_swigregister(Hayward)
Hayward.properties = _std.cvar.Hayward_properties
Hayward.builtinPluginValue = _std.cvar.Hayward_builtinPluginValue

class SchwarzschildHarmonic(gyoto.core.Metric):
    r"""Proxy of C++ Gyoto::Metric::SchwarzschildHarmonic class."""

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(SchwarzschildHarmonic self) -> Property
        Gyoto::Metric::SchwarzschildHarmonic::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.SchwarzschildHarmonic_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(SchwarzschildHarmonic self, vector_string plugname)
        plugins(SchwarzschildHarmonic self) -> vector_string
        """
        return _std.SchwarzschildHarmonic_plugins(self, *args)
    __swig_destroy__ = _std.delete_SchwarzschildHarmonic

    def clone(self):
        r"""
        clone(SchwarzschildHarmonic self) -> SchwarzschildHarmonic
        Gyoto::Metric::SchwarzschildHarmonic::clone Virtual copy constructor.

        """
        return _std.SchwarzschildHarmonic_clone(self)

    def gmunu(self, *args):
        r"""
        gmunu(SchwarzschildHarmonic self, double const [4] IN_ARRAY1)
        gmunu(SchwarzschildHarmonic self, double const [4] x, int mu, int nu) -> double
        Gyoto::Metric::SchwarzschildHarmonic::gmunu  Metric coefficients.

        The default implementation calls double gmunu(const double * x, int
        mu, int nu) const.

        Parameters:
        -----------

        ARGOUT_ARRAY2:  (g) 4x4 array to store the coeefficients

        IN_ARRAY1:  (x) 4-position at which to compute the coefficients;

        Metric coefficient g, at point x 
        """
        return _std.SchwarzschildHarmonic_gmunu(self, *args)

    def isStopCondition(self, coord):
        r"""
        isStopCondition(SchwarzschildHarmonic self, double const [8] coord) -> int
        Gyoto::Metric::SchwarzschildHarmonic::isStopCondition Check whether
        integration should stop.

        The integrating loop will ask this the Metric through this method
        whether or not it is happy to continue the integration. Typically, the
        Metric should answer 0 when everything is fine, 1 when too close to
        the event horizon, inside the BH...

        Parameters:
        -----------

        coord:  8-coordinate vector to check. 
        """
        return _std.SchwarzschildHarmonic_isStopCondition(self, coord)

    def circularVelocity(self, *args):
        r"""
        circularVelocity(SchwarzschildHarmonic self, double const * coor, double * vel, double dir)
        circularVelocity(SchwarzschildHarmonic self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::circularVelocity Yield circular velocity at a
        given position.

        Give the velocity of a massive particle in circular orbit at the given
        position projected onto the equatorial plane. Such a velocity may not
        exist everywhere (or anywhere) for a given metric. This method is
        intended to be used by Astrobj classes such as Torus or ThinDisk.

        If keplerian_ is set to true, this method should return the Keplerian
        velcity instead (derived classes should ensure this, see
        KerrBL::circularVelocity() for instance).

        The default implementation throws an error if keplerian_ is set to
        false.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity,

        dir:  1 for corotating, -1 for counterrotating. 
        """
        return _std.SchwarzschildHarmonic_circularVelocity(self, *args)

    def zamoVelocity(self, IN_ARRAY1):
        r"""
        zamoVelocity(SchwarzschildHarmonic self, double const [4] IN_ARRAY1)
        Gyoto::Metric::Generic::zamoVelocity Yield ZAMO velocity at a given
        position.

        Give the velocity of a zero angular momentul observer (whatever is
        closest to "at rest"). The default implementation simply projects
        (1, 0, 0, 0) othogonally along ephi and normalizes it, thus ensuring
        that vel is orthogonal to ephi.

        Parameters:
        -----------

        pos:  input: position,

        vel:  output: velocity, 
        """
        return _std.SchwarzschildHarmonic_zamoVelocity(self, IN_ARRAY1)

    def christoffel(self, *args):
        r"""
        christoffel(SchwarzschildHarmonic self, double const [4] coord, int const alpha, int const mu, int const nu) -> double
        christoffel(SchwarzschildHarmonic self, double [4][4][4] dst, double const [4] pos) -> int
        christoffel(SchwarzschildHarmonic self, double const [4] IN_ARRAY1)
        Gyoto::Metric::SchwarzschildHarmonic::christoffel Chistoffel symbol.

        Value of Christoffel symbol at point (x1, x2, x3).

        1 on error, 0 otherwise 
        """
        return _std.SchwarzschildHarmonic_christoffel(self, *args)

    def __init__(self, *args):
        r"""
        __init__(SchwarzschildHarmonic self) -> SchwarzschildHarmonic
        __init__(SchwarzschildHarmonic self, SchwarzschildHarmonic orig) -> SchwarzschildHarmonic
        __init__(SchwarzschildHarmonic self, Metric base) -> SchwarzschildHarmonic
        __init__(SchwarzschildHarmonic self, long address) -> SchwarzschildHarmonic
        Gyoto::Metric::SchwarzschildHarmonic::SchwarzschildHarmonic
        """
        _std.SchwarzschildHarmonic_swiginit(self, _std.new_SchwarzschildHarmonic(*args))

# Register SchwarzschildHarmonic in _std:
_std.SchwarzschildHarmonic_swigregister(SchwarzschildHarmonic)
SchwarzschildHarmonic.properties = _std.cvar.SchwarzschildHarmonic_properties
SchwarzschildHarmonic.builtinPluginValue = _std.cvar.SchwarzschildHarmonic_builtinPluginValue

class PowerLaw(gyoto.core.Spectrum):
    r"""


    I_nu=constant_*nu^exponent_.

    Light emitted by e.g. a Star.

    XML stanza:

    C++ includes: GyotoPowerLawSpectrum.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PowerLaw self) -> Property
        Gyoto::Spectrum::PowerLaw::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PowerLaw_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PowerLaw self, vector_string plugname)
        plugins(PowerLaw self) -> vector_string
        """
        return _std.PowerLaw_plugins(self, *args)

    def clone(self):
        r"""
        clone(PowerLaw self) -> PowerLaw
        Gyoto::Spectrum::PowerLaw::clone Cloner. 
        """
        return _std.PowerLaw_clone(self)

    def constant(self, *args):
        r"""
        constant(PowerLaw self) -> double
        constant(PowerLaw self, double arg2)
        Gyoto::Spectrum::PowerLaw::constant Set constant_. 
        """
        return _std.PowerLaw_constant(self, *args)

    def exponent(self, *args):
        r"""
        exponent(PowerLaw self) -> double
        exponent(PowerLaw self, double arg2)
        Gyoto::Spectrum::PowerLaw::exponent Set exponent_. 
        """
        return _std.PowerLaw_exponent(self, *args)

    def cutoff(self, *args):
        r"""
        cutoff(PowerLaw self, std::string const & unit) -> vector_double
        cutoff(PowerLaw self, vector_double v, std::string const & unit)
        cutoff(PowerLaw self) -> vector_double
        cutoff(PowerLaw self, vector_double v)
        Gyoto::Spectrum::PowerLaw::cutoff Set cutoffs, in Hz. 
        """
        return _std.PowerLaw_cutoff(self, *args)

    def __call__(self, *args):
        r"""
        __call__(PowerLaw self, double nu, double opacity, double ds) -> double
        __call__(PowerLaw self, double nu) -> double
        """
        return _std.PowerLaw___call__(self, *args)

    def __init__(self, *args):
        r"""
        __init__(PowerLaw self) -> PowerLaw
        __init__(PowerLaw self, double exponent, double constant=1.) -> PowerLaw
        __init__(PowerLaw self, Spectrum base) -> PowerLaw
        __init__(PowerLaw self, long address) -> PowerLaw
        Gyoto::Spectrum::PowerLaw::PowerLaw Constructor setting exponent_ and
        optionally constant_. 
        """
        _std.PowerLaw_swiginit(self, _std.new_PowerLaw(*args))
    __swig_destroy__ = _std.delete_PowerLaw

# Register PowerLaw in _std:
_std.PowerLaw_swigregister(PowerLaw)
PowerLaw.properties = _std.cvar.PowerLaw_properties
PowerLaw.builtinPluginValue = _std.cvar.PowerLaw_builtinPluginValue

class BlackBody(gyoto.core.Spectrum):
    r"""


    Black Body.

    Light emitted by e.g. a Star.

    Example XML entity:

    C++ includes: GyotoBlackBodySpectrum.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(BlackBody self) -> Property
        Gyoto::Spectrum::BlackBody::getProperties Get list of properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.BlackBody_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(BlackBody self, vector_string plugname)
        plugins(BlackBody self) -> vector_string
        """
        return _std.BlackBody_plugins(self, *args)

    def clone(self):
        r"""
        clone(BlackBody self) -> BlackBody
        Gyoto::Spectrum::BlackBody::clone Cloner. 
        """
        return _std.BlackBody_clone(self)

    def temperature(self, *args):
        r"""
        temperature(BlackBody self) -> double
        temperature(BlackBody self, double arg2)
        Gyoto::Spectrum::BlackBody::temperature Set constant. 
        """
        return _std.BlackBody_temperature(self, *args)

    def scaling(self, *args):
        r"""
        scaling(BlackBody self) -> double
        scaling(BlackBody self, double arg2)
        Gyoto::Spectrum::BlackBody::scaling Set exponent. 
        """
        return _std.BlackBody_scaling(self, *args)

    def colorCorrection(self, *args):
        r"""
        colorCorrection(BlackBody self) -> double
        colorCorrection(BlackBody self, double arg2)
        Gyoto::Spectrum::BlackBody::colorCorrection Set color correction. 
        """
        return _std.BlackBody_colorCorrection(self, *args)

    def __call__(self, *args):
        r"""
        __call__(BlackBody self, double nu, double opacity, double ds) -> double
        __call__(BlackBody self, double nu) -> double
        """
        return _std.BlackBody___call__(self, *args)

    def __init__(self, *args):
        r"""
        __init__(BlackBody self) -> BlackBody
        __init__(BlackBody self, double T, double scaling=1.) -> BlackBody
        __init__(BlackBody self, Spectrum base) -> BlackBody
        __init__(BlackBody self, long address) -> BlackBody
        Gyoto::Spectrum::BlackBody::BlackBody Constructor setting T_ and cst_.

        """
        _std.BlackBody_swiginit(self, _std.new_BlackBody(*args))
    __swig_destroy__ = _std.delete_BlackBody

# Register BlackBody in _std:
_std.BlackBody_swigregister(BlackBody)
BlackBody.properties = _std.cvar.BlackBody_properties
BlackBody.builtinPluginValue = _std.cvar.BlackBody_builtinPluginValue

class ThermalBremsstrahlung(gyoto.core.Spectrum):
    r"""


    Thermal brems spectrum.

    Example XML entity:

    C++ includes: GyotoThermalBremsstrahlungSpectrum.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThermalBremsstrahlung self) -> Property
        Gyoto::Spectrum::ThermalBremsstrahlung::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThermalBremsstrahlung_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThermalBremsstrahlung self, vector_string plugname)
        plugins(ThermalBremsstrahlung self) -> vector_string
        """
        return _std.ThermalBremsstrahlung_plugins(self, *args)

    def clone(self):
        r"""
        clone(ThermalBremsstrahlung self) -> ThermalBremsstrahlung
        Gyoto::Spectrum::ThermalBremsstrahlung::clone Cloner. 
        """
        return _std.ThermalBremsstrahlung_clone(self)

    def __call__(self, *args):
        r"""
        __call__(ThermalBremsstrahlung self, double nu, double opacity, double ds) -> double
        __call__(ThermalBremsstrahlung self, double nu) -> double
        """
        return _std.ThermalBremsstrahlung___call__(self, *args)

    def temperature(self, *args):
        r"""
        temperature(ThermalBremsstrahlung self) -> double
        temperature(ThermalBremsstrahlung self, double tt)
        Gyoto::Spectrum::ThermalBremsstrahlung::temperature
        """
        return _std.ThermalBremsstrahlung_temperature(self, *args)

    def numberdensityCGS(self, *args):
        r"""
        numberdensityCGS(ThermalBremsstrahlung self) -> double
        numberdensityCGS(ThermalBremsstrahlung self, double rho)
        Gyoto::Spectrum::ThermalBremsstrahlung::numberdensityCGS
        """
        return _std.ThermalBremsstrahlung_numberdensityCGS(self, *args)

    def jnuCGS(self, nu):
        r"""
        jnuCGS(ThermalBremsstrahlung self, double nu) -> double
        Gyoto::Spectrum::ThermalBremsstrahlung::jnuCGS Returns the emission
        coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1 Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalBremsstrahlung_jnuCGS(self, nu)

    def alphanuCGS(self, nu):
        r"""
        alphanuCGS(ThermalBremsstrahlung self, double nu) -> double
        Gyoto::Spectrum::ThermalBremsstrahlung::alphanuCGS Returns the
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalBremsstrahlung_alphanuCGS(self, nu)

    def radiativeQ(self, jnu, alphanu, nu_ems, nbnu):
        r"""
        radiativeQ(ThermalBremsstrahlung self, double [] jnu, double [] alphanu, double const [] nu_ems, size_t nbnu)
        Gyoto::Spectrum::ThermalBremsstrahlung::radiativeQ Returns the
        emission and absorption coef jnu and alphanu in SI 
        """
        return _std.ThermalBremsstrahlung_radiativeQ(self, jnu, alphanu, nu_ems, nbnu)

    def __init__(self, *args):
        r"""
        __init__(ThermalBremsstrahlung self) -> ThermalBremsstrahlung
        __init__(ThermalBremsstrahlung self, ThermalBremsstrahlung arg2) -> ThermalBremsstrahlung
        __init__(ThermalBremsstrahlung self, Spectrum base) -> ThermalBremsstrahlung
        __init__(ThermalBremsstrahlung self, long address) -> ThermalBremsstrahlung
        Gyoto::Spectrum::ThermalBremsstrahlung::ThermalBremsstrahlung
        """
        _std.ThermalBremsstrahlung_swiginit(self, _std.new_ThermalBremsstrahlung(*args))
    __swig_destroy__ = _std.delete_ThermalBremsstrahlung

# Register ThermalBremsstrahlung in _std:
_std.ThermalBremsstrahlung_swigregister(ThermalBremsstrahlung)
ThermalBremsstrahlung.properties = _std.cvar.ThermalBremsstrahlung_properties
ThermalBremsstrahlung.builtinPluginValue = _std.cvar.ThermalBremsstrahlung_builtinPluginValue

class ThermalSynchrotron(gyoto.core.Spectrum):
    r"""


    Thermal synchrotron spectrum.

    Example XML entity:

    C++ includes: GyotoThermalSynchrotronSpectrum.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(ThermalSynchrotron self) -> Property
        Gyoto::Spectrum::ThermalSynchrotron::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.ThermalSynchrotron_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(ThermalSynchrotron self, vector_string plugname)
        plugins(ThermalSynchrotron self) -> vector_string
        """
        return _std.ThermalSynchrotron_plugins(self, *args)

    def clone(self):
        r"""
        clone(ThermalSynchrotron self) -> ThermalSynchrotron
        Gyoto::Spectrum::ThermalSynchrotron::clone Cloner. 
        """
        return _std.ThermalSynchrotron_clone(self)

    def __call__(self, *args):
        r"""
        __call__(ThermalSynchrotron self, double nu, double opacity, double ds) -> double
        __call__(ThermalSynchrotron self, double nu) -> double
        """
        return _std.ThermalSynchrotron___call__(self, *args)

    def temperature(self, *args):
        r"""
        temperature(ThermalSynchrotron self) -> double
        temperature(ThermalSynchrotron self, double tt)
        Gyoto::Spectrum::ThermalSynchrotron::temperature
        """
        return _std.ThermalSynchrotron_temperature(self, *args)

    def numberdensityCGS(self, *args):
        r"""
        numberdensityCGS(ThermalSynchrotron self) -> double
        numberdensityCGS(ThermalSynchrotron self, double rho)
        Gyoto::Spectrum::ThermalSynchrotron::numberdensityCGS
        """
        return _std.ThermalSynchrotron_numberdensityCGS(self, *args)

    def angle_B_pem(self, *args):
        r"""
        angle_B_pem(ThermalSynchrotron self) -> double
        angle_B_pem(ThermalSynchrotron self, double rho)
        Gyoto::Spectrum::ThermalSynchrotron::angle_B_pem
        """
        return _std.ThermalSynchrotron_angle_B_pem(self, *args)

    def cyclotron_freq(self, *args):
        r"""
        cyclotron_freq(ThermalSynchrotron self) -> double
        cyclotron_freq(ThermalSynchrotron self, double rho)
        Gyoto::Spectrum::ThermalSynchrotron::cyclotron_freq
        """
        return _std.ThermalSynchrotron_cyclotron_freq(self, *args)

    def angle_averaged(self, *args):
        r"""
        angle_averaged(ThermalSynchrotron self) -> bool
        angle_averaged(ThermalSynchrotron self, bool ang)
        Gyoto::Spectrum::ThermalSynchrotron::angle_averaged
        """
        return _std.ThermalSynchrotron_angle_averaged(self, *args)

    def besselK2(self, *args):
        r"""
        besselK2(ThermalSynchrotron self) -> double
        besselK2(ThermalSynchrotron self, double bessel)
        Gyoto::Spectrum::ThermalSynchrotron::besselK2
        """
        return _std.ThermalSynchrotron_besselK2(self, *args)

    def jnuCGS(self, nu):
        r"""
        jnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::jnuCGS Returns the emission
        coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1 Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_jnuCGS(self, nu)

    def jQnuCGS(self, nu):
        r"""
        jQnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::jQnuCGS Returns the Stokes Q
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_jQnuCGS(self, nu)

    def jUnuCGS(self, nu):
        r"""
        jUnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::jUnuCGS Returns the Stokes U
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_jUnuCGS(self, nu)

    def jVnuCGS(self, nu):
        r"""
        jVnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::jVnuCGS Returns the Stokes V
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_jVnuCGS(self, nu)

    def alphanuCGS(self, nu):
        r"""
        alphanuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::alphanuCGS Returns the
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_alphanuCGS(self, nu)

    def alphaQnuCGS(self, nu):
        r"""
        alphaQnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::alphaQnuCGS Returns the Stokes Q
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_alphaQnuCGS(self, nu)

    def alphaUnuCGS(self, nu):
        r"""
        alphaUnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::alphaUnuCGS Returns the Stokes U
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_alphaUnuCGS(self, nu)

    def alphaVnuCGS(self, nu):
        r"""
        alphaVnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::alphaVnuCGS Returns the Stokes V
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_alphaVnuCGS(self, nu)

    def rQnuCGS(self, nu):
        r"""
        rQnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::rQnuCGS Returns the Stokes Q
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_rQnuCGS(self, nu)

    def rUnuCGS(self, nu):
        r"""
        rUnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::rUnuCGS Returns the Stokes U
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_rUnuCGS(self, nu)

    def rVnuCGS(self, nu):
        r"""
        rVnuCGS(ThermalSynchrotron self, double nu) -> double
        Gyoto::Spectrum::ThermalSynchrotron::rVnuCGS Returns the Stokes V
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.ThermalSynchrotron_rVnuCGS(self, nu)

    def radiativeQ(self, *args):
        r"""
        radiativeQ(ThermalSynchrotron self, double [] jnu, double [] anu, double const [] nu_ems, size_t nbnu)
        radiativeQ(ThermalSynchrotron self, double [] jInu, double [] jQnu, double [] jUnu, double [] jVnu, double [] aInu, double [] aQnu, double [] aUnu, double [] aVnu, double [] rQnu, double [] rUnu, double [] rVnu, double const [] nu_ems, size_t nbnu)
        Gyoto::Spectrum::ThermalSynchrotron::radiativeQ Returns the
        emission, absorption and Fraday rotation coef in SI for the 4 Stokes
        parameters 
        """
        return _std.ThermalSynchrotron_radiativeQ(self, *args)

    def __init__(self, *args):
        r"""
        __init__(ThermalSynchrotron self) -> ThermalSynchrotron
        __init__(ThermalSynchrotron self, ThermalSynchrotron arg2) -> ThermalSynchrotron
        __init__(ThermalSynchrotron self, Spectrum base) -> ThermalSynchrotron
        __init__(ThermalSynchrotron self, long address) -> ThermalSynchrotron
        Gyoto::Spectrum::ThermalSynchrotron::ThermalSynchrotron
        """
        _std.ThermalSynchrotron_swiginit(self, _std.new_ThermalSynchrotron(*args))
    __swig_destroy__ = _std.delete_ThermalSynchrotron

# Register ThermalSynchrotron in _std:
_std.ThermalSynchrotron_swigregister(ThermalSynchrotron)
ThermalSynchrotron.properties = _std.cvar.ThermalSynchrotron_properties
ThermalSynchrotron.builtinPluginValue = _std.cvar.ThermalSynchrotron_builtinPluginValue

class PowerLawSynchrotron(gyoto.core.Spectrum):
    r"""


    Powerlaw synchrotron spectrum.

    Example XML entity:

    C++ includes: GyotoPowerLawSynchrotronSpectrum.h 
    """

    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr

    def getProperties(self):
        r"""
        getProperties(PowerLawSynchrotron self) -> Property
        Gyoto::Spectrum::PowerLawSynchrotron::getProperties Get list of
        properties.

        This method is declared automatically by the GYOTO_OBJECT macro and
        defined automatically by the GYOTO_PROPERTY_END macro. 
        """
        return _std.PowerLawSynchrotron_getProperties(self)

    def plugins(self, *args):
        r"""
        plugins(PowerLawSynchrotron self, vector_string plugname)
        plugins(PowerLawSynchrotron self) -> vector_string
        """
        return _std.PowerLawSynchrotron_plugins(self, *args)

    def clone(self):
        r"""
        clone(PowerLawSynchrotron self) -> PowerLawSynchrotron
        Gyoto::Spectrum::PowerLawSynchrotron::clone Cloner. 
        """
        return _std.PowerLawSynchrotron_clone(self)

    def __call__(self, *args):
        r"""
        __call__(PowerLawSynchrotron self, double nu, double opacity, double ds) -> double
        __call__(PowerLawSynchrotron self, double nu) -> double
        """
        return _std.PowerLawSynchrotron___call__(self, *args)

    def numberdensityCGS(self, *args):
        r"""
        numberdensityCGS(PowerLawSynchrotron self) -> double
        numberdensityCGS(PowerLawSynchrotron self, double rho)
        Gyoto::Spectrum::PowerLawSynchrotron::numberdensityCGS
        """
        return _std.PowerLawSynchrotron_numberdensityCGS(self, *args)

    def angle_B_pem(self, *args):
        r"""
        angle_B_pem(PowerLawSynchrotron self) -> double
        angle_B_pem(PowerLawSynchrotron self, double rho)
        Gyoto::Spectrum::PowerLawSynchrotron::angle_B_pem
        """
        return _std.PowerLawSynchrotron_angle_B_pem(self, *args)

    def cyclotron_freq(self, *args):
        r"""
        cyclotron_freq(PowerLawSynchrotron self) -> double
        cyclotron_freq(PowerLawSynchrotron self, double rho)
        Gyoto::Spectrum::PowerLawSynchrotron::cyclotron_freq
        """
        return _std.PowerLawSynchrotron_cyclotron_freq(self, *args)

    def PLindex(self, *args):
        r"""
        PLindex(PowerLawSynchrotron self) -> double
        PLindex(PowerLawSynchrotron self, double ind)
        Gyoto::Spectrum::PowerLawSynchrotron::PLindex
        """
        return _std.PowerLawSynchrotron_PLindex(self, *args)

    def angle_averaged(self, *args):
        r"""
        angle_averaged(PowerLawSynchrotron self) -> bool
        angle_averaged(PowerLawSynchrotron self, bool ang)
        Gyoto::Spectrum::PowerLawSynchrotron::angle_averaged
        """
        return _std.PowerLawSynchrotron_angle_averaged(self, *args)

    def gamma_min(self, *args):
        r"""
        gamma_min(PowerLawSynchrotron self) -> double
        gamma_min(PowerLawSynchrotron self, double gmin)
        Gyoto::Spectrum::PowerLawSynchrotron::gamma_min
        """
        return _std.PowerLawSynchrotron_gamma_min(self, *args)

    def gamma_max(self, *args):
        r"""
        gamma_max(PowerLawSynchrotron self) -> double
        gamma_max(PowerLawSynchrotron self, double gmax)
        Gyoto::Spectrum::PowerLawSynchrotron::gamma_max
        """
        return _std.PowerLawSynchrotron_gamma_max(self, *args)

    def jnuCGS(self, nu):
        r"""
        jnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::jnuCGS Returns the emission
        coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1 Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_jnuCGS(self, nu)

    def jQnuCGS(self, nu):
        r"""
        jQnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::jQnuCGS Returns the Stokes Q
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_jQnuCGS(self, nu)

    def jUnuCGS(self, nu):
        r"""
        jUnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::jUnuCGS Returns the Stokes U
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_jUnuCGS(self, nu)

    def jVnuCGS(self, nu):
        r"""
        jVnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::jVnuCGS Returns the Stokes V
        emission coefficient j_nu in cgs units i.e. erg cm^-3 s^-1 ster^-1
        Hz^-1

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_jVnuCGS(self, nu)

    def alphanuCGS(self, nu):
        r"""
        alphanuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::alphanuCGS Returns the
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_alphanuCGS(self, nu)

    def alphaQnuCGS(self, nu):
        r"""
        alphaQnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::alphaQnuCGS Returns the Stokes Q
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_alphaQnuCGS(self, nu)

    def alphaUnuCGS(self, nu):
        r"""
        alphaUnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::alphaUnuCGS Returns the Stokes U
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_alphaUnuCGS(self, nu)

    def alphaVnuCGS(self, nu):
        r"""
        alphaVnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::alphaVnuCGS Returns the Stokes V
        absorption coefficient alpha_nu in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_alphaVnuCGS(self, nu)

    def rQnuCGS(self, nu):
        r"""
        rQnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::rQnuCGS Returns the Stokes Q
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_rQnuCGS(self, nu)

    def rUnuCGS(self, nu):
        r"""
        rUnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::rUnuCGS Returns the Stokes U
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_rUnuCGS(self, nu)

    def rVnuCGS(self, nu):
        r"""
        rVnuCGS(PowerLawSynchrotron self, double nu) -> double
        Gyoto::Spectrum::PowerLawSynchrotron::rVnuCGS Returns the Stokes V
        Faraday rotation coefficient in cgs units [cm^-1]

        Parameters:
        -----------

        nu:  frequency in Hz 
        """
        return _std.PowerLawSynchrotron_rVnuCGS(self, nu)

    def radiativeQ(self, *args):
        r"""
        radiativeQ(PowerLawSynchrotron self, double [] jnu, double [] anu, double const [] nu_ems, size_t nbnu)
        radiativeQ(PowerLawSynchrotron self, double [] jInu, double [] jQnu, double [] jUnu, double [] jVnu, double [] aInu, double [] aQnu, double [] aUnu, double [] aVnu, double [] rQnu, double [] rUnu, double [] rVnu, double const [] nu_ems, size_t nbnu)
        Gyoto::Spectrum::PowerLawSynchrotron::radiativeQ Returns the emission,
        absorption and Fraday rotation coef in SI for the 4 Stokes parameters

        """
        return _std.PowerLawSynchrotron_radiativeQ(self, *args)

    def __init__(self, *args):
        r"""
        __init__(PowerLawSynchrotron self) -> PowerLawSynchrotron
        __init__(PowerLawSynchrotron self, PowerLawSynchrotron arg2) -> PowerLawSynchrotron
        __init__(PowerLawSynchrotron self, Spectrum base) -> PowerLawSynchrotron
        __init__(PowerLawSynchrotron self, long address) -> PowerLawSynchrotron
        Gyoto::Spectrum::PowerLawSynchrotron::PowerLawSynchrotron
        """
        _std.PowerLawSynchrotron_swiginit(self, _std.new_PowerLawSynchrotron(*args))
    __swig_destroy__ = _std.delete_PowerLawSynchrotron

# Register PowerLawSynchrotron in _std:
_std.PowerLawSynchrotron_swigregister(PowerLawSynchrotron)
PowerLawSynchrotron.properties = _std.cvar.PowerLawSynchrotron_properties
PowerLawSynchrotron.builtinPluginValue = _std.cvar.PowerLawSynchrotron_builtinPluginValue


